-- MySQL dump 10.13  Distrib 5.1.56, for Win32 (ia32)
--
-- Host: localhost    Database: timesheet
-- ------------------------------------------------------
-- Server version	5.1.56-community

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `tbl_account`
--

DROP TABLE IF EXISTS `tbl_account`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tbl_account` (
  `accountid` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(45) DEFAULT NULL,
  `user` varchar(30) NOT NULL,
  `desiredpassword` varchar(64) NOT NULL,
  `empnum` varchar(9) DEFAULT NULL,
  `role` varchar(45) DEFAULT NULL,
  `reset` varchar(1) DEFAULT NULL,
  `pending` int(11) NOT NULL,
  PRIMARY KEY (`accountid`)
) ENGINE=InnoDB AUTO_INCREMENT=154 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `tbl_log`
--

DROP TABLE IF EXISTS `tbl_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tbl_log` (
  `LogID` bigint(20) NOT NULL AUTO_INCREMENT,
  `user` varchar(30) NOT NULL DEFAULT '',
  `LogTimestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `Action` varchar(50) NOT NULL DEFAULT '',
  `TimesheetNum` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`LogID`),
  KEY `TimesheetNum` (`TimesheetNum`,`Action`,`LogTimestamp`)
) ENGINE=InnoDB AUTO_INCREMENT=1075 DEFAULT CHARSET=latin1 COMMENT='InnoDB free: 11264 kB';
/*!40101 SET character_set_client = @saved_cs_client */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = latin1 */ ;
/*!50003 SET character_set_results = latin1 */ ;
/*!50003 SET collation_connection  = latin1_swedish_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`timesheet`@`%`*/ /*!50003 TRIGGER `tbl_log_before_ins_tr_Timestamp` BEFORE INSERT ON `tbl_log`

  FOR EACH ROW

BEGIN

	SET @LogTimestamp = now();

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `tbl_payperiodinfo`
--

DROP TABLE IF EXISTS `tbl_payperiodinfo`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tbl_payperiodinfo` (
  `Pay_ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `user` varchar(30) NOT NULL,
  `paystart` varchar(8) NOT NULL DEFAULT '',
  `rate` varchar(6) DEFAULT '7.00',
  `commentbox` varchar(450) DEFAULT NULL,
  `11hin1` varchar(2) DEFAULT NULL,
  `11min1` varchar(2) DEFAULT NULL,
  `11hout1` varchar(2) DEFAULT NULL,
  `11mout1` varchar(2) DEFAULT NULL,
  `11hin2` varchar(2) DEFAULT NULL,
  `11min2` varchar(2) DEFAULT NULL,
  `11hout2` varchar(2) DEFAULT NULL,
  `11mout2` varchar(2) DEFAULT NULL,
  `11hin3` varchar(2) DEFAULT NULL,
  `11min3` varchar(2) DEFAULT NULL,
  `11hout3` varchar(2) DEFAULT NULL,
  `11mout3` varchar(2) DEFAULT NULL,
  `11sick` varchar(3) DEFAULT NULL,
  `11vac` varchar(3) DEFAULT NULL,
  `11code` varchar(3) DEFAULT NULL,
  `12hin1` varchar(2) DEFAULT NULL,
  `12min1` varchar(2) DEFAULT NULL,
  `12hout1` varchar(2) DEFAULT NULL,
  `12mout1` varchar(2) DEFAULT NULL,
  `12hin2` varchar(2) DEFAULT NULL,
  `12min2` varchar(2) DEFAULT NULL,
  `12hout2` varchar(2) DEFAULT NULL,
  `12mout2` varchar(2) DEFAULT NULL,
  `12hin3` varchar(2) DEFAULT NULL,
  `12min3` varchar(2) DEFAULT NULL,
  `12hout3` varchar(2) DEFAULT NULL,
  `12mout3` varchar(2) DEFAULT NULL,
  `12sick` varchar(3) DEFAULT NULL,
  `12vac` varchar(3) DEFAULT NULL,
  `12code` varchar(3) DEFAULT NULL,
  `13hin1` varchar(2) DEFAULT NULL,
  `13min1` varchar(2) DEFAULT NULL,
  `13hout1` varchar(2) DEFAULT NULL,
  `13mout1` varchar(2) DEFAULT NULL,
  `13hin2` varchar(2) DEFAULT NULL,
  `13min2` varchar(2) DEFAULT NULL,
  `13hout2` varchar(2) DEFAULT NULL,
  `13mout2` varchar(2) DEFAULT NULL,
  `13hin3` varchar(2) DEFAULT NULL,
  `13min3` varchar(2) DEFAULT NULL,
  `13hout3` varchar(2) DEFAULT NULL,
  `13mout3` varchar(2) DEFAULT NULL,
  `13sick` varchar(3) DEFAULT NULL,
  `13vac` varchar(3) DEFAULT NULL,
  `13code` varchar(3) DEFAULT NULL,
  `14hin1` varchar(2) DEFAULT NULL,
  `14min1` varchar(2) DEFAULT NULL,
  `14hout1` varchar(2) DEFAULT NULL,
  `14mout1` varchar(2) DEFAULT NULL,
  `14hin2` varchar(2) DEFAULT NULL,
  `14min2` varchar(2) DEFAULT NULL,
  `14hout2` varchar(2) DEFAULT NULL,
  `14mout2` varchar(2) DEFAULT NULL,
  `14hin3` varchar(2) DEFAULT NULL,
  `14min3` varchar(2) DEFAULT NULL,
  `14hout3` varchar(2) DEFAULT NULL,
  `14mout3` varchar(2) DEFAULT NULL,
  `14sick` varchar(3) DEFAULT NULL,
  `14vac` varchar(3) DEFAULT NULL,
  `14code` varchar(3) DEFAULT NULL,
  `15hin1` varchar(2) DEFAULT NULL,
  `15min1` varchar(2) DEFAULT NULL,
  `15hout1` varchar(2) DEFAULT NULL,
  `15mout1` varchar(2) DEFAULT NULL,
  `15hin2` varchar(2) DEFAULT NULL,
  `15min2` varchar(2) DEFAULT NULL,
  `15hout2` varchar(2) DEFAULT NULL,
  `15mout2` varchar(2) DEFAULT NULL,
  `15hin3` varchar(2) DEFAULT NULL,
  `15min3` varchar(2) DEFAULT NULL,
  `15hout3` varchar(2) DEFAULT NULL,
  `15mout3` varchar(2) DEFAULT NULL,
  `15sick` varchar(3) DEFAULT NULL,
  `15vac` varchar(3) DEFAULT NULL,
  `15code` varchar(3) DEFAULT NULL,
  `16hin1` varchar(2) DEFAULT NULL,
  `16min1` varchar(2) DEFAULT NULL,
  `16hout1` varchar(2) DEFAULT NULL,
  `16mout1` varchar(2) DEFAULT NULL,
  `16hin2` varchar(2) DEFAULT NULL,
  `16min2` varchar(2) DEFAULT NULL,
  `16hout2` varchar(2) DEFAULT NULL,
  `16mout2` varchar(2) DEFAULT NULL,
  `16hin3` varchar(2) DEFAULT NULL,
  `16min3` varchar(2) DEFAULT NULL,
  `16hout3` varchar(2) DEFAULT NULL,
  `16mout3` varchar(2) DEFAULT NULL,
  `16sick` varchar(3) DEFAULT NULL,
  `16vac` varchar(3) DEFAULT NULL,
  `16code` varchar(3) DEFAULT NULL,
  `17hin1` varchar(2) DEFAULT NULL,
  `17min1` varchar(2) DEFAULT NULL,
  `17hout1` varchar(2) DEFAULT NULL,
  `17mout1` varchar(2) DEFAULT NULL,
  `17hin2` varchar(2) DEFAULT NULL,
  `17min2` varchar(2) DEFAULT NULL,
  `17hout2` varchar(2) DEFAULT NULL,
  `17mout2` varchar(2) DEFAULT NULL,
  `17hin3` varchar(2) DEFAULT NULL,
  `17min3` varchar(2) DEFAULT NULL,
  `17hout3` varchar(2) DEFAULT NULL,
  `17mout3` varchar(2) DEFAULT NULL,
  `17sick` varchar(3) DEFAULT NULL,
  `17vac` varchar(3) DEFAULT NULL,
  `17code` varchar(3) DEFAULT NULL,
  `21hin1` varchar(2) DEFAULT NULL,
  `21min1` varchar(2) DEFAULT NULL,
  `21hout1` varchar(2) DEFAULT NULL,
  `21mout1` varchar(2) DEFAULT NULL,
  `21hin2` varchar(2) DEFAULT NULL,
  `21min2` varchar(2) DEFAULT NULL,
  `21hout2` varchar(2) DEFAULT NULL,
  `21mout2` varchar(2) DEFAULT NULL,
  `21hin3` varchar(2) DEFAULT NULL,
  `21min3` varchar(2) DEFAULT NULL,
  `21hout3` varchar(2) DEFAULT NULL,
  `21mout3` varchar(2) DEFAULT NULL,
  `21sick` varchar(3) DEFAULT NULL,
  `21vac` varchar(3) DEFAULT NULL,
  `21code` varchar(3) DEFAULT NULL,
  `22hin1` varchar(2) DEFAULT NULL,
  `22min1` varchar(2) DEFAULT NULL,
  `22hout1` varchar(2) DEFAULT NULL,
  `22mout1` varchar(2) DEFAULT NULL,
  `22hin2` varchar(2) DEFAULT NULL,
  `22min2` varchar(2) DEFAULT NULL,
  `22hout2` varchar(2) DEFAULT NULL,
  `22mout2` varchar(2) DEFAULT NULL,
  `22hin3` varchar(2) DEFAULT NULL,
  `22min3` varchar(2) DEFAULT NULL,
  `22hout3` varchar(2) DEFAULT NULL,
  `22mout3` varchar(2) DEFAULT NULL,
  `22sick` varchar(3) DEFAULT NULL,
  `22vac` varchar(3) DEFAULT NULL,
  `22code` varchar(3) DEFAULT NULL,
  `23hin1` varchar(2) DEFAULT NULL,
  `23min1` varchar(2) DEFAULT NULL,
  `23hout1` varchar(2) DEFAULT NULL,
  `23mout1` varchar(2) DEFAULT NULL,
  `23hin2` varchar(2) DEFAULT NULL,
  `23min2` varchar(2) DEFAULT NULL,
  `23hout2` varchar(2) DEFAULT NULL,
  `23mout2` varchar(2) DEFAULT NULL,
  `23hin3` varchar(2) DEFAULT NULL,
  `23min3` varchar(2) DEFAULT NULL,
  `23hout3` varchar(2) DEFAULT NULL,
  `23mout3` varchar(2) DEFAULT NULL,
  `23sick` varchar(3) DEFAULT NULL,
  `23vac` varchar(3) DEFAULT NULL,
  `23code` varchar(3) DEFAULT NULL,
  `24hin1` varchar(2) DEFAULT NULL,
  `24min1` varchar(2) DEFAULT NULL,
  `24hout1` varchar(2) DEFAULT NULL,
  `24mout1` varchar(2) DEFAULT NULL,
  `24hin2` varchar(2) DEFAULT NULL,
  `24min2` varchar(2) DEFAULT NULL,
  `24hout2` varchar(2) DEFAULT NULL,
  `24mout2` varchar(2) DEFAULT NULL,
  `24hin3` varchar(2) DEFAULT NULL,
  `24min3` varchar(2) DEFAULT NULL,
  `24hout3` varchar(2) DEFAULT NULL,
  `24mout3` varchar(2) DEFAULT NULL,
  `24sick` varchar(3) DEFAULT NULL,
  `24vac` varchar(3) DEFAULT NULL,
  `24code` varchar(3) DEFAULT NULL,
  `25hin1` varchar(2) DEFAULT NULL,
  `25min1` varchar(2) DEFAULT NULL,
  `25hout1` varchar(2) DEFAULT NULL,
  `25mout1` varchar(2) DEFAULT NULL,
  `25hin2` varchar(2) DEFAULT NULL,
  `25min2` varchar(2) DEFAULT NULL,
  `25hout2` varchar(2) DEFAULT NULL,
  `25mout2` varchar(2) DEFAULT NULL,
  `25hin3` varchar(2) DEFAULT NULL,
  `25min3` varchar(2) DEFAULT NULL,
  `25hout3` varchar(2) DEFAULT NULL,
  `25mout3` varchar(2) DEFAULT NULL,
  `25sick` varchar(3) DEFAULT NULL,
  `25vac` varchar(3) DEFAULT NULL,
  `25code` varchar(3) DEFAULT NULL,
  `26hin1` varchar(2) DEFAULT NULL,
  `26min1` varchar(2) DEFAULT NULL,
  `26hout1` varchar(2) DEFAULT NULL,
  `26mout1` varchar(2) DEFAULT NULL,
  `26hin2` varchar(2) DEFAULT NULL,
  `26min2` varchar(2) DEFAULT NULL,
  `26hout2` varchar(2) DEFAULT NULL,
  `26mout2` varchar(2) DEFAULT NULL,
  `26hin3` varchar(2) DEFAULT NULL,
  `26min3` varchar(2) DEFAULT NULL,
  `26hout3` varchar(2) DEFAULT NULL,
  `26mout3` varchar(2) DEFAULT NULL,
  `26sick` varchar(3) DEFAULT NULL,
  `26vac` varchar(3) DEFAULT NULL,
  `26code` varchar(3) DEFAULT NULL,
  `27hin1` varchar(2) DEFAULT NULL,
  `27min1` varchar(2) DEFAULT NULL,
  `27hout1` varchar(2) DEFAULT NULL,
  `27mout1` varchar(2) DEFAULT NULL,
  `27hin2` varchar(2) DEFAULT NULL,
  `27min2` varchar(2) DEFAULT NULL,
  `27hout2` varchar(2) DEFAULT NULL,
  `27mout2` varchar(2) DEFAULT NULL,
  `27hin3` varchar(2) DEFAULT NULL,
  `27min3` varchar(2) DEFAULT NULL,
  `27hout3` varchar(2) DEFAULT NULL,
  `27mout3` varchar(2) DEFAULT NULL,
  `27sick` varchar(3) DEFAULT NULL,
  `27vac` varchar(3) DEFAULT NULL,
  `27code` varchar(3) DEFAULT NULL,
  `TimesheetNumber` bigint(20) DEFAULT NULL,
  `SubmitTimestamp` datetime DEFAULT NULL,
  `ApproveTimestamp` datetime DEFAULT NULL,
  `EnteredTimestamp` datetime DEFAULT NULL,
  PRIMARY KEY (`Pay_ID`),
  UNIQUE KEY `TimesheetNumber` (`TimesheetNumber`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = latin1 */ ;
/*!50003 SET character_set_results = latin1 */ ;
/*!50003 SET collation_connection  = latin1_swedish_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`timesheet`@`%`*/ /*!50003 TRIGGER `tbl_payperiodinfo_after_upd_tr` AFTER UPDATE ON `tbl_payperiodinfo`

  FOR EACH ROW

BEGIN

	

	declare username varchar(30);

    

    set username = New.user;

	

    

    IF New.SubmitTimestamp IS NOT NULL AND Old.SubmitTimestamp IS NULL Then

    	

		IF NEW.TimesheetNumber > 0 AND Old.TimesheetNumber > 0 THEN

        	insert into tbl_log (USER,ACTION,TIMESHEETNUM) 

	    	values (username,CONCAT('Timesheet Resubmitted from #', Old.TimesheetNumber, ' payid(', New.Pay_ID, ')'),New.TimesheetNumber);

        ELSE

            insert into tbl_log (USER,ACTION,TIMESHEETNUM) 

	    	values (username,CONCAT('Timesheet Submitted payid(', New.Pay_ID, ')'), New.TimesheetNumber);

    	END IF;

    

    End If;

    

    

    IF New.SubmitTimestamp IS NULL AND Old.SubmitTimestamp IS NOT NULL THEN

    	

        IF Old.ApproveTimestamp IS NULL THEN

        	insert into tbl_log (USER,ACTION,TIMESHEETNUM) 

		    values (username,CONCAT('Timesheet Denied by Supervisor    payid(', New.Pay_ID, ')'), Old.TimesheetNumber);

        ELSE

        

	        insert into tbl_log (USER,ACTION,TIMESHEETNUM) 

		    values (username,CONCAT('Timesheet Denied by Administrator payid(', New.Pay_ID, ')'), Old.TimesheetNumber);

        END IF;

        

    END IF;

    

    

    IF New.ApproveTimestamp > 0 AND Old.ApproveTimestamp IS NULL THEN

	    insert into tbl_log (USER,ACTION,TIMESHEETNUM) 

	    values (username,CONCAT('Timesheet Approved by Supervisor payid(', New.Pay_ID, ')'), New.TimesheetNumber);

	END If;

        

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `tbl_periodnum`
--

DROP TABLE IF EXISTS `tbl_periodnum`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tbl_periodnum` (
  `paystart` varchar(8) NOT NULL DEFAULT '',
  `period` int(10) unsigned NOT NULL,
  PRIMARY KEY (`paystart`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='InnoDB free: 11264 kB';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `tbl_userinfo`
--

DROP TABLE IF EXISTS `tbl_userinfo`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tbl_userinfo` (
  `user` varchar(30) NOT NULL DEFAULT '',
  `name` varchar(45) DEFAULT NULL,
  `id` varchar(9) DEFAULT NULL,
  `record` varchar(2) DEFAULT NULL,
  `status` char(1) NOT NULL DEFAULT 'D' COMMENT 'P=Part Time; \r\nF=Full Time; \r\nD=Disabled(Default value)',
  `Supervisor` varchar(30) DEFAULT NULL,
  `IsUser` tinyint(1) NOT NULL DEFAULT '0',
  `IsSupervisor` tinyint(1) NOT NULL DEFAULT '0',
  `IsAdmin` tinyint(1) NOT NULL DEFAULT '0',
  `HrsLeft` float(9,2) NOT NULL DEFAULT '9999.00',
  `HrsLastUpdate` datetime DEFAULT NULL,
  `email` int(11) NOT NULL DEFAULT '2',
  `rate` varchar(6) NOT NULL DEFAULT '8.05',
  `emailaddress` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`user`),
  KEY `tbl_userinfo_fk` (`name`),
  CONSTRAINT `tbl_userinfo_fk` FOREIGN KEY (`user`) REFERENCES `tbl_users` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = latin1 */ ;
/*!50003 SET character_set_results = latin1 */ ;
/*!50003 SET collation_connection  = latin1_swedish_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`timesheet`@`%`*/ /*!50003 TRIGGER `tbl_userinfo_before_upd_tr` BEFORE UPDATE ON `tbl_userinfo`

  FOR EACH ROW

BEGIN

	

    declare hoursupdated DateTime;

    set hoursupdated = now();

    

    

    If NOT Old.HrsLeft <=> NEW.HrsLeft THEN

    	set New.HrsLastUpdate = hoursupdated;

    END IF;

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = latin1 */ ;
/*!50003 SET character_set_results = latin1 */ ;
/*!50003 SET collation_connection  = latin1_swedish_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`timesheet`@`%`*/ /*!50003 TRIGGER `tbl_userinfo_after_upd_tr` AFTER UPDATE ON `tbl_userinfo`

  FOR EACH ROW

BEGIN

	

    declare username varchar(30);

    set username = New.user;

    

    

    If Old.status != New.status THEN

    	insert into tbl_log (USER,ACTION) 

    	values (username,CONCAT('User status changed from ', Old.status, ' to ', New.status));

    END IF;

    

    

    If Old.IsSupervisor = 0 AND New.IsSupervisor = 1 THEN

    	insert into tbl_log (USER,ACTION) 

    	values (username,CONCAT('User granted supervisor privileges'));

    END IF;

    

    

    If Old.IsAdmin = 0 AND New.IsAdmin = 1 THEN

    	insert into tbl_log (USER,ACTION) 

    	values (username,CONCAT('User granted admin staff privileges'));

    END IF;

    

    

    If Old.Supervisor != New.Supervisor THEN

    	insert into tbl_log (USER,ACTION) 

    	values (username,CONCAT('User supervisor changed to ', New.Supervisor));

    END IF;

    

    

    If Old.HrsLeft != NEW.HrsLeft OR (Old.HrsLeft IS NULL AND New.HrsLeft IS NOT NULL) THEN

    	insert into tbl_log (USER,ACTION) 

    	values (username,CONCAT('User work study hours changed to ', New.HrsLeft));       

    END IF;

    

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `tbl_users`
--

DROP TABLE IF EXISTS `tbl_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tbl_users` (
  `name` varchar(30) NOT NULL DEFAULT '',
  `password` varchar(64) NOT NULL DEFAULT '',
  PRIMARY KEY (`name`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='InnoDB free: 11264 kB';
/*!40101 SET character_set_client = @saved_cs_client */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = latin1 */ ;
/*!50003 SET character_set_results = latin1 */ ;
/*!50003 SET collation_connection  = latin1_swedish_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`timesheet`@`%`*/ /*!50003 TRIGGER `tbl_users_after_ins_tr` AFTER INSERT ON `tbl_users`

  FOR EACH ROW

BEGIN

	declare username varchar(30);

    set username = LEFT(user(),position('@' in user())-1);

	insert into tbl_log (USER,ACTION) 

    values (username,CONCAT('New user added: ', New.NAME));

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = latin1 */ ;
/*!50003 SET character_set_results = latin1 */ ;
/*!50003 SET collation_connection  = latin1_swedish_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`timesheet`@`%`*/ /*!50003 TRIGGER `tbl_users_after_upd_tr` AFTER UPDATE ON `tbl_users`

  FOR EACH ROW

BEGIN

    

    declare username varchar(30);

    set username = LEFT(user(),position('@' in user())-1);

	insert into tbl_log (USER,ACTION) 

	values (username,CONCAT('User updated: ', New.NAME));

    	

    

    If Old.PASSWORD IS NULL AND New.PASSWORD IS NOT NULL THEN

    	insert into tbl_log (USER,ACTION) 

    	values (username,CONCAT('User password set: ', New.NAME));

    

    ELSEIF Old.PASSWORD IS NOT NULL AND New.PASSWORD IS NULL THEN

		insert into tbl_log (USER,ACTION) 

    	values (username,CONCAT('User password removed: ', New.NAME));

	

    ELSEIF Old.PASSWORD != New.PASSWORD THEN

   		insert into tbl_log (USER,ACTION) 

    	values (username,CONCAT('User password changed: ', New.NAME));

	END IF;

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = latin1 */ ;
/*!50003 SET character_set_results = latin1 */ ;
/*!50003 SET collation_connection  = latin1_swedish_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`timesheet`@`%`*/ /*!50003 TRIGGER `tbl_users_after_del_tr` AFTER DELETE ON `tbl_users`

  FOR EACH ROW

BEGIN

	declare username varchar(30);

    set username = LEFT(user(),position('@' in user())-1);

	insert into tbl_log (USER,ACTION) 

    values (username,CONCAT('User deleted: ', OLD.NAME));

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Temporary table structure for view `vwallsupervisors`
--

DROP TABLE IF EXISTS `vwallsupervisors`;
/*!50001 DROP VIEW IF EXISTS `vwallsupervisors`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `vwallsupervisors` (
  `user` varchar(30),
  `name` varchar(45),
  `IsSupervisor` tinyint(1),
  `status` char(1)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `vwallusersallperiodnums`
--

DROP TABLE IF EXISTS `vwallusersallperiodnums`;
/*!50001 DROP VIEW IF EXISTS `vwallusersallperiodnums`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `vwallusersallperiodnums` (
  `user` varchar(30),
  `name` varchar(45),
  `id` varchar(9),
  `record` varchar(2),
  `status` char(1),
  `Supervisor` varchar(30),
  `IsUser` tinyint(1),
  `IsSupervisor` tinyint(1),
  `IsAdmin` tinyint(1),
  `HrsLeft` float(9,2),
  `HrsLastUpdate` datetime,
  `CurrentRate` varchar(6),
  `paystart` varchar(8),
  `period` int(10) unsigned
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `vwcurrentpayperiod`
--

DROP TABLE IF EXISTS `vwcurrentpayperiod`;
/*!50001 DROP VIEW IF EXISTS `vwcurrentpayperiod`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `vwcurrentpayperiod` (
  `paystart` varchar(8),
  `period` int(10) unsigned
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `vwemail`
--

DROP TABLE IF EXISTS `vwemail`;
/*!50001 DROP VIEW IF EXISTS `vwemail`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `vwemail` (
  `email` int(11),
  `user` varchar(30),
  `emailaddress` varchar(45)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `vwemployeesforsuper`
--

DROP TABLE IF EXISTS `vwemployeesforsuper`;
/*!50001 DROP VIEW IF EXISTS `vwemployeesforsuper`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `vwemployeesforsuper` (
  `user` varchar(30),
  `name` varchar(45),
  `status` char(1),
  `Supervisor` varchar(30)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `vwlog`
--

DROP TABLE IF EXISTS `vwlog`;
/*!50001 DROP VIEW IF EXISTS `vwlog`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `vwlog` (
  `user` varchar(30),
  `logtimestamp` timestamp,
  `description` varchar(50),
  `timesheetnum` bigint(20)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `vwpendingaccounts`
--

DROP TABLE IF EXISTS `vwpendingaccounts`;
/*!50001 DROP VIEW IF EXISTS `vwpendingaccounts`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `vwpendingaccounts` (
  `accountid` int(11),
  `name` varchar(45),
  `user` varchar(30),
  `desiredpassword` varchar(64),
  `empnum` varchar(9),
  `role` varchar(45),
  `reset` varchar(1),
  `pending` int(11)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `vwsummarybypaystartbysupervisor`
--

DROP TABLE IF EXISTS `vwsummarybypaystartbysupervisor`;
/*!50001 DROP VIEW IF EXISTS `vwsummarybypaystartbysupervisor`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `vwsummarybypaystartbysupervisor` (
  `supervisoruser` varchar(30),
  `studentuser` varchar(30),
  `supervisorname` varchar(45),
  `studentsname` varchar(45),
  `HrsLeft` float(9,2),
  `HrsLastUpdate` datetime,
  `Pay_ID` bigint(20),
  `SubmitTimestamp` datetime,
  `ApproveTimestamp` datetime,
  `EnteredTimestamp` datetime,
  `paystart` varchar(8)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `vwtimesheetbyuserbypaystart`
--

DROP TABLE IF EXISTS `vwtimesheetbyuserbypaystart`;
/*!50001 DROP VIEW IF EXISTS `vwtimesheetbyuserbypaystart`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `vwtimesheetbyuserbypaystart` (
  `user` varchar(30),
  `name` varchar(45),
  `id` varchar(9),
  `record` varchar(2),
  `status` char(1),
  `Supervisor` varchar(30),
  `IsUser` tinyint(1),
  `IsSupervisor` tinyint(1),
  `IsAdmin` tinyint(1),
  `HrsLeft` float(9,2),
  `HrsLastUpdate` datetime,
  `CurrentRate` varchar(6),
  `Pay_ID` bigint(20),
  `paystart` varchar(8),
  `period` int(10) unsigned,
  `rate` varchar(6),
  `commentbox` varchar(450),
  `11hin1` varchar(2),
  `11min1` varchar(2),
  `11hout1` varchar(2),
  `11mout1` varchar(2),
  `11hin2` varchar(2),
  `11min2` varchar(2),
  `11hout2` varchar(2),
  `11mout2` varchar(2),
  `11hin3` varchar(2),
  `11min3` varchar(2),
  `11hout3` varchar(2),
  `11mout3` varchar(2),
  `11sick` varchar(3),
  `11vac` varchar(3),
  `11code` varchar(3),
  `12hin1` varchar(2),
  `12min1` varchar(2),
  `12hout1` varchar(2),
  `12mout1` varchar(2),
  `12hin2` varchar(2),
  `12min2` varchar(2),
  `12hout2` varchar(2),
  `12mout2` varchar(2),
  `12hin3` varchar(2),
  `12min3` varchar(2),
  `12hout3` varchar(2),
  `12mout3` varchar(2),
  `12sick` varchar(3),
  `12vac` varchar(3),
  `12code` varchar(3),
  `13hin1` varchar(2),
  `13min1` varchar(2),
  `13hout1` varchar(2),
  `13mout1` varchar(2),
  `13hin2` varchar(2),
  `13min2` varchar(2),
  `13hout2` varchar(2),
  `13mout2` varchar(2),
  `13hin3` varchar(2),
  `13min3` varchar(2),
  `13hout3` varchar(2),
  `13mout3` varchar(2),
  `13sick` varchar(3),
  `13vac` varchar(3),
  `13code` varchar(3),
  `14hin1` varchar(2),
  `14min1` varchar(2),
  `14hout1` varchar(2),
  `14mout1` varchar(2),
  `14hin2` varchar(2),
  `14min2` varchar(2),
  `14hout2` varchar(2),
  `14mout2` varchar(2),
  `14hin3` varchar(2),
  `14min3` varchar(2),
  `14hout3` varchar(2),
  `14mout3` varchar(2),
  `14sick` varchar(3),
  `14vac` varchar(3),
  `14code` varchar(3),
  `15hin1` varchar(2),
  `15min1` varchar(2),
  `15hout1` varchar(2),
  `15mout1` varchar(2),
  `15hin2` varchar(2),
  `15min2` varchar(2),
  `15hout2` varchar(2),
  `15mout2` varchar(2),
  `15hin3` varchar(2),
  `15min3` varchar(2),
  `15hout3` varchar(2),
  `15mout3` varchar(2),
  `15sick` varchar(3),
  `15vac` varchar(3),
  `15code` varchar(3),
  `16hin1` varchar(2),
  `16min1` varchar(2),
  `16hout1` varchar(2),
  `16mout1` varchar(2),
  `16hin2` varchar(2),
  `16min2` varchar(2),
  `16hout2` varchar(2),
  `16mout2` varchar(2),
  `16hin3` varchar(2),
  `16min3` varchar(2),
  `16hout3` varchar(2),
  `16mout3` varchar(2),
  `16sick` varchar(3),
  `16vac` varchar(3),
  `16code` varchar(3),
  `17hin1` varchar(2),
  `17min1` varchar(2),
  `17hout1` varchar(2),
  `17mout1` varchar(2),
  `17hin2` varchar(2),
  `17min2` varchar(2),
  `17hout2` varchar(2),
  `17mout2` varchar(2),
  `17hin3` varchar(2),
  `17min3` varchar(2),
  `17hout3` varchar(2),
  `17mout3` varchar(2),
  `17sick` varchar(3),
  `17vac` varchar(3),
  `17code` varchar(3),
  `21hin1` varchar(2),
  `21min1` varchar(2),
  `21hout1` varchar(2),
  `21mout1` varchar(2),
  `21hin2` varchar(2),
  `21min2` varchar(2),
  `21hout2` varchar(2),
  `21mout2` varchar(2),
  `21hin3` varchar(2),
  `21min3` varchar(2),
  `21hout3` varchar(2),
  `21mout3` varchar(2),
  `21sick` varchar(3),
  `21vac` varchar(3),
  `21code` varchar(3),
  `22hin1` varchar(2),
  `22min1` varchar(2),
  `22hout1` varchar(2),
  `22mout1` varchar(2),
  `22hin2` varchar(2),
  `22min2` varchar(2),
  `22hout2` varchar(2),
  `22mout2` varchar(2),
  `22hin3` varchar(2),
  `22min3` varchar(2),
  `22hout3` varchar(2),
  `22mout3` varchar(2),
  `22sick` varchar(3),
  `22vac` varchar(3),
  `22code` varchar(3),
  `23hin1` varchar(2),
  `23min1` varchar(2),
  `23hout1` varchar(2),
  `23mout1` varchar(2),
  `23hin2` varchar(2),
  `23min2` varchar(2),
  `23hout2` varchar(2),
  `23mout2` varchar(2),
  `23hin3` varchar(2),
  `23min3` varchar(2),
  `23hout3` varchar(2),
  `23mout3` varchar(2),
  `23sick` varchar(3),
  `23vac` varchar(3),
  `23code` varchar(3),
  `24hin1` varchar(2),
  `24min1` varchar(2),
  `24hout1` varchar(2),
  `24mout1` varchar(2),
  `24hin2` varchar(2),
  `24min2` varchar(2),
  `24hout2` varchar(2),
  `24mout2` varchar(2),
  `24hin3` varchar(2),
  `24min3` varchar(2),
  `24hout3` varchar(2),
  `24mout3` varchar(2),
  `24sick` varchar(3),
  `24vac` varchar(3),
  `24code` varchar(3),
  `25hin1` varchar(2),
  `25min1` varchar(2),
  `25hout1` varchar(2),
  `25mout1` varchar(2),
  `25hin2` varchar(2),
  `25min2` varchar(2),
  `25hout2` varchar(2),
  `25mout2` varchar(2),
  `25hin3` varchar(2),
  `25min3` varchar(2),
  `25hout3` varchar(2),
  `25mout3` varchar(2),
  `25sick` varchar(3),
  `25vac` varchar(3),
  `25code` varchar(3),
  `26hin1` varchar(2),
  `26min1` varchar(2),
  `26hout1` varchar(2),
  `26mout1` varchar(2),
  `26hin2` varchar(2),
  `26min2` varchar(2),
  `26hout2` varchar(2),
  `26mout2` varchar(2),
  `26hin3` varchar(2),
  `26min3` varchar(2),
  `26hout3` varchar(2),
  `26mout3` varchar(2),
  `26sick` varchar(3),
  `26vac` varchar(3),
  `26code` varchar(3),
  `27hin1` varchar(2),
  `27min1` varchar(2),
  `27hout1` varchar(2),
  `27mout1` varchar(2),
  `27hin2` varchar(2),
  `27min2` varchar(2),
  `27hout2` varchar(2),
  `27mout2` varchar(2),
  `27hin3` varchar(2),
  `27min3` varchar(2),
  `27hout3` varchar(2),
  `27mout3` varchar(2),
  `27sick` varchar(3),
  `27vac` varchar(3),
  `27code` varchar(3),
  `TimesheetNumber` bigint(20),
  `SubmitTimestamp` datetime,
  `ApproveTimestamp` datetime,
  `EnteredTimestamp` datetime,
  `ApprovedBy` varchar(25)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `vwtimesheetpayperiods`
--

DROP TABLE IF EXISTS `vwtimesheetpayperiods`;
/*!50001 DROP VIEW IF EXISTS `vwtimesheetpayperiods`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `vwtimesheetpayperiods` (
  `paystart` varchar(8),
  `period` int(10) unsigned
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `vwtimesheetpayperiodsforsuper`
--

DROP TABLE IF EXISTS `vwtimesheetpayperiodsforsuper`;
/*!50001 DROP VIEW IF EXISTS `vwtimesheetpayperiodsforsuper`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `vwtimesheetpayperiodsforsuper` (
  `paystart` varchar(8),
  `period` int(10) unsigned
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `vwtimesheetstatus`
--

DROP TABLE IF EXISTS `vwtimesheetstatus`;
/*!50001 DROP VIEW IF EXISTS `vwtimesheetstatus`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `vwtimesheetstatus` (
  `SubmitTimestamp` datetime,
  `ApproveTimestamp` datetime,
  `Pay_ID` bigint(20)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `vwuserinfo`
--

DROP TABLE IF EXISTS `vwuserinfo`;
/*!50001 DROP VIEW IF EXISTS `vwuserinfo`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `vwuserinfo` (
  `user` varchar(30),
  `name` varchar(45),
  `id` varchar(9),
  `record` varchar(2),
  `status` char(1),
  `Supervisor` varchar(30),
  `IsUser` tinyint(1),
  `IsSupervisor` tinyint(1),
  `IsAdmin` tinyint(1),
  `HrsLeft` float(9,2),
  `HrsLastUpdate` datetime,
  `email` int(11),
  `rate` varchar(6),
  `emailaddress` varchar(45)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `vwuserpermissions`
--

DROP TABLE IF EXISTS `vwuserpermissions`;
/*!50001 DROP VIEW IF EXISTS `vwuserpermissions`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `vwuserpermissions` (
  `user` varchar(30),
  `IsUser` tinyint(1),
  `IsSupervisor` tinyint(1),
  `IsAdmin` tinyint(1),
  `status` char(1),
  `name` varchar(45)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `vwusersactive`
--

DROP TABLE IF EXISTS `vwusersactive`;
/*!50001 DROP VIEW IF EXISTS `vwusersactive`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `vwusersactive` (
  `user` varchar(30),
  `name` varchar(45),
  `HrsLeft` float(9,2),
  `HrsLastUpdate` datetime,
  `Supervisor` varchar(30),
  `isuser` tinyint(1),
  `status` char(1),
  `rate` varchar(6)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `vwusersbypayperiods`
--

DROP TABLE IF EXISTS `vwusersbypayperiods`;
/*!50001 DROP VIEW IF EXISTS `vwusersbypayperiods`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `vwusersbypayperiods` (
  `user` varchar(30),
  `name` varchar(45),
  `paystart` varchar(8),
  `period` int(10) unsigned,
  `status` char(1),
  `isuser` tinyint(1),
  `supervisor` varchar(30)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `vwusersnotactive`
--

DROP TABLE IF EXISTS `vwusersnotactive`;
/*!50001 DROP VIEW IF EXISTS `vwusersnotactive`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `vwusersnotactive` (
  `user` varchar(30),
  `name` varchar(45),
  `supervisor` varchar(30),
  `count` tinyint(4)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Final view structure for view `vwallsupervisors`
--

/*!50001 DROP TABLE IF EXISTS `vwallsupervisors`*/;
/*!50001 DROP VIEW IF EXISTS `vwallsupervisors`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`timesheet`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `vwallsupervisors` AS select `tbl_userinfo`.`user` AS `user`,`tbl_userinfo`.`name` AS `name`,`tbl_userinfo`.`IsSupervisor` AS `IsSupervisor`,`tbl_userinfo`.`status` AS `status` from `tbl_userinfo` where ((`tbl_userinfo`.`status` <> _latin1'D') and (`tbl_userinfo`.`IsSupervisor` = 1)) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `vwallusersallperiodnums`
--

/*!50001 DROP TABLE IF EXISTS `vwallusersallperiodnums`*/;
/*!50001 DROP VIEW IF EXISTS `vwallusersallperiodnums`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`timesheet`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `vwallusersallperiodnums` AS select `tbl_userinfo`.`user` AS `user`,`tbl_userinfo`.`name` AS `name`,`tbl_userinfo`.`id` AS `id`,`tbl_userinfo`.`record` AS `record`,`tbl_userinfo`.`status` AS `status`,`tbl_userinfo`.`Supervisor` AS `Supervisor`,`tbl_userinfo`.`IsUser` AS `IsUser`,`tbl_userinfo`.`IsSupervisor` AS `IsSupervisor`,`tbl_userinfo`.`IsAdmin` AS `IsAdmin`,`tbl_userinfo`.`HrsLeft` AS `HrsLeft`,`tbl_userinfo`.`HrsLastUpdate` AS `HrsLastUpdate`,`tbl_userinfo`.`rate` AS `CurrentRate`,`tbl_periodnum`.`paystart` AS `paystart`,`tbl_periodnum`.`period` AS `period` from (`tbl_userinfo` join `tbl_periodnum`) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `vwcurrentpayperiod`
--

/*!50001 DROP TABLE IF EXISTS `vwcurrentpayperiod`*/;
/*!50001 DROP VIEW IF EXISTS `vwcurrentpayperiod`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`timesheet`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `vwcurrentpayperiod` AS select `tbl_periodnum`.`paystart` AS `paystart`,`tbl_periodnum`.`period` AS `period` from `tbl_periodnum` where (str_to_date(`tbl_periodnum`.`paystart`,_utf8'%m/%d/%y') <= curdate()) order by str_to_date(`tbl_periodnum`.`paystart`,_utf8'%m/%d/%y') desc limit 0,1 */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `vwemail`
--

/*!50001 DROP TABLE IF EXISTS `vwemail`*/;
/*!50001 DROP VIEW IF EXISTS `vwemail`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = latin1 */;
/*!50001 SET character_set_results     = latin1 */;
/*!50001 SET collation_connection      = latin1_swedish_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `vwemail` AS select `tbl_userinfo`.`email` AS `email`,`tbl_userinfo`.`user` AS `user`,`tbl_userinfo`.`emailaddress` AS `emailaddress` from `tbl_userinfo` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `vwemployeesforsuper`
--

/*!50001 DROP TABLE IF EXISTS `vwemployeesforsuper`*/;
/*!50001 DROP VIEW IF EXISTS `vwemployeesforsuper`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = latin1 */;
/*!50001 SET character_set_results     = latin1 */;
/*!50001 SET collation_connection      = latin1_swedish_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `vwemployeesforsuper` AS select `tbl_userinfo`.`user` AS `user`,`tbl_userinfo`.`name` AS `name`,`tbl_userinfo`.`status` AS `status`,`tbl_userinfo`.`Supervisor` AS `Supervisor` from `tbl_userinfo` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `vwlog`
--

/*!50001 DROP TABLE IF EXISTS `vwlog`*/;
/*!50001 DROP VIEW IF EXISTS `vwlog`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`timesheet`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `vwlog` AS select `tbl_log`.`user` AS `user`,`tbl_log`.`LogTimestamp` AS `logtimestamp`,`tbl_log`.`Action` AS `description`,`tbl_log`.`TimesheetNum` AS `timesheetnum` from `tbl_log` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `vwpendingaccounts`
--

/*!50001 DROP TABLE IF EXISTS `vwpendingaccounts`*/;
/*!50001 DROP VIEW IF EXISTS `vwpendingaccounts`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = latin1 */;
/*!50001 SET character_set_results     = latin1 */;
/*!50001 SET collation_connection      = latin1_swedish_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `vwpendingaccounts` AS select `tbl_account`.`accountid` AS `accountid`,`tbl_account`.`name` AS `name`,`tbl_account`.`user` AS `user`,`tbl_account`.`desiredpassword` AS `desiredpassword`,`tbl_account`.`empnum` AS `empnum`,`tbl_account`.`role` AS `role`,`tbl_account`.`reset` AS `reset`,`tbl_account`.`pending` AS `pending` from `tbl_account` where (`tbl_account`.`pending` = 1) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `vwsummarybypaystartbysupervisor`
--

/*!50001 DROP TABLE IF EXISTS `vwsummarybypaystartbysupervisor`*/;
/*!50001 DROP VIEW IF EXISTS `vwsummarybypaystartbysupervisor`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`timesheet`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `vwsummarybypaystartbysupervisor` AS select `supervisor`.`user` AS `supervisoruser`,`students`.`user` AS `studentuser`,`supervisor`.`name` AS `supervisorname`,`students`.`name` AS `studentsname`,`students`.`HrsLeft` AS `HrsLeft`,`students`.`HrsLastUpdate` AS `HrsLastUpdate`,`tbl_payperiodinfo`.`Pay_ID` AS `Pay_ID`,`tbl_payperiodinfo`.`SubmitTimestamp` AS `SubmitTimestamp`,`tbl_payperiodinfo`.`ApproveTimestamp` AS `ApproveTimestamp`,`tbl_payperiodinfo`.`EnteredTimestamp` AS `EnteredTimestamp`,`tbl_payperiodinfo`.`paystart` AS `paystart` from ((`tbl_userinfo` `students` left join `tbl_userinfo` `supervisor` on((`supervisor`.`user` = `students`.`Supervisor`))) join `tbl_payperiodinfo` on((`students`.`user` = `tbl_payperiodinfo`.`user`))) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `vwtimesheetbyuserbypaystart`
--

/*!50001 DROP TABLE IF EXISTS `vwtimesheetbyuserbypaystart`*/;
/*!50001 DROP VIEW IF EXISTS `vwtimesheetbyuserbypaystart`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`timesheet`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `vwtimesheetbyuserbypaystart` AS select `vwallusersallperiodnums`.`user` AS `user`,`vwallusersallperiodnums`.`name` AS `name`,`vwallusersallperiodnums`.`id` AS `id`,`vwallusersallperiodnums`.`record` AS `record`,`vwallusersallperiodnums`.`status` AS `status`,`vwallusersallperiodnums`.`Supervisor` AS `Supervisor`,`vwallusersallperiodnums`.`IsUser` AS `IsUser`,`vwallusersallperiodnums`.`IsSupervisor` AS `IsSupervisor`,`vwallusersallperiodnums`.`IsAdmin` AS `IsAdmin`,`vwallusersallperiodnums`.`HrsLeft` AS `HrsLeft`,`vwallusersallperiodnums`.`HrsLastUpdate` AS `HrsLastUpdate`,`vwallusersallperiodnums`.`CurrentRate` AS `CurrentRate`,`tbl_payperiodinfo`.`Pay_ID` AS `Pay_ID`,`vwallusersallperiodnums`.`paystart` AS `paystart`,`vwallusersallperiodnums`.`period` AS `period`,`tbl_payperiodinfo`.`rate` AS `rate`,`tbl_payperiodinfo`.`commentbox` AS `commentbox`,`tbl_payperiodinfo`.`11hin1` AS `11hin1`,`tbl_payperiodinfo`.`11min1` AS `11min1`,`tbl_payperiodinfo`.`11hout1` AS `11hout1`,`tbl_payperiodinfo`.`11mout1` AS `11mout1`,`tbl_payperiodinfo`.`11hin2` AS `11hin2`,`tbl_payperiodinfo`.`11min2` AS `11min2`,`tbl_payperiodinfo`.`11hout2` AS `11hout2`,`tbl_payperiodinfo`.`11mout2` AS `11mout2`,`tbl_payperiodinfo`.`11hin3` AS `11hin3`,`tbl_payperiodinfo`.`11min3` AS `11min3`,`tbl_payperiodinfo`.`11hout3` AS `11hout3`,`tbl_payperiodinfo`.`11mout3` AS `11mout3`,`tbl_payperiodinfo`.`11sick` AS `11sick`,`tbl_payperiodinfo`.`11vac` AS `11vac`,`tbl_payperiodinfo`.`11code` AS `11code`,`tbl_payperiodinfo`.`12hin1` AS `12hin1`,`tbl_payperiodinfo`.`12min1` AS `12min1`,`tbl_payperiodinfo`.`12hout1` AS `12hout1`,`tbl_payperiodinfo`.`12mout1` AS `12mout1`,`tbl_payperiodinfo`.`12hin2` AS `12hin2`,`tbl_payperiodinfo`.`12min2` AS `12min2`,`tbl_payperiodinfo`.`12hout2` AS `12hout2`,`tbl_payperiodinfo`.`12mout2` AS `12mout2`,`tbl_payperiodinfo`.`12hin3` AS `12hin3`,`tbl_payperiodinfo`.`12min3` AS `12min3`,`tbl_payperiodinfo`.`12hout3` AS `12hout3`,`tbl_payperiodinfo`.`12mout3` AS `12mout3`,`tbl_payperiodinfo`.`12sick` AS `12sick`,`tbl_payperiodinfo`.`12vac` AS `12vac`,`tbl_payperiodinfo`.`12code` AS `12code`,`tbl_payperiodinfo`.`13hin1` AS `13hin1`,`tbl_payperiodinfo`.`13min1` AS `13min1`,`tbl_payperiodinfo`.`13hout1` AS `13hout1`,`tbl_payperiodinfo`.`13mout1` AS `13mout1`,`tbl_payperiodinfo`.`13hin2` AS `13hin2`,`tbl_payperiodinfo`.`13min2` AS `13min2`,`tbl_payperiodinfo`.`13hout2` AS `13hout2`,`tbl_payperiodinfo`.`13mout2` AS `13mout2`,`tbl_payperiodinfo`.`13hin3` AS `13hin3`,`tbl_payperiodinfo`.`13min3` AS `13min3`,`tbl_payperiodinfo`.`13hout3` AS `13hout3`,`tbl_payperiodinfo`.`13mout3` AS `13mout3`,`tbl_payperiodinfo`.`13sick` AS `13sick`,`tbl_payperiodinfo`.`13vac` AS `13vac`,`tbl_payperiodinfo`.`13code` AS `13code`,`tbl_payperiodinfo`.`14hin1` AS `14hin1`,`tbl_payperiodinfo`.`14min1` AS `14min1`,`tbl_payperiodinfo`.`14hout1` AS `14hout1`,`tbl_payperiodinfo`.`14mout1` AS `14mout1`,`tbl_payperiodinfo`.`14hin2` AS `14hin2`,`tbl_payperiodinfo`.`14min2` AS `14min2`,`tbl_payperiodinfo`.`14hout2` AS `14hout2`,`tbl_payperiodinfo`.`14mout2` AS `14mout2`,`tbl_payperiodinfo`.`14hin3` AS `14hin3`,`tbl_payperiodinfo`.`14min3` AS `14min3`,`tbl_payperiodinfo`.`14hout3` AS `14hout3`,`tbl_payperiodinfo`.`14mout3` AS `14mout3`,`tbl_payperiodinfo`.`14sick` AS `14sick`,`tbl_payperiodinfo`.`14vac` AS `14vac`,`tbl_payperiodinfo`.`14code` AS `14code`,`tbl_payperiodinfo`.`15hin1` AS `15hin1`,`tbl_payperiodinfo`.`15min1` AS `15min1`,`tbl_payperiodinfo`.`15hout1` AS `15hout1`,`tbl_payperiodinfo`.`15mout1` AS `15mout1`,`tbl_payperiodinfo`.`15hin2` AS `15hin2`,`tbl_payperiodinfo`.`15min2` AS `15min2`,`tbl_payperiodinfo`.`15hout2` AS `15hout2`,`tbl_payperiodinfo`.`15mout2` AS `15mout2`,`tbl_payperiodinfo`.`15hin3` AS `15hin3`,`tbl_payperiodinfo`.`15min3` AS `15min3`,`tbl_payperiodinfo`.`15hout3` AS `15hout3`,`tbl_payperiodinfo`.`15mout3` AS `15mout3`,`tbl_payperiodinfo`.`15sick` AS `15sick`,`tbl_payperiodinfo`.`15vac` AS `15vac`,`tbl_payperiodinfo`.`15code` AS `15code`,`tbl_payperiodinfo`.`16hin1` AS `16hin1`,`tbl_payperiodinfo`.`16min1` AS `16min1`,`tbl_payperiodinfo`.`16hout1` AS `16hout1`,`tbl_payperiodinfo`.`16mout1` AS `16mout1`,`tbl_payperiodinfo`.`16hin2` AS `16hin2`,`tbl_payperiodinfo`.`16min2` AS `16min2`,`tbl_payperiodinfo`.`16hout2` AS `16hout2`,`tbl_payperiodinfo`.`16mout2` AS `16mout2`,`tbl_payperiodinfo`.`16hin3` AS `16hin3`,`tbl_payperiodinfo`.`16min3` AS `16min3`,`tbl_payperiodinfo`.`16hout3` AS `16hout3`,`tbl_payperiodinfo`.`16mout3` AS `16mout3`,`tbl_payperiodinfo`.`16sick` AS `16sick`,`tbl_payperiodinfo`.`16vac` AS `16vac`,`tbl_payperiodinfo`.`16code` AS `16code`,`tbl_payperiodinfo`.`17hin1` AS `17hin1`,`tbl_payperiodinfo`.`17min1` AS `17min1`,`tbl_payperiodinfo`.`17hout1` AS `17hout1`,`tbl_payperiodinfo`.`17mout1` AS `17mout1`,`tbl_payperiodinfo`.`17hin2` AS `17hin2`,`tbl_payperiodinfo`.`17min2` AS `17min2`,`tbl_payperiodinfo`.`17hout2` AS `17hout2`,`tbl_payperiodinfo`.`17mout2` AS `17mout2`,`tbl_payperiodinfo`.`17hin3` AS `17hin3`,`tbl_payperiodinfo`.`17min3` AS `17min3`,`tbl_payperiodinfo`.`17hout3` AS `17hout3`,`tbl_payperiodinfo`.`17mout3` AS `17mout3`,`tbl_payperiodinfo`.`17sick` AS `17sick`,`tbl_payperiodinfo`.`17vac` AS `17vac`,`tbl_payperiodinfo`.`17code` AS `17code`,`tbl_payperiodinfo`.`21hin1` AS `21hin1`,`tbl_payperiodinfo`.`21min1` AS `21min1`,`tbl_payperiodinfo`.`21hout1` AS `21hout1`,`tbl_payperiodinfo`.`21mout1` AS `21mout1`,`tbl_payperiodinfo`.`21hin2` AS `21hin2`,`tbl_payperiodinfo`.`21min2` AS `21min2`,`tbl_payperiodinfo`.`21hout2` AS `21hout2`,`tbl_payperiodinfo`.`21mout2` AS `21mout2`,`tbl_payperiodinfo`.`21hin3` AS `21hin3`,`tbl_payperiodinfo`.`21min3` AS `21min3`,`tbl_payperiodinfo`.`21hout3` AS `21hout3`,`tbl_payperiodinfo`.`21mout3` AS `21mout3`,`tbl_payperiodinfo`.`21sick` AS `21sick`,`tbl_payperiodinfo`.`21vac` AS `21vac`,`tbl_payperiodinfo`.`21code` AS `21code`,`tbl_payperiodinfo`.`22hin1` AS `22hin1`,`tbl_payperiodinfo`.`22min1` AS `22min1`,`tbl_payperiodinfo`.`22hout1` AS `22hout1`,`tbl_payperiodinfo`.`22mout1` AS `22mout1`,`tbl_payperiodinfo`.`22hin2` AS `22hin2`,`tbl_payperiodinfo`.`22min2` AS `22min2`,`tbl_payperiodinfo`.`22hout2` AS `22hout2`,`tbl_payperiodinfo`.`22mout2` AS `22mout2`,`tbl_payperiodinfo`.`22hin3` AS `22hin3`,`tbl_payperiodinfo`.`22min3` AS `22min3`,`tbl_payperiodinfo`.`22hout3` AS `22hout3`,`tbl_payperiodinfo`.`22mout3` AS `22mout3`,`tbl_payperiodinfo`.`22sick` AS `22sick`,`tbl_payperiodinfo`.`22vac` AS `22vac`,`tbl_payperiodinfo`.`22code` AS `22code`,`tbl_payperiodinfo`.`23hin1` AS `23hin1`,`tbl_payperiodinfo`.`23min1` AS `23min1`,`tbl_payperiodinfo`.`23hout1` AS `23hout1`,`tbl_payperiodinfo`.`23mout1` AS `23mout1`,`tbl_payperiodinfo`.`23hin2` AS `23hin2`,`tbl_payperiodinfo`.`23min2` AS `23min2`,`tbl_payperiodinfo`.`23hout2` AS `23hout2`,`tbl_payperiodinfo`.`23mout2` AS `23mout2`,`tbl_payperiodinfo`.`23hin3` AS `23hin3`,`tbl_payperiodinfo`.`23min3` AS `23min3`,`tbl_payperiodinfo`.`23hout3` AS `23hout3`,`tbl_payperiodinfo`.`23mout3` AS `23mout3`,`tbl_payperiodinfo`.`23sick` AS `23sick`,`tbl_payperiodinfo`.`23vac` AS `23vac`,`tbl_payperiodinfo`.`23code` AS `23code`,`tbl_payperiodinfo`.`24hin1` AS `24hin1`,`tbl_payperiodinfo`.`24min1` AS `24min1`,`tbl_payperiodinfo`.`24hout1` AS `24hout1`,`tbl_payperiodinfo`.`24mout1` AS `24mout1`,`tbl_payperiodinfo`.`24hin2` AS `24hin2`,`tbl_payperiodinfo`.`24min2` AS `24min2`,`tbl_payperiodinfo`.`24hout2` AS `24hout2`,`tbl_payperiodinfo`.`24mout2` AS `24mout2`,`tbl_payperiodinfo`.`24hin3` AS `24hin3`,`tbl_payperiodinfo`.`24min3` AS `24min3`,`tbl_payperiodinfo`.`24hout3` AS `24hout3`,`tbl_payperiodinfo`.`24mout3` AS `24mout3`,`tbl_payperiodinfo`.`24sick` AS `24sick`,`tbl_payperiodinfo`.`24vac` AS `24vac`,`tbl_payperiodinfo`.`24code` AS `24code`,`tbl_payperiodinfo`.`25hin1` AS `25hin1`,`tbl_payperiodinfo`.`25min1` AS `25min1`,`tbl_payperiodinfo`.`25hout1` AS `25hout1`,`tbl_payperiodinfo`.`25mout1` AS `25mout1`,`tbl_payperiodinfo`.`25hin2` AS `25hin2`,`tbl_payperiodinfo`.`25min2` AS `25min2`,`tbl_payperiodinfo`.`25hout2` AS `25hout2`,`tbl_payperiodinfo`.`25mout2` AS `25mout2`,`tbl_payperiodinfo`.`25hin3` AS `25hin3`,`tbl_payperiodinfo`.`25min3` AS `25min3`,`tbl_payperiodinfo`.`25hout3` AS `25hout3`,`tbl_payperiodinfo`.`25mout3` AS `25mout3`,`tbl_payperiodinfo`.`25sick` AS `25sick`,`tbl_payperiodinfo`.`25vac` AS `25vac`,`tbl_payperiodinfo`.`25code` AS `25code`,`tbl_payperiodinfo`.`26hin1` AS `26hin1`,`tbl_payperiodinfo`.`26min1` AS `26min1`,`tbl_payperiodinfo`.`26hout1` AS `26hout1`,`tbl_payperiodinfo`.`26mout1` AS `26mout1`,`tbl_payperiodinfo`.`26hin2` AS `26hin2`,`tbl_payperiodinfo`.`26min2` AS `26min2`,`tbl_payperiodinfo`.`26hout2` AS `26hout2`,`tbl_payperiodinfo`.`26mout2` AS `26mout2`,`tbl_payperiodinfo`.`26hin3` AS `26hin3`,`tbl_payperiodinfo`.`26min3` AS `26min3`,`tbl_payperiodinfo`.`26hout3` AS `26hout3`,`tbl_payperiodinfo`.`26mout3` AS `26mout3`,`tbl_payperiodinfo`.`26sick` AS `26sick`,`tbl_payperiodinfo`.`26vac` AS `26vac`,`tbl_payperiodinfo`.`26code` AS `26code`,`tbl_payperiodinfo`.`27hin1` AS `27hin1`,`tbl_payperiodinfo`.`27min1` AS `27min1`,`tbl_payperiodinfo`.`27hout1` AS `27hout1`,`tbl_payperiodinfo`.`27mout1` AS `27mout1`,`tbl_payperiodinfo`.`27hin2` AS `27hin2`,`tbl_payperiodinfo`.`27min2` AS `27min2`,`tbl_payperiodinfo`.`27hout2` AS `27hout2`,`tbl_payperiodinfo`.`27mout2` AS `27mout2`,`tbl_payperiodinfo`.`27hin3` AS `27hin3`,`tbl_payperiodinfo`.`27min3` AS `27min3`,`tbl_payperiodinfo`.`27hout3` AS `27hout3`,`tbl_payperiodinfo`.`27mout3` AS `27mout3`,`tbl_payperiodinfo`.`27sick` AS `27sick`,`tbl_payperiodinfo`.`27vac` AS `27vac`,`tbl_payperiodinfo`.`27code` AS `27code`,`tbl_payperiodinfo`.`TimesheetNumber` AS `TimesheetNumber`,`tbl_payperiodinfo`.`SubmitTimestamp` AS `SubmitTimestamp`,`tbl_payperiodinfo`.`ApproveTimestamp` AS `ApproveTimestamp`,`tbl_payperiodinfo`.`EnteredTimestamp` AS `EnteredTimestamp`,`ApprovedbySuperLookup`(`tbl_payperiodinfo`.`TimesheetNumber`) AS `ApprovedBy` from (`vwallusersallperiodnums` left join `tbl_payperiodinfo` on(((`vwallusersallperiodnums`.`user` = `tbl_payperiodinfo`.`user`) and (`tbl_payperiodinfo`.`paystart` = `vwallusersallperiodnums`.`paystart`)))) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `vwtimesheetpayperiods`
--

/*!50001 DROP TABLE IF EXISTS `vwtimesheetpayperiods`*/;
/*!50001 DROP VIEW IF EXISTS `vwtimesheetpayperiods`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`timesheet`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `vwtimesheetpayperiods` AS select `tbl_periodnum`.`paystart` AS `paystart`,`tbl_periodnum`.`period` AS `period` from `tbl_periodnum` where (str_to_date(`tbl_periodnum`.`paystart`,_utf8'%m/%d/%y') <= (curdate() + interval 28 day)) order by str_to_date(`tbl_periodnum`.`paystart`,_utf8'%m/%d/%y') desc limit 0,6 */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `vwtimesheetpayperiodsforsuper`
--

/*!50001 DROP TABLE IF EXISTS `vwtimesheetpayperiodsforsuper`*/;
/*!50001 DROP VIEW IF EXISTS `vwtimesheetpayperiodsforsuper`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`timesheet`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `vwtimesheetpayperiodsforsuper` AS select `tbl_periodnum`.`paystart` AS `paystart`,`tbl_periodnum`.`period` AS `period` from `tbl_periodnum` where (str_to_date(`tbl_periodnum`.`paystart`,_utf8'%m/%d/%y') <= (curdate() + interval 26 day)) order by str_to_date(`tbl_periodnum`.`paystart`,_utf8'%m/%d/%y') desc limit 0,6 */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `vwtimesheetstatus`
--

/*!50001 DROP TABLE IF EXISTS `vwtimesheetstatus`*/;
/*!50001 DROP VIEW IF EXISTS `vwtimesheetstatus`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = latin1 */;
/*!50001 SET character_set_results     = latin1 */;
/*!50001 SET collation_connection      = latin1_swedish_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `vwtimesheetstatus` AS select `tbl_payperiodinfo`.`SubmitTimestamp` AS `SubmitTimestamp`,`tbl_payperiodinfo`.`ApproveTimestamp` AS `ApproveTimestamp`,`tbl_payperiodinfo`.`Pay_ID` AS `Pay_ID` from `tbl_payperiodinfo` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `vwuserinfo`
--

/*!50001 DROP TABLE IF EXISTS `vwuserinfo`*/;
/*!50001 DROP VIEW IF EXISTS `vwuserinfo`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = latin1 */;
/*!50001 SET character_set_results     = latin1 */;
/*!50001 SET collation_connection      = latin1_swedish_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `vwuserinfo` AS select `tbl_userinfo`.`user` AS `user`,`tbl_userinfo`.`name` AS `name`,`tbl_userinfo`.`id` AS `id`,`tbl_userinfo`.`record` AS `record`,`tbl_userinfo`.`status` AS `status`,`tbl_userinfo`.`Supervisor` AS `Supervisor`,`tbl_userinfo`.`IsUser` AS `IsUser`,`tbl_userinfo`.`IsSupervisor` AS `IsSupervisor`,`tbl_userinfo`.`IsAdmin` AS `IsAdmin`,`tbl_userinfo`.`HrsLeft` AS `HrsLeft`,`tbl_userinfo`.`HrsLastUpdate` AS `HrsLastUpdate`,`tbl_userinfo`.`email` AS `email`,`tbl_userinfo`.`rate` AS `rate`,`tbl_userinfo`.`emailaddress` AS `emailaddress` from `tbl_userinfo` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `vwuserpermissions`
--

/*!50001 DROP TABLE IF EXISTS `vwuserpermissions`*/;
/*!50001 DROP VIEW IF EXISTS `vwuserpermissions`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = latin1 */;
/*!50001 SET character_set_results     = latin1 */;
/*!50001 SET collation_connection      = latin1_swedish_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`timesheet`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `vwuserpermissions` AS select `tbl_userinfo`.`user` AS `user`,`tbl_userinfo`.`IsUser` AS `IsUser`,`tbl_userinfo`.`IsSupervisor` AS `IsSupervisor`,`tbl_userinfo`.`IsAdmin` AS `IsAdmin`,`tbl_userinfo`.`status` AS `status`,`tbl_userinfo`.`name` AS `name` from `tbl_userinfo` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `vwusersactive`
--

/*!50001 DROP TABLE IF EXISTS `vwusersactive`*/;
/*!50001 DROP VIEW IF EXISTS `vwusersactive`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`timesheet`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `vwusersactive` AS select `tbl_userinfo`.`user` AS `user`,`tbl_userinfo`.`name` AS `name`,`tbl_userinfo`.`HrsLeft` AS `HrsLeft`,`tbl_userinfo`.`HrsLastUpdate` AS `HrsLastUpdate`,`tbl_userinfo`.`Supervisor` AS `Supervisor`,`tbl_userinfo`.`IsUser` AS `isuser`,`tbl_userinfo`.`status` AS `status`,`tbl_userinfo`.`rate` AS `rate` from `tbl_userinfo` where ((`tbl_userinfo`.`status` <> _latin1'D') and (`tbl_userinfo`.`IsUser` = 1)) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `vwusersbypayperiods`
--

/*!50001 DROP TABLE IF EXISTS `vwusersbypayperiods`*/;
/*!50001 DROP VIEW IF EXISTS `vwusersbypayperiods`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`timesheet`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `vwusersbypayperiods` AS select `tbl_userinfo`.`user` AS `user`,`tbl_userinfo`.`name` AS `name`,`tbl_periodnum`.`paystart` AS `paystart`,`tbl_periodnum`.`period` AS `period`,`tbl_userinfo`.`status` AS `status`,`tbl_userinfo`.`IsUser` AS `isuser`,`tbl_userinfo`.`Supervisor` AS `supervisor` from (`tbl_userinfo` join `tbl_periodnum`) where (`tbl_periodnum`.`paystart` in (select `tbl_periodnum`.`paystart` AS `paystart` from `tbl_periodnum` where (str_to_date(`tbl_periodnum`.`paystart`,_utf8'%m/%d/%y') between (curdate() - interval 42 day) and curdate())) and (`tbl_userinfo`.`status` <> _latin1'D') and (`tbl_userinfo`.`IsUser` = _latin1'1')) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `vwusersnotactive`
--

/*!50001 DROP TABLE IF EXISTS `vwusersnotactive`*/;
/*!50001 DROP VIEW IF EXISTS `vwusersnotactive`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`timesheet`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `vwusersnotactive` AS select `allperiods`.`user` AS `user`,`allperiods`.`name` AS `name`,`allperiods`.`supervisor` AS `supervisor`,`UserActiveForPeriod`(`allperiods`.`user`) AS `count` from (`vwusersbypayperiods` `allperiods` left join `tbl_payperiodinfo` on(((`allperiods`.`user` = `tbl_payperiodinfo`.`user`) and (`allperiods`.`paystart` = `tbl_payperiodinfo`.`paystart`)))) where isnull(`tbl_payperiodinfo`.`Pay_ID`) group by `allperiods`.`user`,`allperiods`.`name` having (`count` > 0) order by `UserActiveForPeriod`(`allperiods`.`user`) desc */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2012-05-25  9:46:38
