<?php

/*
Copyright (c) 2012 Joshua Morris
Last Updated: 24 May 2012
Version 3.5.0

*/

require_once "include/timesheetfunctions.php";
require_once "include/configuration.php";

// Begin printing document 
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<?php printPageHeader (); ?>
<title>Timesheet | Update User Info</title>
<!-- Version 3.5.0 -->
</head>

<body>
<!-- header container -->
<div id="container">
	<?php print("<div id=\"h1\" class=\"noprint\"><a href=\"$logourl\"><img src=\"include\logo.gif\" alt=\"$logoalt\"></a> <div id=\"h2\">Update User Information</div></div>"); ?>
		<!-- form container -->
		<div id="content_container">
<?php

// ------ Require Authentication to Show Timesheet, Else Redirect to Login Page ------------------------------------
$log_name = "t514ne";
$log_password = "t234pe";
$isvalidlogin = false;
$db_username='staff';

// get user id & password, cut to length for security
$user = @substr($_POST[$log_name],0,30);
$user_pass = @substr($_POST[$log_password],0,64);

// ------ TEST IF USER INFORMATION IS VALID -----------------------------------------------------------------------

$isvalidlogin = checkValidLogin($db_username, $user, $user_pass);

if(!$isvalidlogin)
{
	// login is not valid print redirect
	trigger_error("Nonvalid Login",E_USER_ERROR);
	
	// check if account locked
	if($login_store == 3)
	{
		print("<br>Too many failed login attempts, please verify your login credentials, wait 30 mintues and try again.<br><br>");
	}	
}
else
{
        // ------ If Login Valid, Continue on to Display Timesheet ----------------------------------------------------------
		
        //----------------------------------------------------------------
        // Update if Save Pressed
        //----------------------------------------------------------------

        if(isset($_POST['save']))
        {
            $count = intval($_POST['count']); // get count ensure integer value
            $i = 0; //interator
            while ($i < $count)
            {
                //----- Clean Input Before Query ---------------------------------------------
                $temp = $namebox.$i;
                $userfullname = @substr($_POST[$temp],0,45); // name no longer than 45 characters
                
                $temp = $employeeid.$i; 
                $userid = @substr($_POST[$temp],0,9); // employeeid no longer than 9 characters
                
                $temp = $record.$i; 
                $userrecord = @substr($_POST[$temp],0,2); // record no longer than 2 characters
                
                $temp = 'user'.$i;
                $userusername = @substr($_POST[$temp],0,30);// clean user and add to query
                
                $temp = 'emailaddress'.$i;
                $useremail = @substr($_POST[$temp],0,45); // clean email address and add to query

                // call UpdateUserInfo function with new values
                $query = sprintf("SELECT UpdateUserInfo('%s', '%s', '%s','%s','%s')", mysql_real_escape_string($userfullname), mysql_real_escape_string($userid), mysql_real_escape_string($userrecord), mysql_real_escape_string($userusername), mysql_real_escape_string($useremail));

                // execute
                $result = mysql_query($query);

                // if query failed
                if(!$result)
                {
                    trigger_error("User info save",E_USER_ERROR);
                }
                
                $i++;
            }//endwhile
        }//end if save
		
        //----------------------------------------------------------------
        // Get the User Info for all users
        //----------------------------------------------------------------

        // variables
        $name_store = array();
        $id_store = array();
        $record_store = array();
        $emailaddress = array();
        $usernames = array();     

        // query the view for info
        $query = sprintf("SELECT * FROM vwuserinfo");

        // execute
        $result = mysql_query($query);

        // if query failed
        if(!$result)
        {
                trigger_error("No connection",E_USER_ERROR);
        }
        else
        {

                // get results
               while ($row = mysql_fetch_assoc($result))
                {

                    // store Name, ID, Record, Email address to display
                    $name_store[] = $row['name'];
                    $id_store[] = $row['id'];
                    $record_store[] = $row['record'];
                    $emailaddress[] = $row['emailaddress'];
                    $usernames[] = $row['user'];
                }//endwhile
        }//endelse !result



    //----------------------------------------------------------------
    // Check if logged in user has Staff permission
    //----------------------------------------------------------------

    $permission = checkValidPermissions($user, 'staff');
    
    if($permission)
    //account not disabled & user has permission to fill out a timesheet
    {


        //----- Initialize Arrays ---------------------------------
	
	// array to hold info for input box error highlighting, elements should be "" unless changed to #FF000 by error code
	$inputstyle = array();

        // ------- Return to Timesheet & Logout button -----------------
	print("<br>\n
	<table width=\"100%\">\n
	<tr>\n
	<td align=\"left\">
		<form name=\"userinfo\" action=\"timesheetstaffsummary.php\" method=\"POST\">
		<input type=\"submit\" name=\"update\" value=\"Return to Summary\" class=\"noprint\">
		<input type=\"hidden\" name=\"$log_name\" value=\"$_POST[$log_name]\">
		<input type=\"hidden\" name=\"$log_password\" value=\"$_POST[$log_password]\">
		<input type=\"hidden\" name=\"encrypted\" value=\"\">
		</form>
	</td>\n
	<td align=\"right\">
		<a href=\"index.php\"><input type=\"button\" value=\"Logout\" name=\"logout\" class=\"noprint\" onClick=\"window.location='index.php'\"></a>
	</td>\n
	</tr></table>\n\n");
	
        // ------- Place Hidden Field to track last payid value -----------------

	print("<input type=\"hidden\" name=\"$payidlast\" value=\"$_POST[$payidlast]\">");
	
        // -------- Begin printing form with Post ----------------------
	print("<br><form name=\"timesheet\" action=\"timesheetstaffuserinfo.php\" method=\"POST\" >");
	
	print("<input type=\"hidden\" name=\"$log_name\" value=\"$_POST[$log_name]\">");
	print("<input type=\"hidden\" name=\"$log_password\" value=\"$_POST[$log_password]\">");
	print("<input type=\"hidden\" name=\"encrypted\" value=\"\">");
        
	
	// ------- Display Name, Employee ID, Record #, Email Information -----------------
	
	$count = 0;
        while($count < count($name_store))
        {
            // store post to give to print function below
            $userinfoforpost = array();
            $userinfoforpost[$namebox] = $name_store[$count];
            $userinfoforpost[$employeeid] =  $id_store[$count];
            $userinfoforpost[$record] = $record_store[$count];
            $email = 'email';
            $userinfoforpost[$email] = $emailaddress[$count];
            $userinfoforpost['user'] = $usernames[$count];

            displayNameIdRecordEmail(null, $namebox, $employeeid, $record, $email, $userinfoforpost, $count);
            
            $count++;
        }        
        
	print("<input type=\"hidden\" name=\"count\" value=\"$count\"");

        //----- Print Update button -----

	print("<p class=\"noprint\"><input type=\"submit\" value=\"Update\" name=\"save\" class=\"noprint\"></p>
	</form>");
    }//end account not disabled
}//end require auth else
?>

		</div>
	</div>
</body>
</html>

