-- MySQL dump 10.13  Distrib 5.1.56, for Win32 (ia32)
--
-- Host: localhost    Database: timesheet
-- ------------------------------------------------------
-- Server version	5.1.56-community

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `tbl_account`
--

DROP TABLE IF EXISTS `tbl_account`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tbl_account` (
  `accountid` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(45) DEFAULT NULL,
  `user` varchar(30) NOT NULL,
  `desiredpassword` varchar(64) NOT NULL,
  `empnum` varchar(9) DEFAULT NULL,
  `role` varchar(45) DEFAULT NULL,
  `reset` varchar(1) DEFAULT NULL,
  `pending` int(11) NOT NULL,
  PRIMARY KEY (`accountid`)
) ENGINE=InnoDB AUTO_INCREMENT=154 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tbl_account`
--

LOCK TABLES `tbl_account` WRITE;
/*!40000 ALTER TABLE `tbl_account` DISABLE KEYS */;
INSERT INTO `tbl_account` VALUES (150,'Test G User','testguser','5e18e887dd1f29a5c66061d7f85800acc266addd41fa870f6d408dd9ee673312','12345678','Employee','',0),(151,'Test V User','testvuser','5e18e887dd1f29a5c66061d7f85800acc266addd41fa870f6d408dd9ee673312','555555555','Supervisor','',0),(152,'Testy McTest','testy','6693efcd0503059fc0561450033ac9fe712aff09e31e460f4f321f4324585188','000000000','Employee','',0),(153,'Test F User','testfuser','5e18e887dd1f29a5c66061d7f85800acc266addd41fa870f6d408dd9ee673312','45454545','Employee','',1);
/*!40000 ALTER TABLE `tbl_account` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tbl_log`
--

DROP TABLE IF EXISTS `tbl_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tbl_log` (
  `LogID` bigint(20) NOT NULL AUTO_INCREMENT,
  `user` varchar(30) NOT NULL DEFAULT '',
  `LogTimestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `Action` varchar(50) NOT NULL DEFAULT '',
  `TimesheetNum` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`LogID`),
  KEY `TimesheetNum` (`TimesheetNum`,`Action`,`LogTimestamp`)
) ENGINE=InnoDB AUTO_INCREMENT=1075 DEFAULT CHARSET=latin1 COMMENT='InnoDB free: 11264 kB';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tbl_log`
--

LOCK TABLES `tbl_log` WRITE;
/*!40000 ALTER TABLE `tbl_log` DISABLE KEYS */;
INSERT INTO `tbl_log` VALUES (2,'testguser','2012-05-11 13:21:15','Login failed: 1',NULL),(3,'testguser','2012-05-11 13:25:40','Login failed: 1',NULL),(4,'root','2012-05-11 13:27:34','New user added: testguser',NULL),(5,'testguser','2012-05-11 13:28:46','Login failed: 2',NULL),(6,'root','2012-05-11 13:30:29','User updated: testguser',NULL),(7,'root','2012-05-11 13:30:29','User password changed: testguser',NULL),(8,'testguser','2012-05-11 13:30:38','Login failed: 2',NULL),(9,'testguser','2012-05-11 13:30:56','Login failed: 2',NULL),(10,'testguser','2012-05-11 13:59:16','Login failed: 2',NULL),(11,'testguser','2012-05-11 13:59:21','Login failed: 2',NULL),(12,'testguser','2012-05-11 14:00:19','Login failed: 2',NULL),(13,'testguser','2012-05-11 14:00:55','Login failed: 2',NULL),(14,'testguser','2012-05-11 14:02:25','Login failed: 2',NULL),(15,'testguser','2012-05-11 14:02:55','Login succeeded: 0',NULL),(16,'testguser','2012-05-11 14:03:32','Login failed: 2',NULL),(17,'testguser','2012-05-11 14:04:32','Login failed: 3',NULL),(18,'testguser','2012-05-11 14:05:21','Login failed: 3',NULL),(19,'root','2012-05-11 14:10:59','User updated: testguser',NULL),(20,'root','2012-05-11 14:10:59','User password changed: testguser',NULL),(21,'testguser','2012-05-11 14:11:08','Login succeeded: 0',NULL),(22,'testguser','2012-05-11 14:13:18','Login succeeded: 0',NULL),(23,'testguser','2012-05-11 14:16:43','Login succeeded: 0',NULL),(24,'testguser','2012-05-11 14:18:07','Login succeeded: 0',NULL),(25,'testguser','2012-05-11 14:20:53','Login succeeded: 0',NULL),(26,'testguser','2012-05-11 14:21:12','Login succeeded: 0',NULL),(27,'testguser','2012-05-11 14:23:51','Login succeeded: 0',NULL),(28,'testguser','2012-05-11 14:24:56','Login succeeded: 0',NULL),(29,'testguser','2012-05-11 14:25:01','Login succeeded: 0',NULL),(30,'testguser','2012-05-11 14:25:05','Login succeeded: 0',NULL),(31,'testguser','2012-05-11 14:25:09','Login succeeded: 0',NULL),(32,'testguser','2012-05-11 14:25:13','Login succeeded: 0',NULL),(33,'testguser','2012-05-11 14:25:18','Login succeeded: 0',NULL),(34,'testguser','2012-05-11 14:25:23','Login succeeded: 0',NULL),(35,'testguser','2012-05-11 14:27:14','Login succeeded: 0',NULL),(36,'testguser','2012-05-11 14:27:24','Login succeeded: 0',NULL),(37,'testguser','2012-05-11 14:28:30','Login succeeded: 0',NULL),(38,'testguser','2012-05-11 14:28:34','Login succeeded: 0',NULL),(39,'testguser','2012-05-11 14:29:05','Login succeeded: 0',NULL),(40,'testguser','2012-05-11 14:30:00','Login succeeded: 0',NULL),(41,'testguser','2012-05-11 14:30:20','Login succeeded: 0',NULL),(42,'testguser','2012-05-11 14:30:27','Login succeeded: 0',NULL),(43,'testguser','2012-05-11 14:30:31','Login succeeded: 0',NULL),(44,'testguser','2012-05-11 14:32:44','Login succeeded: 0',NULL),(45,'testguser','2012-05-11 14:33:13','Login succeeded: 0',NULL),(46,'testguser','2012-05-11 14:33:13','Timesheet Submitted payid(1)',3429220256),(47,'testguser','2012-05-11 14:34:53','Login succeeded: 0',NULL),(48,'testguser','2012-05-11 14:35:07','Login succeeded: 0',NULL),(49,'testguser','2012-05-11 15:14:24','Login succeeded: 0',NULL),(50,'testguser','2012-05-11 15:14:31','Login succeeded: 0',NULL),(51,'testguser','2012-05-11 15:14:43','Login succeeded: 0',NULL),(52,'testguser','2012-05-11 15:14:50','Login succeeded: 0',NULL),(53,'testguser','2012-05-11 15:16:02','Login succeeded: 0',NULL),(54,'testguser','2012-05-11 15:16:05','Login succeeded: 0',NULL),(55,'testguser','2012-05-11 15:17:03','Login succeeded: 0',NULL),(56,'testguser','2012-05-11 15:20:31','Login succeeded: 0',NULL),(57,'testguser','2012-05-11 15:20:35','Login succeeded: 0',NULL),(58,'testguser','2012-05-11 15:20:40','Login succeeded: 0',NULL),(59,'testguser','2012-05-11 15:20:46','Login succeeded: 0',NULL),(60,'testguser','2012-05-11 15:21:30','Login succeeded: 0',NULL),(61,'testguser','2012-05-11 15:24:19','Login succeeded: 0',NULL),(62,'testguser','2012-05-11 15:24:23','Login succeeded: 0',NULL),(63,'testguser','2012-05-11 15:24:27','Login succeeded: 0',NULL),(64,'testguser','2012-05-11 15:29:11','Login succeeded: 0',NULL),(65,'testguser','2012-05-11 15:29:20','Login succeeded: 0',NULL),(66,'testguser','2012-05-11 15:29:30','Login succeeded: 0',NULL),(67,'testguser','2012-05-11 15:41:19','Login succeeded: 0',NULL),(68,'testguser','2012-05-11 15:45:06','Login succeeded: 0',NULL),(69,'testguser','2012-05-11 15:45:11','Login succeeded: 0',NULL),(70,'root','2012-05-11 15:47:41','New user added: testsuser',NULL),(71,'testguser','2012-05-11 15:53:05','Login succeeded: 0',NULL),(72,'testguser','2012-05-11 16:09:10','Login succeeded: 0',NULL),(73,'testguser','2012-05-11 16:14:15','Login failed: 2',NULL),(74,'testguser','2012-05-11 16:15:55','Login succeeded: 0',NULL),(75,'testguser','2012-05-11 16:16:03','Login succeeded: 0',NULL),(76,'testguser','2012-05-11 16:16:09','Login succeeded: 0',NULL),(77,'testguser','2012-05-11 16:16:17','Login succeeded: 0',NULL),(78,'testguser','2012-05-11 16:17:02','Login succeeded: 0',NULL),(79,'testguser','2012-05-11 16:19:55','Login succeeded: 0',NULL),(80,'testsuser','2012-05-11 17:54:28','Login succeeded: 0',NULL),(81,'testsuser','2012-05-11 17:55:58','Login succeeded: 0',NULL),(82,'testsuser','2012-05-11 18:06:10','Login succeeded: 0',NULL),(83,'testsuser','2012-05-11 18:06:32','Login succeeded: 0',NULL),(84,'testsuser','2012-05-11 18:08:38','Login succeeded: 0',NULL),(85,'testsuser','2012-05-11 18:09:24','Login succeeded: 0',NULL),(86,'testsuser','2012-05-11 18:12:25','Login succeeded: 0',NULL),(87,'testsuser','2012-05-11 18:12:30','Login succeeded: 0',NULL),(88,'testsuser','2012-05-11 18:12:37','Login succeeded: 0',NULL),(89,'testsuser','2012-05-11 18:18:49','Login succeeded: 0',NULL),(90,'testsuer','2012-05-11 18:19:02','Login failed: 1',NULL),(91,'testsuser','2012-05-11 18:19:17','Login succeeded: 0',NULL),(92,'testsuser','2012-05-11 18:19:22','Login succeeded: 0',NULL),(93,'testsuser','2012-05-11 18:19:25','Login succeeded: 0',NULL),(94,'testsuser','2012-05-11 18:19:31','Login succeeded: 0',NULL),(95,'testsuser','2012-05-11 18:19:34','Login succeeded: 0',NULL),(96,'testsuser','2012-05-11 18:19:38','Login succeeded: 0',NULL),(97,'testsuser','2012-05-11 18:20:42','Login succeeded: 0',NULL),(98,'testsuser','2012-05-11 18:21:48','Login succeeded: 0',NULL),(99,'testsuser','2012-05-11 18:22:10','Login succeeded: 0',NULL),(100,'testsuser','2012-05-11 18:24:40','Login succeeded: 0',NULL),(101,'testsuser','2012-05-11 18:24:47','Login succeeded: 0',NULL),(102,'testguser','2012-05-11 18:24:47','Timesheet Denied by Supervisor    payid(1)',3429220256),(103,'testsuser','2012-05-11 18:24:47','Deny function called',3429220256),(104,'testsuser','2012-05-11 18:25:51','Login succeeded: 0',NULL),(105,'testsuser','2012-05-11 18:25:56','Login succeeded: 0',NULL),(106,'testsuser','2012-05-11 18:25:58','Login succeeded: 0',NULL),(107,'testguser','2012-05-11 18:26:19','Login succeeded: 0',NULL),(108,'testguser','2012-05-11 18:26:24','Login succeeded: 0',NULL),(109,'testguser','2012-05-11 18:26:24','Timesheet Resubmitted from #3429220256 payid(1)',2876116393),(110,'testsuser','2012-05-11 18:26:52','Login succeeded: 0',NULL),(111,'testsuser','2012-05-11 18:26:56','Login succeeded: 0',NULL),(112,'testsuser','2012-05-11 18:26:59','Login succeeded: 0',NULL),(113,'testsuser','2012-05-11 18:27:47','Login succeeded: 0',NULL),(114,'testguser','2012-05-11 18:27:47','Timesheet Denied by Supervisor    payid(1)',2876116393),(115,'testsuser','2012-05-11 18:27:47','Deny function called',2876116393),(116,'testsuser','2012-05-11 18:32:02','Login succeeded: 0',NULL),(117,'testsuser','2012-05-11 18:32:16','Login succeeded: 0',NULL),(118,'testsuser','2012-05-11 18:32:18','Login succeeded: 0',NULL),(119,'testguser','2012-05-11 18:32:44','Login succeeded: 0',NULL),(120,'testguser','2012-05-11 18:32:44','Timesheet Resubmitted from #2876116393 payid(1)',5865452136),(121,'testsuser','2012-05-11 18:32:54','Login succeeded: 0',NULL),(122,'testsuser','2012-05-11 18:33:00','Login succeeded: 0',NULL),(123,'testguser','2012-05-11 18:33:00','Timesheet Approved by Supervisor payid(1)',5865452136),(124,'testsuser','2012-05-11 18:33:00','Approve function called - Super',5865452136),(125,'testsuser','2012-05-11 18:34:18','Login succeeded: 0',NULL),(126,'testguser','2012-05-11 18:34:31','Login succeeded: 0',NULL),(127,'testguser','2012-05-11 18:34:35','Login succeeded: 0',NULL),(128,'testguser','2012-05-11 18:34:35','Timesheet Submitted payid(4)',1600169987),(129,'testsuser','2012-05-11 18:34:52','Login succeeded: 0',NULL),(130,'testsuser','2012-05-11 18:34:57','Login succeeded: 0',NULL),(131,'testsuser','2012-05-11 18:34:59','Login succeeded: 0',NULL),(132,'testsuser','2012-05-11 18:35:16','Login succeeded: 0',NULL),(133,'testsuser','2012-05-11 18:35:28','Login succeeded: 0',NULL),(134,'testsuser','2012-05-11 18:36:40','Login succeeded: 0',NULL),(135,'testsuser','2012-05-11 18:36:42','Login succeeded: 0',NULL),(136,'testsuser','2012-05-11 18:36:49','Login succeeded: 0',NULL),(137,'testguser','2012-05-11 18:36:49','Timesheet Denied by Supervisor    payid(4)',1600169987),(138,'testsuser','2012-05-11 18:36:49','Deny function called',1600169987),(139,'testsuser','2012-05-11 18:38:25','Login succeeded: 0',NULL),(140,'testguser','2012-05-11 18:38:42','Login succeeded: 0',NULL),(141,'testguser','2012-05-11 18:38:52','Login succeeded: 0',NULL),(142,'testguser','2012-05-11 18:38:59','Login succeeded: 0',NULL),(143,'testguser','2012-05-11 18:39:02','Login succeeded: 0',NULL),(144,'testguser','2012-05-11 18:39:02','Timesheet Resubmitted from #1600169987 payid(4)',3326058502),(145,'testsuser','2012-05-11 18:39:10','Login succeeded: 0',NULL),(146,'testsuser','2012-05-11 18:39:12','Login succeeded: 0',NULL),(147,'testsuser','2012-05-11 18:39:18','Login succeeded: 0',NULL),(148,'testguser','2012-05-11 18:39:18','Timesheet Denied by Supervisor    payid(4)',3326058502),(149,'testsuser','2012-05-11 18:39:18','Deny function called',3326058502),(150,'testsuser','2012-05-11 18:39:21','Login succeeded: 0',NULL),(151,'root','2012-05-11 18:50:29','New user added: testauser',NULL),(152,'root','2012-05-11 18:50:35','User updated: testauser',NULL),(153,'root','2012-05-11 18:50:35','User password changed: testauser',NULL),(154,'testauser','2012-05-11 18:53:08','Login succeeded: 0',NULL),(155,'testauser','2012-05-11 18:56:07','Login succeeded: 0',NULL),(156,'testauser','2012-05-11 18:56:44','Login succeeded: 0',NULL),(157,'testauser','2012-05-11 18:58:52','Login succeeded: 0',NULL),(158,'testauser','2012-05-11 18:59:04','Login succeeded: 0',NULL),(159,'testauser','2012-05-11 19:00:31','Login succeeded: 0',NULL),(160,'testauser','2012-05-11 19:00:34','Login succeeded: 0',NULL),(161,'testauser','2012-05-11 19:01:03','Login succeeded: 0',NULL),(162,'testauser','2012-05-11 19:01:07','Login succeeded: 0',NULL),(163,'testauser','2012-05-11 19:01:12','Login succeeded: 0',NULL),(164,'testauser','2012-05-11 19:02:54','Login succeeded: 0',NULL),(165,'testauser','2012-05-11 19:05:26','Login succeeded: 0',NULL),(166,'testauser','2012-05-11 19:05:35','Login succeeded: 0',NULL),(167,'testguser','2012-05-11 19:05:35','Timesheet Denied by Administrator payid(1)',5865452136),(168,'testauser','2012-05-11 19:05:35','Deny function called',5865452136),(169,'testauser','2012-05-11 19:06:53','Login succeeded: 0',NULL),(170,'testauser','2012-05-11 19:06:57','Login succeeded: 0',NULL),(171,'testguser','2012-05-11 19:07:03','Login succeeded: 0',NULL),(172,'testguser','2012-05-11 19:07:07','Login succeeded: 0',NULL),(173,'testguser','2012-05-11 19:07:10','Login succeeded: 0',NULL),(174,'testguser','2012-05-11 19:07:10','Timesheet Resubmitted from #3326058502 payid(4)',7032004778),(175,'testauser','2012-05-11 19:07:16','Login succeeded: 0',NULL),(176,'testauser','2012-05-11 19:07:19','Login succeeded: 0',NULL),(177,'testsuser','2012-05-11 19:07:47','Login succeeded: 0',NULL),(178,'testsuser','2012-05-11 19:07:50','Login succeeded: 0',NULL),(179,'testsuser','2012-05-11 19:07:54','Login succeeded: 0',NULL),(180,'testsuser','2012-05-11 19:07:57','Login succeeded: 0',NULL),(181,'testguser','2012-05-11 19:07:57','Timesheet Approved by Supervisor payid(4)',7032004778),(182,'testsuser','2012-05-11 19:07:57','Approve function called - Super',7032004778),(183,'testauser','2012-05-11 19:08:00','Login succeeded: 0',NULL),(184,'testauser','2012-05-11 19:08:04','Login succeeded: 0',NULL),(185,'testguser','2012-05-11 19:08:04','Timesheet Denied by Administrator payid(4)',7032004778),(186,'testauser','2012-05-11 19:08:04','Deny function called',7032004778),(187,'testauser','2012-05-11 19:08:07','Login succeeded: 0',NULL),(188,'testsuser','2012-05-11 19:08:23','Login succeeded: 0',NULL),(189,'testsuser','2012-05-11 19:09:22','Login succeeded: 0',NULL),(190,'testsuser','2012-05-11 19:09:30','Login succeeded: 0',NULL),(191,'testsuser','2012-05-11 19:10:18','Login succeeded: 0',NULL),(192,'testsuser','2012-05-11 19:10:34','Login succeeded: 0',NULL),(193,'testsuser','2012-05-11 19:12:31','Login succeeded: 0',NULL),(194,'testsuser','2012-05-11 19:12:50','Login succeeded: 0',NULL),(195,'testauser','2012-05-11 19:13:25','Login succeeded: 0',NULL),(196,'testauser','2012-05-11 19:13:29','Login succeeded: 0',NULL),(197,'testauser','2012-05-11 19:15:49','Login succeeded: 0',NULL),(198,'testauser','2012-05-11 19:17:46','Login succeeded: 0',NULL),(199,'testauser','2012-05-11 19:20:00','Login succeeded: 0',NULL),(200,'testauser','2012-05-11 19:20:20','Login succeeded: 0',NULL),(201,'testauser','2012-05-11 19:20:23','Login succeeded: 0',NULL),(202,'testauser','2012-05-11 19:20:27','Login succeeded: 0',NULL),(203,'testauser','2012-05-11 19:20:47','Login succeeded: 0',NULL),(204,'testauser','2012-05-11 19:21:48','Login succeeded: 0',NULL),(205,'testauser','2012-05-11 19:21:52','Login succeeded: 0',NULL),(206,'testauser','2012-05-11 19:21:56','Login succeeded: 0',NULL),(207,'testauser','2012-05-11 19:21:58','Login succeeded: 0',NULL),(208,'testauser','2012-05-11 19:32:22','Login succeeded: 0',NULL),(209,'testauser','2012-05-11 19:33:16','Login succeeded: 0',NULL),(210,'testauser','2012-05-11 19:36:10','Login succeeded: 0',NULL),(211,'testauser','2012-05-11 19:37:23','Login succeeded: 0',NULL),(212,'testauser','2012-05-11 19:38:15','Login succeeded: 0',NULL),(213,'testauser','2012-05-11 19:39:24','Login succeeded: 0',NULL),(214,'testauser','2012-05-11 19:42:15','Login succeeded: 0',NULL),(215,'testauser','2012-05-11 19:42:35','Login succeeded: 0',NULL),(216,'testauser','2012-05-11 20:00:33','Login succeeded: 0',NULL),(217,'testauser','2012-05-11 20:03:44','Login succeeded: 0',NULL),(218,'testauser','2012-05-11 20:03:50','Login succeeded: 0',NULL),(219,'testauser','2012-05-11 20:03:53','Login succeeded: 0',NULL),(220,'testauser','2012-05-11 20:03:57','Login succeeded: 0',NULL),(221,'testauser','2012-05-11 20:06:14','Login succeeded: 0',NULL),(222,'testauser','2012-05-11 20:07:12','Login succeeded: 0',NULL),(223,'testauser','2012-05-11 20:07:16','Login succeeded: 0',NULL),(224,'testsuer','2012-05-11 20:08:17','Login failed: 1',NULL),(225,'testsuser','2012-05-11 20:08:29','Login succeeded: 0',NULL),(226,'testsuser','2012-05-11 20:08:35','Login succeeded: 0',NULL),(227,'testsuser','2012-05-11 20:08:39','Login succeeded: 0',NULL),(228,'testsuser','2012-05-11 20:08:44','Login succeeded: 0',NULL),(229,'testsuser','2012-05-11 20:10:35','Login succeeded: 0',NULL),(230,'testsuser','2012-05-11 20:10:39','Login succeeded: 0',NULL),(231,'testsuser','2012-05-11 20:10:43','Login succeeded: 0',NULL),(232,'testsuser','2012-05-11 20:12:37','Login succeeded: 0',NULL),(233,'testsuser','2012-05-11 20:12:39','Login succeeded: 0',NULL),(234,'testsuser','2012-05-11 20:13:17','Login succeeded: 0',NULL),(235,'testsuser','2012-05-11 20:14:21','Login succeeded: 0',NULL),(236,'testsuser','2012-05-11 20:14:50','Login succeeded: 0',NULL),(237,'testsuser','2012-05-11 20:15:19','Login succeeded: 0',NULL),(238,'testsuser','2012-05-11 20:15:49','Login succeeded: 0',NULL),(239,'testsuser','2012-05-11 20:16:54','Login succeeded: 0',NULL),(240,'testsuser','2012-05-11 20:16:59','Login succeeded: 0',NULL),(241,'testsuser','2012-05-11 20:17:01','Login succeeded: 0',NULL),(242,'testsuser','2012-05-11 20:17:06','Login succeeded: 0',NULL),(243,'testsuser','2012-05-11 20:17:13','Login succeeded: 0',NULL),(244,'testsuser','2012-05-11 20:17:24','Login succeeded: 0',NULL),(245,'tesguser','2012-05-11 20:17:58','Login failed: 1',NULL),(246,'testguser','2012-05-11 20:18:10','Login succeeded: 0',NULL),(247,'testguser','2012-05-11 20:18:14','Login succeeded: 0',NULL),(248,'testguser','2012-05-11 20:18:14','Timesheet Resubmitted from #5865452136 payid(1)',9503804826),(249,'testguser','2012-05-11 20:18:20','Login succeeded: 0',NULL),(250,'testguser','2012-05-11 20:18:23','Login succeeded: 0',NULL),(251,'testguser','2012-05-11 20:18:23','Timesheet Resubmitted from #7032004778 payid(4)',3942633507),(252,'testsuser','2012-05-11 20:18:41','Login succeeded: 0',NULL),(253,'testsuser','2012-05-11 20:18:47','Login succeeded: 0',NULL),(254,'testguser','2012-05-11 20:18:47','Timesheet Denied by Supervisor    payid(1)',9503804826),(255,'testsuser','2012-05-11 20:18:47','Deny function called',9503804826),(256,'testsuser','2012-05-11 20:18:52','Login succeeded: 0',NULL),(257,'testsuser','2012-05-11 20:18:56','Login succeeded: 0',NULL),(258,'testguser','2012-05-11 20:18:56','Timesheet Approved by Supervisor payid(4)',3942633507),(259,'testsuser','2012-05-11 20:18:56','Approve function called - Super',3942633507),(260,'testsuser','2012-05-11 20:18:59','Login succeeded: 0',NULL),(261,'testauser','2012-05-11 20:20:44','Login succeeded: 0',NULL),(262,'testauser','2012-05-11 20:20:46','Login succeeded: 0',NULL),(263,'testauser','2012-05-11 20:23:06','Login succeeded: 0',NULL),(264,'testauser','2012-05-11 20:23:10','Login succeeded: 0',NULL),(265,'testauser','2012-05-11 20:24:51','Login succeeded: 0',NULL),(266,'testauser','2012-05-11 20:24:55','Login succeeded: 0',NULL),(267,'testauser','2012-05-11 20:24:59','Login succeeded: 0',NULL),(268,'testauser','2012-05-11 20:25:45','Login succeeded: 0',NULL),(269,'testauser','2012-05-11 20:25:48','Login succeeded: 0',NULL),(270,'testauser','2012-05-11 20:25:51','Login succeeded: 0',NULL),(271,'testauser','2012-05-11 20:25:55','Login succeeded: 0',NULL),(272,'testauser','2012-05-11 20:25:57','Login succeeded: 0',NULL),(273,'testauser','2012-05-11 20:28:03','Login succeeded: 0',NULL),(274,'testauser','2012-05-11 20:29:06','Login succeeded: 0',NULL),(275,'testguser','2012-05-11 20:29:06','Timesheet Denied by Administrator payid(4)',3942633507),(276,'testauser','2012-05-11 20:29:06','Deny function called',3942633507),(277,'testauser','2012-05-11 20:29:10','Login succeeded: 0',NULL),(278,'testsuser','2012-05-11 20:30:03','Login succeeded: 0',NULL),(279,'testsuser','2012-05-11 20:30:06','Login succeeded: 0',NULL),(280,'testsuser','2012-05-11 20:30:11','Login succeeded: 0',NULL),(281,'testsuser','2012-05-11 20:35:27','Login succeeded: 0',NULL),(282,'testsuser','2012-05-11 20:36:17','Login succeeded: 0',NULL),(283,'testsuser','2012-05-11 20:36:51','Login succeeded: 0',NULL),(284,'testsuser','2012-05-11 20:37:22','Login succeeded: 0',NULL),(285,'testsuser','2012-05-11 20:37:27','Login succeeded: 0',NULL),(286,'testsuser','2012-05-11 20:37:29','Login succeeded: 0',NULL),(287,'testsuser','2012-05-11 20:38:18','Login succeeded: 0',NULL),(288,'testauser','2012-05-11 20:38:37','Login succeeded: 0',NULL),(289,'testauser','2012-05-11 20:38:41','Login succeeded: 0',NULL),(290,'testauser','2012-05-11 20:38:44','Login succeeded: 0',NULL),(291,'testauser','2012-05-11 20:38:46','Login succeeded: 0',NULL),(292,'testauser','2012-05-11 20:38:50','Login succeeded: 0',NULL),(293,'testauser','2012-05-11 20:39:48','Login succeeded: 0',NULL),(294,'testauser','2012-05-11 20:42:46','Login succeeded: 0',NULL),(295,'testauser','2012-05-11 20:42:48','Login succeeded: 0',NULL),(296,'testauser','2012-05-11 20:42:54','Login succeeded: 0',NULL),(297,'testauser','2012-05-11 20:44:30','Login succeeded: 0',NULL),(298,'testauser','2012-05-11 20:44:43','Login succeeded: 0',NULL),(299,'testauser','2012-05-11 20:48:34','Login succeeded: 0',NULL),(300,'testauser','2012-05-11 20:49:55','Login succeeded: 0',NULL),(301,'testauser','2012-05-11 20:50:01','Login succeeded: 0',NULL),(302,'testauser','2012-05-11 20:52:14','Login succeeded: 0',NULL),(303,'testauser','2012-05-11 20:52:25','Login succeeded: 0',NULL),(304,'testauser','2012-05-14 12:40:09','Login succeeded: 0',NULL),(305,'testauser','2012-05-14 12:43:22','Login succeeded: 0',NULL),(306,'testauser','2012-05-14 12:45:54','Login succeeded: 0',NULL),(307,'testauser','2012-05-14 12:47:05','Login succeeded: 0',NULL),(308,'testauser','2012-05-14 12:47:28','Login succeeded: 0',NULL),(309,'testguser','2012-05-14 12:47:28','User work study hours changed to 100.00',NULL),(310,'testauser','2012-05-14 12:48:00','Login succeeded: 0',NULL),(311,'testguser','2012-05-14 12:48:00','User work study hours changed to 9999.00',NULL),(312,'testauser','2012-05-14 12:48:13','Login succeeded: 0',NULL),(313,'testguser','2012-05-14 12:48:13','User work study hours changed to 100.00',NULL),(314,'testauser','2012-05-14 12:48:16','Login succeeded: 0',NULL),(315,'testauser','2012-05-14 12:50:47','Login succeeded: 0',NULL),(316,'testauser','2012-05-14 12:50:51','Login succeeded: 0',NULL),(317,'testauser','2012-05-14 12:50:54','Login succeeded: 0',NULL),(318,'testauser','2012-05-14 12:50:57','Login succeeded: 0',NULL),(319,'testauser','2012-05-14 12:52:15','Login succeeded: 0',NULL),(320,'testauser','2012-05-14 13:00:05','Login succeeded: 0',NULL),(321,'testauser','2012-05-14 14:08:33','Login succeeded: 0',NULL),(322,'testauser','2012-05-14 14:10:07','Login succeeded: 0',NULL),(323,'testauser','2012-05-14 14:20:40','Login succeeded: 0',NULL),(324,'testauser','2012-05-14 14:20:42','Login succeeded: 0',NULL),(325,'testguser','2012-05-14 14:27:37','Login succeeded: 0',NULL),(326,'testguser','2012-05-14 14:28:41','Login succeeded: 0',NULL),(327,'testguser','2012-05-14 14:33:32','Login succeeded: 0',NULL),(328,'testguser','2012-05-14 14:34:18','Login succeeded: 0',NULL),(329,'testguser','2012-05-14 14:34:21','Login succeeded: 0',NULL),(330,'testguser','2012-05-14 14:34:56','Login succeeded: 0',NULL),(331,'testguser','2012-05-14 14:39:18','Login succeeded: 0',NULL),(332,'testguser','2012-05-14 14:41:38','Login succeeded: 0',NULL),(333,'testguser','2012-05-14 14:41:47','Login succeeded: 0',NULL),(334,'testguser','2012-05-14 14:42:03','Login succeeded: 0',NULL),(335,'testguser','2012-05-14 14:42:12','Login succeeded: 0',NULL),(336,'testguser','2012-05-14 14:42:20','Login succeeded: 0',NULL),(337,'testguser','2012-05-14 14:49:16','Login succeeded: 0',NULL),(338,'testguser','2012-05-14 14:49:21','Login succeeded: 0',NULL),(339,'testguser','2012-05-14 14:53:07','Login succeeded: 0',NULL),(340,'testguser','2012-05-14 14:53:11','Login succeeded: 0',NULL),(341,'testauser','2012-05-14 14:53:18','Login succeeded: 0',NULL),(342,'testguser','2012-05-14 14:55:42','Login succeeded: 0',NULL),(343,'testguser','2012-05-14 14:55:44','Login succeeded: 0',NULL),(344,'testguser','2012-05-14 14:55:50','Login succeeded: 0',NULL),(345,'testguser','2012-05-14 14:57:05','Login succeeded: 0',NULL),(346,'testauser','2012-05-14 14:59:00','Login succeeded: 0',NULL),(347,'testauser','2012-05-14 15:00:05','Login succeeded: 0',NULL),(348,'testauser','2012-05-14 15:00:08','Login succeeded: 0',NULL),(349,'testauser','2012-05-14 15:00:11','Login succeeded: 0',NULL),(350,'testauser','2012-05-14 15:00:12','Login succeeded: 0',NULL),(351,'testauser','2012-05-14 15:00:15','Login succeeded: 0',NULL),(352,'testauser','2012-05-14 15:00:17','Login succeeded: 0',NULL),(353,'testauser','2012-05-14 15:00:19','Login succeeded: 0',NULL),(354,'testauser','2012-05-14 15:00:22','Login succeeded: 0',NULL),(355,'testauser','2012-05-14 15:03:10','Login succeeded: 0',NULL),(356,'testauser','2012-05-14 16:22:39','Login succeeded: 0',NULL),(357,'testauser','2012-05-14 16:22:51','Login succeeded: 0',NULL),(358,'testauser','2012-05-14 16:29:48','Login succeeded: 0',NULL),(359,'testguser','2012-05-14 16:30:05','Login succeeded: 0',NULL),(360,'testguser','2012-05-14 16:30:10','Login succeeded: 0',NULL),(361,'testguser','2012-05-14 16:30:44','Login succeeded: 0',NULL),(362,'testauser','2012-05-14 16:30:59','Login succeeded: 0',NULL),(363,'testauser','2012-05-14 16:31:04','Login succeeded: 0',NULL),(364,'testguser','2012-05-14 16:36:13','Login failed: 2',NULL),(365,'testguser','2012-05-14 16:38:28','Login succeeded: 0',NULL),(366,'testguser','2012-05-14 16:38:32','Login succeeded: 0',NULL),(367,'testauser','2012-05-14 16:41:46','Login succeeded: 0',NULL),(368,'testauser','2012-05-14 16:42:59','Login succeeded: 0',NULL),(369,'testauser','2012-05-14 16:43:04','Login succeeded: 0',NULL),(370,'testauser','2012-05-14 16:43:10','Login succeeded: 0',NULL),(371,'testauser','2012-05-14 16:43:15','Login succeeded: 0',NULL),(372,'testauser','2012-05-14 16:45:47','Login succeeded: 0',NULL),(373,'testauser','2012-05-14 16:45:49','Login succeeded: 0',NULL),(374,'testauser','2012-05-14 16:47:19','Login succeeded: 0',NULL),(375,'testauser','2012-05-14 16:47:21','Login succeeded: 0',NULL),(376,'testauser','2012-05-14 16:47:25','Login succeeded: 0',NULL),(377,'testauser','2012-05-14 16:47:32','Login succeeded: 0',NULL),(378,'testauser','2012-05-14 16:47:36','Login succeeded: 0',NULL),(379,'testauser','2012-05-14 16:47:38','Login succeeded: 0',NULL),(380,'testauser','2012-05-14 16:47:47','Login succeeded: 0',NULL),(381,'testauser','2012-05-14 16:47:50','Login succeeded: 0',NULL),(382,'testauser','2012-05-14 16:48:18','Login succeeded: 0',NULL),(383,'testauser','2012-05-14 16:48:21','Login succeeded: 0',NULL),(384,'testauser','2012-05-14 16:48:29','Login succeeded: 0',NULL),(385,'testauser','2012-05-14 16:48:34','Login succeeded: 0',NULL),(386,'testauser','2012-05-14 16:48:56','Login succeeded: 0',NULL),(387,'testauser','2012-05-14 16:48:58','Login succeeded: 0',NULL),(388,'testauser','2012-05-14 16:49:00','Login succeeded: 0',NULL),(389,'testauser','2012-05-14 16:49:02','Login succeeded: 0',NULL),(390,'testauser','2012-05-14 16:49:04','Login succeeded: 0',NULL),(391,'testauser','2012-05-14 16:49:06','Login succeeded: 0',NULL),(392,'testauser','2012-05-14 16:49:09','Login succeeded: 0',NULL),(393,'testauser','2012-05-14 16:49:11','Login succeeded: 0',NULL),(394,'testauser','2012-05-14 16:49:13','Login succeeded: 0',NULL),(395,'testauser','2012-05-14 16:49:15','Login succeeded: 0',NULL),(396,'testauser','2012-05-14 17:10:26','Login succeeded: 0',NULL),(397,'testauser','2012-05-14 17:10:28','Login succeeded: 0',NULL),(398,'testauser','2012-05-14 17:10:30','Login succeeded: 0',NULL),(399,'testauser','2012-05-14 17:10:32','Login succeeded: 0',NULL),(400,'testauser','2012-05-14 17:10:35','Login succeeded: 0',NULL),(401,'testauser','2012-05-14 17:10:37','Login succeeded: 0',NULL),(402,'testauser','2012-05-14 17:11:28','Login succeeded: 0',NULL),(403,'testauser','2012-05-14 17:19:10','Login succeeded: 0',NULL),(404,'testauser','2012-05-14 17:19:25','Login succeeded: 0',NULL),(405,'testauser','2012-05-14 17:23:15','Login succeeded: 0',NULL),(406,'testauser','2012-05-14 17:23:22','Login succeeded: 0',NULL),(407,'testauser','2012-05-14 17:23:39','Login succeeded: 0',NULL),(408,'testauser','2012-05-14 17:23:44','Login succeeded: 0',NULL),(409,'testauser','2012-05-14 17:23:47','Login succeeded: 0',NULL),(410,'testauser','2012-05-14 17:24:03','Login succeeded: 0',NULL),(411,'testguser','2012-05-15 15:10:39','Login succeeded: 0',NULL),(412,'testguser','2012-05-15 15:10:53','Login succeeded: 0',NULL),(413,'testguser','2012-05-15 15:11:56','Login succeeded: 0',NULL),(414,'testguser','2012-05-15 15:12:04','Login succeeded: 0',NULL),(415,'testguser','2012-05-15 15:12:06','Login succeeded: 0',NULL),(416,'testsuser','2012-05-15 15:13:48','Login succeeded: 0',NULL),(417,'testsuser','2012-05-15 15:15:35','Login succeeded: 0',NULL),(418,'testsuser','2012-05-15 15:15:46','Login succeeded: 0',NULL),(419,'testsuser','2012-05-15 15:16:19','Login succeeded: 0',NULL),(420,'testsuser','2012-05-15 15:17:48','Login succeeded: 0',NULL),(421,'testsuser','2012-05-15 15:18:24','Login succeeded: 0',NULL),(422,'testsuser','2012-05-15 15:26:54','Login succeeded: 0',NULL),(423,'testsuser','2012-05-15 15:29:19','Login succeeded: 0',NULL),(424,'testsuser','2012-05-15 15:29:27','Login succeeded: 0',NULL),(425,'testsuser','2012-05-15 15:30:03','Login succeeded: 0',NULL),(426,'testsuser','2012-05-15 15:30:06','Login succeeded: 0',NULL),(427,'testsuser','2012-05-15 15:30:12','Login succeeded: 0',NULL),(428,'testsuser','2012-05-15 15:31:09','Login succeeded: 0',NULL),(429,'testsuser','2012-05-15 15:31:23','Login succeeded: 0',NULL),(430,'testsuser','2012-05-15 15:31:28','Login succeeded: 0',NULL),(431,'testsuser','2012-05-15 15:31:35','Login succeeded: 0',NULL),(432,'testauser','2012-05-15 15:31:46','Login succeeded: 0',NULL),(433,'testauser','2012-05-15 15:32:52','Login succeeded: 0',NULL),(434,'testauser','2012-05-15 15:33:58','Login succeeded: 0',NULL),(435,'testauser','2012-05-15 15:34:02','Login succeeded: 0',NULL),(436,'testauser','2012-05-15 15:34:04','Login succeeded: 0',NULL),(437,'testauser','2012-05-15 15:42:16','Login succeeded: 0',NULL),(438,'testauser','2012-05-15 15:42:23','Login succeeded: 0',NULL),(439,'testauser','2012-05-15 15:42:26','Login succeeded: 0',NULL),(440,'testauser','2012-05-15 15:42:29','Login succeeded: 0',NULL),(441,'testauser','2012-05-15 15:46:37','Login succeeded: 0',NULL),(442,'testauser','2012-05-15 15:46:45','Login succeeded: 0',NULL),(443,'testauser','2012-05-15 15:51:47','Login succeeded: 0',NULL),(444,'testauser','2012-05-15 15:51:52','Login succeeded: 0',NULL),(445,'testauser','2012-05-15 15:51:55','Login succeeded: 0',NULL),(446,'testauser','2012-05-15 15:51:58','Login succeeded: 0',NULL),(447,'testauser','2012-05-15 15:52:42','Login succeeded: 0',NULL),(448,'testauser','2012-05-15 15:53:33','Login succeeded: 0',NULL),(449,'testauser','2012-05-15 15:53:46','Login succeeded: 0',NULL),(450,'testauser','2012-05-15 15:53:59','Login succeeded: 0',NULL),(451,'testauser','2012-05-15 15:54:07','Login succeeded: 0',NULL),(452,'testauser','2012-05-15 15:55:54','Login succeeded: 0',NULL),(453,'testauser','2012-05-15 15:56:07','Login succeeded: 0',NULL),(454,'testauser','2012-05-15 15:56:47','Login succeeded: 0',NULL),(455,'testauser','2012-05-15 15:56:51','Login succeeded: 0',NULL),(456,'testauser','2012-05-15 15:58:43','Login succeeded: 0',NULL),(457,'testauser','2012-05-15 15:58:46','Login succeeded: 0',NULL),(458,'testauser','2012-05-15 15:58:48','Login succeeded: 0',NULL),(459,'testauser','2012-05-15 15:58:55','Login succeeded: 0',NULL),(460,'testauser','2012-05-15 15:59:04','Login succeeded: 0',NULL),(461,'testauser','2012-05-15 15:59:28','Login succeeded: 0',NULL),(462,'testauser','2012-05-15 15:59:37','Login succeeded: 0',NULL),(463,'testauser','2012-05-15 15:59:39','Login succeeded: 0',NULL),(464,'testauser','2012-05-15 16:02:02','Login succeeded: 0',NULL),(465,'testauser','2012-05-15 16:02:28','Login succeeded: 0',NULL),(466,'testauser','2012-05-15 16:03:37','Login succeeded: 0',NULL),(467,'testauser','2012-05-15 16:03:44','Login succeeded: 0',NULL),(468,'testauser','2012-05-15 16:04:12','Login succeeded: 0',NULL),(469,'testauser','2012-05-15 16:04:26','Login succeeded: 0',NULL),(470,'testauser','2012-05-15 16:04:39','Login succeeded: 0',NULL),(471,'testauser','2012-05-15 16:04:43','Login succeeded: 0',NULL),(472,'testauser','2012-05-15 18:35:35','Login succeeded: 0',NULL),(473,'testauser','2012-05-15 19:16:16','Login succeeded: 0',NULL),(474,'testauser','2012-05-15 19:16:21','Login succeeded: 0',NULL),(475,'testauser','2012-05-15 19:16:26','Login succeeded: 0',NULL),(476,'testauser','2012-05-15 19:17:27','Login succeeded: 0',NULL),(477,'testauser','2012-05-15 19:19:46','Login succeeded: 0',NULL),(478,'testauser','2012-05-15 19:21:51','Login succeeded: 0',NULL),(479,'testauser','2012-05-15 19:23:58','Login succeeded: 0',NULL),(480,'testauser','2012-05-15 19:25:40','Login succeeded: 0',NULL),(481,'testauser','2012-05-15 19:26:15','Login succeeded: 0',NULL),(482,'testauser','2012-05-15 19:26:18','Login succeeded: 0',NULL),(483,'testauser','2012-05-15 19:27:14','Login succeeded: 0',NULL),(484,'testauser','2012-05-15 19:31:58','Login succeeded: 0',NULL),(485,'testauser','2012-05-15 19:32:54','Login succeeded: 0',NULL),(486,'testauser','2012-05-15 19:33:40','Login succeeded: 0',NULL),(487,'testauser','2012-05-15 19:33:43','Login succeeded: 0',NULL),(488,'testguser','2012-05-15 19:35:02','Login succeeded: 0',NULL),(489,'testguser','2012-05-15 19:35:13','Login succeeded: 0',NULL),(490,'testguser','2012-05-15 20:02:10','Login succeeded: 0',NULL),(491,'testguser','2012-05-15 20:03:58','Login succeeded: 0',NULL),(492,'testguser','2012-05-15 20:04:06','Login succeeded: 0',NULL),(493,'testguser','2012-05-15 20:04:12','Login succeeded: 0',NULL),(494,'testguser','2012-05-15 20:04:20','Login succeeded: 0',NULL),(495,'testguser','2012-05-15 20:04:28','Login succeeded: 0',NULL),(496,'testguser','2012-05-15 20:06:42','Login succeeded: 0',NULL),(497,'testguser','2012-05-15 20:09:24','Login succeeded: 0',NULL),(498,'testguser','2012-05-15 20:09:42','Login succeeded: 0',NULL),(499,'testguser','2012-05-15 20:10:22','Login succeeded: 0',NULL),(500,'testguser','2012-05-15 20:11:29','Login succeeded: 0',NULL),(501,'testguser','2012-05-15 20:11:39','Login succeeded: 0',NULL),(502,'testguser','2012-05-15 20:16:27','Login succeeded: 0',NULL),(503,'testguser','2012-05-15 20:16:51','Login succeeded: 0',NULL),(504,'testguser','2012-05-15 20:17:42','Login succeeded: 0',NULL),(505,'testguser','2012-05-15 20:18:07','Login succeeded: 0',NULL),(506,'testguser','2012-05-15 20:18:21','Login succeeded: 0',NULL),(507,'testguser','2012-05-15 20:18:31','Login succeeded: 0',NULL),(508,'testguser','2012-05-15 20:18:46','Login succeeded: 0',NULL),(509,'testsuser','2012-05-15 20:18:56','Login succeeded: 0',NULL),(510,'testsuser','2012-05-15 20:19:00','Login succeeded: 0',NULL),(511,'testsuser','2012-05-15 20:20:10','Login succeeded: 0',NULL),(512,'testsuser','2012-05-15 20:20:21','Login succeeded: 0',NULL),(513,'testsuser','2012-05-15 20:20:35','Login succeeded: 0',NULL),(514,'testsuser','2012-05-15 20:20:47','Login succeeded: 0',NULL),(515,'testauser','2012-05-15 20:21:00','Login succeeded: 0',NULL),(516,'testauser','2012-05-15 20:21:03','Login succeeded: 0',NULL),(517,'testauser','2012-05-15 20:21:40','Login succeeded: 0',NULL),(518,'testauser','2012-05-15 20:21:51','Login succeeded: 0',NULL),(519,'testauser','2012-05-15 20:22:11','Login succeeded: 0',NULL),(520,'testauser','2012-05-15 20:22:17','Login succeeded: 0',NULL),(521,'testauser','2012-05-15 20:26:33','Login succeeded: 0',NULL),(522,'testguser','2012-05-15 20:26:40','Login succeeded: 0',NULL),(523,'testguser','2012-05-15 20:26:47','Login succeeded: 0',NULL),(524,'testguser','2012-05-15 20:26:56','Login succeeded: 0',NULL),(525,'testsuser','2012-05-15 20:39:50','Login succeeded: 0',NULL),(526,'testsuser','2012-05-15 20:39:53','Login succeeded: 0',NULL),(527,'testsuser','2012-05-15 20:39:59','Login succeeded: 0',NULL),(528,'testsuser','2012-05-15 20:40:02','Login succeeded: 0',NULL),(529,'testsuser','2012-05-15 20:40:10','Login succeeded: 0',NULL),(530,'testsuser','2012-05-15 20:40:13','Login succeeded: 0',NULL),(531,'testauser','2012-05-15 20:40:21','Login succeeded: 0',NULL),(532,'testauser','2012-05-15 20:40:24','Login succeeded: 0',NULL),(533,'testauser','2012-05-15 20:40:37','Login succeeded: 0',NULL),(534,'testauser','2012-05-15 20:40:44','Login succeeded: 0',NULL),(535,'testauser','2012-05-15 20:40:48','Login succeeded: 0',NULL),(536,'testauser','2012-05-15 20:41:41','Login succeeded: 0',NULL),(537,'testauser','2012-05-15 20:41:45','Login succeeded: 0',NULL),(538,'testauser','2012-05-15 20:43:32','Login succeeded: 0',NULL),(539,'testauser','2012-05-15 20:43:54','Login succeeded: 0',NULL),(540,'testauser','2012-05-15 20:45:18','Login succeeded: 0',NULL),(541,'testauser','2012-05-16 12:59:13','Login succeeded: 0',NULL),(542,'testauser','2012-05-16 12:59:21','Login succeeded: 0',NULL),(543,'testguser','2012-05-16 13:08:18','Login succeeded: 0',NULL),(544,'testguser','2012-05-16 13:08:26','Login succeeded: 0',NULL),(545,'testguser','2012-05-16 13:08:32','Login succeeded: 0',NULL),(546,'testguser','2012-05-16 13:08:37','Login succeeded: 0',NULL),(547,'testguser','2012-05-16 13:08:51','Login succeeded: 0',NULL),(548,'testsuser','2012-05-16 13:09:14','Login succeeded: 0',NULL),(549,'testsuser','2012-05-16 13:10:29','Login succeeded: 0',NULL),(550,'testsuser','2012-05-16 13:10:43','Login succeeded: 0',NULL),(551,'testsuser','2012-05-16 13:10:46','Login succeeded: 0',NULL),(552,'testsuser','2012-05-16 13:10:48','Login succeeded: 0',NULL),(553,'testsuser','2012-05-16 13:10:51','Login succeeded: 0',NULL),(554,'testauser','2012-05-16 13:10:58','Login succeeded: 0',NULL),(555,'testauser','2012-05-16 13:11:02','Login succeeded: 0',NULL),(556,'testauser','2012-05-16 13:11:07','Login succeeded: 0',NULL),(557,'testauser','2012-05-16 13:11:10','Login succeeded: 0',NULL),(558,'testauser','2012-05-16 13:42:57','Login succeeded: 0',NULL),(559,'testauser','2012-05-16 13:43:48','Login succeeded: 0',NULL),(560,'testauser','2012-05-16 13:43:50','Login succeeded: 0',NULL),(561,'testsuser','2012-05-16 13:43:56','Login succeeded: 0',NULL),(562,'testsuser','2012-05-16 13:48:45','Login succeeded: 0',NULL),(563,'testsuser','2012-05-16 13:49:16','Login succeeded: 0',NULL),(564,'testsuser','2012-05-16 13:50:01','Login succeeded: 0',NULL),(565,'testsuser','2012-05-16 13:52:26','Login succeeded: 0',NULL),(566,'testsuser','2012-05-16 13:53:07','Login succeeded: 0',NULL),(567,'testguser','2012-05-16 13:53:14','Login succeeded: 0',NULL),(568,'testguser','2012-05-16 13:53:18','Login succeeded: 0',NULL),(569,'testguser','2012-05-16 13:53:18','Timesheet Resubmitted from #9503804826 payid(1)',7680290739),(570,'testguser','2012-05-16 13:53:25','Login succeeded: 0',NULL),(571,'testguser','2012-05-16 13:53:29','Login succeeded: 0',NULL),(572,'testguser','2012-05-16 13:53:29','Timesheet Submitted payid(5)',6763463482),(573,'testguser','2012-05-16 13:53:37','Login succeeded: 0',NULL),(574,'testguser','2012-05-16 13:53:45','Login succeeded: 0',NULL),(575,'testguser','2012-05-16 13:53:49','Login succeeded: 0',NULL),(576,'testguser','2012-05-16 13:53:49','Timesheet Resubmitted from #3942633507 payid(4)',8126307156),(577,'testsuser','2012-05-16 13:53:57','Login succeeded: 0',NULL),(578,'testsuser','2012-05-16 13:55:59','Login succeeded: 0',NULL),(579,'testsuser','2012-05-16 13:59:04','Login succeeded: 0',NULL),(580,'testsuser','2012-05-16 13:59:09','Login succeeded: 0',NULL),(581,'testsuser','2012-05-16 13:59:54','Login succeeded: 0',NULL),(582,'testsuser','2012-05-16 13:59:56','Login succeeded: 0',NULL),(583,'testsuser','2012-05-16 14:00:00','Login succeeded: 0',NULL),(584,'testsuser','2012-05-16 14:00:04','Login succeeded: 0',NULL),(585,'testguser','2012-05-16 14:00:04','Timesheet Approved by Supervisor payid(1)',7680290739),(586,'testsuser','2012-05-16 14:00:04','Approve function called - Super',7680290739),(587,'testsuser','2012-05-16 14:00:09','Login succeeded: 0',NULL),(588,'testsuser','2012-05-16 14:08:35','Login succeeded: 0',NULL),(589,'testauser','2012-05-16 14:08:43','Login succeeded: 0',NULL),(590,'testauser','2012-05-16 14:08:46','Login succeeded: 0',NULL),(591,'testauser','2012-05-16 14:08:48','Login succeeded: 0',NULL),(592,'testauser','2012-05-16 14:08:50','Login succeeded: 0',NULL),(593,'testauser','2012-05-16 14:08:53','Login succeeded: 0',NULL),(594,'testauser','2012-05-16 14:08:55','Login succeeded: 0',NULL),(595,'testauser','2012-05-16 14:08:57','Login succeeded: 0',NULL),(596,'testauser','2012-05-16 14:08:59','Login succeeded: 0',NULL),(597,'testauser','2012-05-16 14:09:01','Login succeeded: 0',NULL),(598,'testauser','2012-05-16 14:09:03','Login succeeded: 0',NULL),(599,'testauser','2012-05-16 14:09:06','Login succeeded: 0',NULL),(600,'testauser','2012-05-16 14:09:57','Login succeeded: 0',NULL),(601,'testauser','2012-05-16 14:10:00','Login succeeded: 0',NULL),(602,'testauser','2012-05-16 14:10:02','Login succeeded: 0',NULL),(603,'testauser','2012-05-16 14:10:04','Login succeeded: 0',NULL),(604,'testauser','2012-05-16 14:10:06','Login succeeded: 0',NULL),(605,'testauser','2012-05-16 14:10:11','Login succeeded: 0',NULL),(606,'testguser','2012-05-16 14:10:11','User work study hours changed to 55.81',NULL),(607,'testauser','2012-05-16 14:10:13','Login succeeded: 0',NULL),(608,'testauser','2012-05-16 14:10:16','Login succeeded: 0',NULL),(609,'testauser','2012-05-16 14:10:19','Login succeeded: 0',NULL),(610,'testauser','2012-05-16 14:10:22','Login succeeded: 0',NULL),(611,'testauser','2012-05-16 14:10:24','Login succeeded: 0',NULL),(612,'testauser','2012-05-16 14:10:26','Login succeeded: 0',NULL),(613,'testguser','2012-05-16 14:10:33','Login succeeded: 0',NULL),(614,'testguser','2012-05-16 14:10:37','Login succeeded: 0',NULL),(615,'testguser','2012-05-16 14:44:48','Login succeeded: 0',NULL),(616,'testguser','2012-05-16 14:48:49','Login succeeded: 0',NULL),(617,'testguser','2012-05-16 14:49:58','Login succeeded: 0',NULL),(618,'testguser','2012-05-16 14:54:14','Login succeeded: 0',NULL),(619,'testguser','2012-05-16 14:54:16','Login succeeded: 0',NULL),(620,'testauser','2012-05-16 15:07:09','Login succeeded: 0',NULL),(621,'testauser','2012-05-16 15:17:23','Login succeeded: 0',NULL),(622,'testauser','2012-05-16 15:18:48','Login succeeded: 0',NULL),(623,'testauser','2012-05-16 15:23:32','Login succeeded: 0',NULL),(624,'testauser','2012-05-16 15:24:09','Login succeeded: 0',NULL),(625,'testauser','2012-05-16 15:24:55','Login succeeded: 0',NULL),(626,'testauser','2012-05-16 15:25:25','Login succeeded: 0',NULL),(627,'testauser','2012-05-16 15:39:07','Login succeeded: 0',NULL),(628,'testauser','2012-05-16 15:54:36','Login succeeded: 0',NULL),(629,'testauser','2012-05-16 15:55:27','Login succeeded: 0',NULL),(630,'testauser','2012-05-16 15:56:16','Login succeeded: 0',NULL),(631,'testauser','2012-05-16 16:05:46','Login succeeded: 0',NULL),(632,'testauser','2012-05-16 16:05:59','Login succeeded: 0',NULL),(633,'testauser','2012-05-16 16:06:15','Login succeeded: 0',NULL),(634,'testauser','2012-05-16 16:06:53','Login succeeded: 0',NULL),(635,'testauser','2012-05-16 16:08:29','Login succeeded: 0',NULL),(636,'testauser','2012-05-16 16:11:36','Login succeeded: 0',NULL),(637,'testauser','2012-05-16 16:12:07','Login succeeded: 0',NULL),(638,'testauser','2012-05-16 16:12:52','Login succeeded: 0',NULL),(639,'testauser','2012-05-16 16:14:48','Login succeeded: 0',NULL),(640,'testauser','2012-05-16 16:15:33','Login succeeded: 0',NULL),(641,'testauser','2012-05-16 16:15:43','Login succeeded: 0',NULL),(642,'testauser','2012-05-16 16:16:23','Login succeeded: 0',NULL),(643,'testauser','2012-05-16 16:17:15','Login succeeded: 0',NULL),(644,'testauser','2012-05-16 16:19:37','Login succeeded: 0',NULL),(645,'testauser','2012-05-16 16:20:26','Login succeeded: 0',NULL),(646,'testauser','2012-05-16 16:31:26','Login succeeded: 0',NULL),(647,'testauser','2012-05-16 16:33:41','Login succeeded: 0',NULL),(648,'testauser','2012-05-16 16:34:04','Login succeeded: 0',NULL),(649,'testauser','2012-05-16 16:35:35','Login succeeded: 0',NULL),(650,'testauser','2012-05-16 16:36:01','Login succeeded: 0',NULL),(651,'testauser','2012-05-16 16:36:52','Login succeeded: 0',NULL),(652,'testauser','2012-05-16 20:35:02','Login succeeded: 0',NULL),(653,'testauser','2012-05-16 20:37:13','Login succeeded: 0',NULL),(654,'testauser','2012-05-16 20:42:40','Login succeeded: 0',NULL),(655,'testauser','2012-05-16 20:46:14','Login succeeded: 0',NULL),(656,'testauser','2012-05-16 20:48:00','Login succeeded: 0',NULL),(657,'testauser','2012-05-16 20:48:02','Login succeeded: 0',NULL),(658,'testauser','2012-05-16 20:49:55','Login succeeded: 0',NULL),(659,'testauser','2012-05-16 20:51:24','Login succeeded: 0',NULL),(660,'testauser','2012-05-16 20:51:52','Login succeeded: 0',NULL),(661,'testauser','2012-05-16 20:51:55','Login succeeded: 0',NULL),(662,'testauser','2012-05-16 20:52:00','Login succeeded: 0',NULL),(663,'testauser','2012-05-16 20:52:17','Login succeeded: 0',NULL),(664,'testauser','2012-05-16 20:52:19','Login succeeded: 0',NULL),(665,'testauser','2012-05-16 20:52:24','Login succeeded: 0',NULL),(666,'testauser','2012-05-17 12:54:28','Login succeeded: 0',NULL),(667,'testauser','2012-05-17 12:56:53','Login succeeded: 0',NULL),(668,'testauser','2012-05-17 12:57:06','Login succeeded: 0',NULL),(669,'testauser','2012-05-17 12:57:33','Login succeeded: 0',NULL),(670,'testauser','2012-05-17 12:57:38','Login succeeded: 0',NULL),(671,'testauser','2012-05-17 12:57:43','Login succeeded: 0',NULL),(672,'testauser','2012-05-17 12:57:45','Login succeeded: 0',NULL),(673,'testauser','2012-05-17 12:57:50','Login succeeded: 0',NULL),(674,'testauser','2012-05-17 12:57:53','Login succeeded: 0',NULL),(675,'testauser','2012-05-17 12:57:55','Login succeeded: 0',NULL),(676,'testauser','2012-05-17 12:58:31','Login succeeded: 0',NULL),(677,'testauser','2012-05-17 13:00:49','Login succeeded: 0',NULL),(678,'testauser','2012-05-17 13:01:05','Login succeeded: 0',NULL),(679,'testauser','2012-05-17 13:01:16','Login succeeded: 0',NULL),(680,'testauser','2012-05-17 13:01:19','Login succeeded: 0',NULL),(681,'testauser','2012-05-17 13:01:53','Login succeeded: 0',NULL),(682,'testauser','2012-05-17 13:01:57','Login succeeded: 0',NULL),(683,'testauser','2012-05-17 13:02:00','Login succeeded: 0',NULL),(684,'testauser','2012-05-17 13:02:03','Login succeeded: 0',NULL),(685,'testauser','2012-05-17 13:02:07','Login succeeded: 0',NULL),(686,'testauser','2012-05-17 13:06:14','Login succeeded: 0',NULL),(687,'testauser','2012-05-17 13:06:18','Login succeeded: 0',NULL),(688,'testauser','2012-05-17 13:06:30','Login succeeded: 0',NULL),(689,'testauser','2012-05-17 13:06:32','Login succeeded: 0',NULL),(690,'testauser','2012-05-17 13:06:50','Login succeeded: 0',NULL),(691,'testauser','2012-05-17 13:06:53','Login succeeded: 0',NULL),(692,'testauser','2012-05-17 13:08:25','Login succeeded: 0',NULL),(693,'testauser','2012-05-17 13:12:56','Login succeeded: 0',NULL),(694,'testauser','2012-05-17 13:13:01','Login succeeded: 0',NULL),(695,'testauser','2012-05-17 13:13:07','Login succeeded: 0',NULL),(696,'testauser','2012-05-17 13:14:40','Login succeeded: 0',NULL),(697,'testauser','2012-05-17 13:14:42','Login succeeded: 0',NULL),(698,'testauser','2012-05-17 13:15:10','Login succeeded: 0',NULL),(699,'testauser','2012-05-17 13:42:15','Login succeeded: 0',NULL),(700,'testauser','2012-05-17 13:42:48','Login succeeded: 0',NULL),(701,'testauser','2012-05-17 15:52:55','Login succeeded: 0',NULL),(702,'testauser','2012-05-17 15:53:55','Login succeeded: 0',NULL),(703,'testauser','2012-05-17 15:54:30','Login succeeded: 0',NULL),(704,'testauser','2012-05-17 15:55:23','Login succeeded: 0',NULL),(705,'testauser','2012-05-17 15:55:48','Login succeeded: 0',NULL),(706,'testauser','2012-05-17 15:59:50','Login succeeded: 0',NULL),(707,'testauser','2012-05-17 17:45:01','Login succeeded: 0',NULL),(708,'testauser','2012-05-17 17:51:30','Login succeeded: 0',NULL),(709,'testauser','2012-05-17 17:53:16','Login succeeded: 0',NULL),(710,'testauser','2012-05-17 17:53:20','Login succeeded: 0',NULL),(711,'testauser','2012-05-17 17:55:27','Login succeeded: 0',NULL),(712,'testauser','2012-05-17 17:56:19','Login succeeded: 0',NULL),(713,'testauser','2012-05-17 17:56:21','Login succeeded: 0',NULL),(714,'testauser','2012-05-17 17:56:25','Login succeeded: 0',NULL),(715,'root','2012-05-17 18:00:29','New user added: testquser',NULL),(716,'root','2012-05-17 18:01:42','User deleted: testquser',NULL),(717,'root','2012-05-17 18:03:39','New user added: testquser',NULL),(718,'root','2012-05-17 18:04:46','User deleted: testquser',NULL),(719,'root','2012-05-17 18:05:00','New user added: testquser',NULL),(720,'root','2012-05-17 18:07:02','User deleted: testquser',NULL),(721,'root','2012-05-17 18:07:21','New user added: testquser',NULL),(722,'root','2012-05-17 18:11:40','New user added: testzuser',NULL),(723,'root','2012-05-17 18:12:26','User deleted: testzuser',NULL),(724,'root','2012-05-17 18:12:29','User deleted: testquser',NULL),(725,'root','2012-05-17 18:12:43','New user added: testzuser',NULL),(726,'testauser','2012-05-17 18:13:18','Login succeeded: 0',NULL),(727,'testauser','2012-05-17 18:13:20','Login succeeded: 0',NULL),(728,'testauser','2012-05-17 18:33:45','Login succeeded: 0',NULL),(729,'testauser','2012-05-17 18:36:11','Login succeeded: 0',NULL),(730,'testauser','2012-05-17 18:45:30','Login succeeded: 0',NULL),(731,'testauser','2012-05-17 18:45:32','Login succeeded: 0',NULL),(732,'root','2012-05-17 18:48:47','User deleted: testzuser',NULL),(734,'root','2012-05-17 18:50:31','New user added: testzuser',NULL),(735,'root','2012-05-17 18:51:50','New user added: testquser',NULL),(736,'root','2012-05-17 18:52:29','User deleted: testzuser',NULL),(737,'root','2012-05-17 18:52:32','User deleted: testquser',NULL),(738,'testauser','2012-05-17 18:53:39','Login succeeded: 0',NULL),(739,'testauser','2012-05-17 18:53:43','Login succeeded: 0',NULL),(740,'staff','2012-05-17 18:53:43','New user added: testvuser',NULL),(741,'testauser','2012-05-18 13:15:26','Login succeeded: 0',NULL),(742,'testauser','2012-05-18 13:15:33','Login succeeded: 0',NULL),(743,'testauser','2012-05-18 13:15:36','Login succeeded: 0',NULL),(744,'testauser','2012-05-18 13:15:45','Login succeeded: 0',NULL),(745,'staff','2012-05-18 13:15:45','New user added: testy',NULL),(746,'testauser','2012-05-18 13:20:51','Login succeeded: 0',NULL),(747,'testvuser','2012-05-18 13:20:58','Login succeeded: 0',NULL),(748,'testauser','2012-05-18 13:21:27','Login succeeded: 0',NULL),(749,'testauser','2012-05-18 13:21:29','Login succeeded: 0',NULL),(750,'testauser','2012-05-18 13:22:54','Login succeeded: 0',NULL),(751,'testauser','2012-05-18 13:23:02','Login succeeded: 0',NULL),(752,'testauser','2012-05-18 13:24:00','Login succeeded: 0',NULL),(753,'testauser','2012-05-18 13:24:20','Login succeeded: 0',NULL),(754,'testauser','2012-05-18 13:24:23','Login succeeded: 0',NULL),(755,'testauser','2012-05-18 19:38:00','Login succeeded: 0',NULL),(756,'testauser','2012-05-18 19:38:07','Login succeeded: 0',NULL),(757,'testguser','2012-05-18 19:39:46','Login succeeded: 0',NULL),(758,'testguser','2012-05-18 19:39:49','Login succeeded: 0',NULL),(759,'testguser','2012-05-18 19:41:16','Login succeeded: 0',NULL),(760,'testguser','2012-05-18 19:45:25','Login succeeded: 0',NULL),(761,'testguser','2012-05-18 19:47:00','Login succeeded: 0',NULL),(762,'testguser','2012-05-18 19:47:16','Login succeeded: 0',NULL),(763,'testguser','2012-05-18 19:47:41','Login succeeded: 0',NULL),(764,'testguser','2012-05-18 19:47:47','Login succeeded: 0',NULL),(765,'testguser','2012-05-18 19:56:29','Login succeeded: 0',NULL),(766,'testguser','2012-05-18 19:58:10','Login succeeded: 0',NULL),(767,'testguser','2012-05-18 19:58:51','Login succeeded: 0',NULL),(768,'testguser','2012-05-18 19:59:15','Login succeeded: 0',NULL),(769,'testguser','2012-05-18 19:59:23','Login succeeded: 0',NULL),(770,'testguser','2012-05-18 20:00:57','Login succeeded: 0',NULL),(771,'testguser','2012-05-18 20:01:05','Login succeeded: 0',NULL),(772,'testguser','2012-05-18 20:06:56','Login succeeded: 0',NULL),(773,'testguser','2012-05-18 20:07:05','Login succeeded: 0',NULL),(774,'testguser','2012-05-18 20:07:25','Login succeeded: 0',NULL),(775,'testguser','2012-05-18 20:07:29','Login succeeded: 0',NULL),(776,'testguser','2012-05-18 20:07:35','Login succeeded: 0',NULL),(777,'testguser','2012-05-18 20:07:45','Login succeeded: 0',NULL),(778,'testguser','2012-05-18 20:15:16','Login succeeded: 0',NULL),(779,'testguser','2012-05-18 20:15:53','Login succeeded: 0',NULL),(780,'testguser','2012-05-18 20:16:01','Login succeeded: 0',NULL),(781,'testguser','2012-05-18 20:19:14','Login succeeded: 0',NULL),(782,'testguser','2012-05-18 20:19:18','Login succeeded: 0',NULL),(783,'testguser','2012-05-18 20:19:22','Login succeeded: 0',NULL),(784,'testguser','2012-05-18 20:20:03','Login succeeded: 0',NULL),(785,'testguser','2012-05-18 20:20:03','Timesheet Submitted payid(6)',3852415200),(786,'testsuser','2012-05-18 20:23:55','Login succeeded: 0',NULL),(787,'testsuser','2012-05-18 20:23:58','Login succeeded: 0',NULL),(788,'testsuser','2012-05-18 20:24:02','Login succeeded: 0',NULL),(789,'testsuser','2012-05-18 20:25:11','Login succeeded: 0',NULL),(790,'testsuser','2012-05-18 20:25:13','Login succeeded: 0',NULL),(791,'testguser','2012-05-18 20:25:13','Timesheet Denied by Supervisor    payid(6)',3852415200),(792,'testsuser','2012-05-18 20:25:13','Deny function called',3852415200),(793,'testsuser','2012-05-18 20:26:29','Login succeeded: 0',NULL),(794,'testsuser','2012-05-18 20:30:01','Login succeeded: 0',NULL),(795,'testsuser','2012-05-18 20:30:04','Login succeeded: 0',NULL),(796,'testsuser','2012-05-18 20:30:07','Login succeeded: 0',NULL),(797,'testsuser','2012-05-18 20:30:10','Login succeeded: 0',NULL),(798,'testguser','2012-05-18 20:30:10','Timesheet Denied by Supervisor    payid(4)',8126307156),(799,'testsuser','2012-05-18 20:30:10','Deny function called',8126307156),(800,'testsuser','2012-05-18 20:33:29','Login succeeded: 0',NULL),(801,'testsuser','2012-05-18 20:33:33','Login succeeded: 0',NULL),(802,'testsuser','2012-05-18 20:33:37','Login succeeded: 0',NULL),(803,'testsuser','2012-05-18 20:33:41','Login succeeded: 0',NULL),(804,'testsuser','2012-05-18 20:33:44','Login succeeded: 0',NULL),(805,'testsuser','2012-05-18 20:33:47','Login succeeded: 0',NULL),(806,'testsuser','2012-05-18 20:33:51','Login succeeded: 0',NULL),(807,'testguser','2012-05-18 20:33:51','Timesheet Denied by Supervisor    payid(5)',6763463482),(808,'testsuser','2012-05-18 20:33:51','Deny function called',6763463482),(809,'testsuser','2012-05-18 20:34:20','Login succeeded: 0',NULL),(810,'testguser','2012-05-18 20:34:36','Login succeeded: 0',NULL),(811,'testguser','2012-05-18 20:34:42','Login succeeded: 0',NULL),(812,'testguser','2012-05-18 20:34:50','Login succeeded: 0',NULL),(813,'testguser','2012-05-18 20:34:54','Login succeeded: 0',NULL),(814,'testguser','2012-05-18 20:34:54','Timesheet Resubmitted from #3852415200 payid(6)',9441271982),(815,'testguser','2012-05-18 20:36:26','Login succeeded: 0',NULL),(816,'testguser','2012-05-18 20:36:29','Login succeeded: 0',NULL),(817,'testguser','2012-05-18 20:36:32','Login succeeded: 0',NULL),(818,'testauser','2012-05-18 20:37:32','Login succeeded: 0',NULL),(819,'testauser','2012-05-18 20:38:46','Login succeeded: 0',NULL),(820,'testauser','2012-05-18 20:38:47','Login succeeded: 0',NULL),(821,'testauser','2012-05-18 20:38:51','Login succeeded: 0',NULL),(822,'testauser','2012-05-18 20:38:55','Login succeeded: 0',NULL),(823,'testauser','2012-05-18 20:45:47','Login succeeded: 0',NULL),(824,'testguser','2012-05-18 20:45:47','Timesheet Denied by Administrator payid(1)',7680290739),(825,'testauser','2012-05-18 20:45:47','Deny function called',7680290739),(826,'testauser','2012-05-18 20:46:53','Login succeeded: 0',NULL),(827,'testauser','2012-05-18 20:46:59','Login succeeded: 0',NULL),(828,'testauser','2012-05-18 20:47:02','Login succeeded: 0',NULL),(829,'testauser','2012-05-18 20:47:06','Login succeeded: 0',NULL),(830,'testauser','2012-05-18 20:47:09','Login succeeded: 0',NULL),(831,'testauser','2012-05-18 20:47:13','Login succeeded: 0',NULL),(832,'testauser','2012-05-18 20:47:17','Login succeeded: 0',NULL),(833,'testguser','2012-05-18 20:47:28','Login succeeded: 0',NULL),(834,'testguser','2012-05-18 20:47:37','Login succeeded: 0',NULL),(835,'testguser','2012-05-18 20:47:44','Login succeeded: 0',NULL),(836,'testguser','2012-05-18 20:47:49','Login succeeded: 0',NULL),(837,'testguser','2012-05-18 20:47:52','Login succeeded: 0',NULL),(838,'testguser','2012-05-18 20:47:52','Timesheet Resubmitted from #8126307156 payid(4)',308383740),(839,'testguser','2012-05-18 20:47:58','Login succeeded: 0',NULL),(840,'testguser','2012-05-18 20:48:04','Login succeeded: 0',NULL),(841,'testguser','2012-05-18 20:48:08','Login succeeded: 0',NULL),(842,'testguser','2012-05-18 20:48:08','Timesheet Resubmitted from #6763463482 payid(5)',7295113017),(843,'testsuser','2012-05-18 20:48:30','Login succeeded: 0',NULL),(844,'testsuser','2012-05-18 20:48:35','Login succeeded: 0',NULL),(845,'testsuser','2012-05-18 20:48:37','Login succeeded: 0',NULL),(846,'testsuser','2012-05-18 20:48:41','Login succeeded: 0',NULL),(847,'testguser','2012-05-18 20:48:41','Timesheet Approved by Supervisor payid(4)',308383740),(848,'testsuser','2012-05-18 20:48:41','Approve function called - Super',308383740),(849,'testsuser','2012-05-18 20:48:43','Login succeeded: 0',NULL),(850,'testsuser','2012-05-18 20:48:47','Login succeeded: 0',NULL),(851,'testsuser','2012-05-18 20:48:49','Login succeeded: 0',NULL),(852,'testsuser','2012-05-18 20:48:52','Login succeeded: 0',NULL),(853,'testguser','2012-05-18 20:48:52','Timesheet Approved by Supervisor payid(6)',9441271982),(854,'testsuser','2012-05-18 20:48:52','Approve function called - Super',9441271982),(855,'testsuser','2012-05-18 20:48:57','Login succeeded: 0',NULL),(856,'testsuser','2012-05-18 20:49:01','Login succeeded: 0',NULL),(857,'testguser','2012-05-18 20:49:01','Timesheet Approved by Supervisor payid(5)',7295113017),(858,'testsuser','2012-05-18 20:49:01','Approve function called - Super',7295113017),(859,'testsuser','2012-05-18 20:49:04','Login succeeded: 0',NULL),(860,'testauser','2012-05-18 20:49:17','Login succeeded: 0',NULL),(861,'testauser','2012-05-18 20:49:21','Login succeeded: 0',NULL),(862,'testauser','2012-05-18 20:49:23','Login succeeded: 0',NULL),(863,'testauser','2012-05-18 20:49:27','Login succeeded: 0',NULL),(864,'testauser','2012-05-18 20:50:15','Login succeeded: 0',NULL),(865,'testguser','2012-05-18 20:50:15','Timesheet Denied by Administrator payid(6)',9441271982),(866,'testauser','2012-05-18 20:50:15','Deny function called',9441271982),(867,'testauser','2012-05-18 20:52:36','Login succeeded: 0',NULL),(868,'testauser','2012-05-18 20:52:40','Login succeeded: 0',NULL),(869,'testauser','2012-05-18 20:52:42','Login succeeded: 0',NULL),(870,'testauser','2012-05-18 20:52:46','Login succeeded: 0',NULL),(871,'testauser','2012-05-18 20:52:49','Login succeeded: 0',NULL),(872,'testguser','2012-05-18 20:52:49','Timesheet Denied by Administrator payid(4)',308383740),(873,'testauser','2012-05-18 20:52:49','Deny function called',308383740),(874,'testauser','2012-05-18 20:54:11','Login succeeded: 0',NULL),(875,'testauser','2012-05-18 20:54:17','Login succeeded: 0',NULL),(876,'testauser','2012-05-18 20:54:21','Login succeeded: 0',NULL),(877,'testauser','2012-05-18 20:54:23','Login succeeded: 0',NULL),(878,'testauser','2012-05-18 20:54:27','Login succeeded: 0',NULL),(879,'testauser','2012-05-18 20:54:30','Login succeeded: 0',NULL),(880,'testguser','2012-05-18 20:54:30','Timesheet Denied by Administrator payid(5)',7295113017),(881,'testauser','2012-05-18 20:54:30','Deny function called',7295113017),(882,'testauser','2012-05-18 20:54:50','Login succeeded: 0',NULL),(883,'testauser','2012-05-22 19:39:22','Login succeeded: 0',NULL),(884,'testauser','2012-05-22 19:39:36','Login succeeded: 0',NULL),(885,'testauser','2012-05-22 19:39:42','Login succeeded: 0',NULL),(886,'testauser','2012-05-22 19:39:47','Login succeeded: 0',NULL),(887,'testauser','2012-05-22 19:39:52','Login succeeded: 0',NULL),(888,'testauser','2012-05-22 19:41:16','Login succeeded: 0',NULL),(889,'testauser','2012-05-22 19:41:21','Login succeeded: 0',NULL),(890,'testauser','2012-05-22 19:44:48','Login succeeded: 0',NULL),(891,'testauser','2012-05-22 19:45:10','Login succeeded: 0',NULL),(892,'testauser','2012-05-22 19:45:13','Login succeeded: 0',NULL),(893,'testauser','2012-05-22 19:46:18','Login succeeded: 0',NULL),(894,'testauser','2012-05-23 13:55:11','Login succeeded: 0',NULL),(895,'testauser','2012-05-24 12:24:00','Login succeeded: 0',NULL),(896,'testguser','2012-05-24 12:24:11','Login succeeded: 0',NULL),(897,'testauser','2012-05-24 14:34:16','Login succeeded: 0',NULL),(898,'testauser','2012-05-24 14:34:21','Login succeeded: 0',NULL),(899,'testauser','2012-05-24 14:52:33','Login succeeded: 0',NULL),(900,'testauser','2012-05-24 14:53:20','Login succeeded: 0',NULL),(901,'testauser','2012-05-24 15:06:55','Login succeeded: 0',NULL),(902,'testauser','2012-05-24 15:38:43','Login succeeded: 0',NULL),(903,'testauser','2012-05-24 15:42:39','Login succeeded: 0',NULL),(904,'testauser','2012-05-24 15:50:15','Login succeeded: 0',NULL),(905,'testauser','2012-05-24 15:51:30','Login succeeded: 0',NULL),(906,'testauser','2012-05-24 16:07:00','Login succeeded: 0',NULL),(907,'testauser','2012-05-24 16:07:59','Login succeeded: 0',NULL),(908,'testauser','2012-05-24 16:08:40','Login succeeded: 0',NULL),(909,'testauser','2012-05-24 16:11:02','Login succeeded: 0',NULL),(910,'testauser','2012-05-24 16:11:14','Login succeeded: 0',NULL),(911,'testauser','2012-05-24 16:12:43','Login succeeded: 0',NULL),(912,'testauser','2012-05-24 16:12:45','Login succeeded: 0',NULL),(913,'testauser','2012-05-24 16:12:49','Login succeeded: 0',NULL),(914,'testauser','2012-05-24 16:14:49','Login succeeded: 0',NULL),(915,'testauser','2012-05-24 16:14:52','Login succeeded: 0',NULL),(916,'testauser','2012-05-24 16:14:59','Login succeeded: 0',NULL),(917,'testauser','2012-05-24 16:16:35','Login succeeded: 0',NULL),(918,'testauser','2012-05-24 16:18:23','Login succeeded: 0',NULL),(919,'testauser','2012-05-24 16:18:43','Login succeeded: 0',NULL),(920,'testauser','2012-05-24 16:24:29','Login succeeded: 0',NULL),(921,'testauser','2012-05-24 16:24:32','Login succeeded: 0',NULL),(922,'testauser','2012-05-24 16:24:34','Login succeeded: 0',NULL),(923,'testauser','2012-05-24 16:24:37','Login succeeded: 0',NULL),(924,'testauser','2012-05-24 16:32:55','Login succeeded: 0',NULL),(925,'testauser','2012-05-24 16:32:57','Login succeeded: 0',NULL),(926,'testauser','2012-05-24 16:32:59','Login succeeded: 0',NULL),(927,'testauser','2012-05-24 16:33:01','Login succeeded: 0',NULL),(928,'testauser','2012-05-24 16:33:03','Login succeeded: 0',NULL),(929,'testauser','2012-05-24 16:33:05','Login succeeded: 0',NULL),(930,'testauser','2012-05-24 16:33:08','Login succeeded: 0',NULL),(931,'testauser','2012-05-24 16:33:10','Login succeeded: 0',NULL),(932,'testauser','2012-05-24 16:33:23','Login succeeded: 0',NULL),(933,'testguser','2012-05-24 16:33:23','User supervisor changed to testy',NULL),(934,'testauser','2012-05-24 16:33:57','Login succeeded: 0',NULL),(935,'testauser','2012-05-24 16:34:00','Login succeeded: 0',NULL),(936,'testauser','2012-05-24 16:34:03','Login succeeded: 0',NULL),(937,'testauser','2012-05-24 16:34:05','Login succeeded: 0',NULL),(938,'testauser','2012-05-24 16:34:07','Login succeeded: 0',NULL),(939,'testauser','2012-05-24 16:34:09','Login succeeded: 0',NULL),(940,'testauser','2012-05-24 16:34:16','Login succeeded: 0',NULL),(941,'testsuser','2012-05-24 16:34:31','Login succeeded: 0',NULL),(942,'testsuser','2012-05-24 16:35:57','Login succeeded: 0',NULL),(943,'testguser','2012-05-24 16:36:08','Login succeeded: 0',NULL),(944,'testguser','2012-05-24 16:36:14','Login succeeded: 0',NULL),(945,'testguser','2012-05-24 16:36:17','Login succeeded: 0',NULL),(946,'testguser','2012-05-24 16:36:29','Login succeeded: 0',NULL),(947,'testguser','2012-05-24 16:36:31','Login succeeded: 0',NULL),(948,'testauser','2012-05-24 16:36:45','Login succeeded: 0',NULL),(949,'testauser','2012-05-24 16:36:48','Login succeeded: 0',NULL),(950,'testauser','2012-05-24 16:36:52','Login succeeded: 0',NULL),(951,'testguser','2012-05-24 16:36:52','User supervisor changed to testsuser',NULL),(952,'testauser','2012-05-24 16:36:56','Login succeeded: 0',NULL),(953,'testsuser','2012-05-24 16:37:04','Login succeeded: 0',NULL),(954,'testsuser','2012-05-24 16:37:07','Login succeeded: 0',NULL),(955,'testsuser','2012-05-24 16:37:11','Login succeeded: 0',NULL),(956,'testauser','2012-05-24 20:19:24','Login succeeded: 0',NULL),(957,'testauser','2012-05-24 20:19:47','Login succeeded: 0',NULL),(958,'testauser','2012-05-24 20:19:54','Login succeeded: 0',NULL),(959,'testauser','2012-05-24 20:19:57','Login succeeded: 0',NULL),(960,'testauser','2012-05-24 20:20:03','Login succeeded: 0',NULL),(961,'testauser','2012-05-24 20:20:14','Login succeeded: 0',NULL),(962,'testauser','2012-05-24 20:20:16','Login succeeded: 0',NULL),(963,'testauser','2012-05-24 20:37:41','Login succeeded: 0',NULL),(964,'testauser','2012-05-25 12:15:20','Login succeeded: 0',NULL),(965,'testguser','2012-05-25 12:40:24','Login succeeded: 0',NULL),(966,'testguser','2012-05-25 12:40:34','Login succeeded: 0',NULL),(967,'testguser','2012-05-25 12:40:40','Login succeeded: 0',NULL),(968,'testguser','2012-05-25 12:40:46','Login succeeded: 0',NULL),(969,'testguser','2012-05-25 12:40:46','Timesheet Resubmitted from #308383740 payid(4)',214878935),(970,'testguser','2012-05-25 12:40:51','Login succeeded: 0',NULL),(971,'testguser','2012-05-25 12:41:05','Login succeeded: 0',NULL),(972,'testguser','2012-05-25 12:41:10','Login succeeded: 0',NULL),(973,'testguser','2012-05-25 12:41:12','Login succeeded: 0',NULL),(974,'testsuser','2012-05-25 12:44:30','Login succeeded: 0',NULL),(975,'testsuser','2012-05-25 12:44:35','Login succeeded: 0',NULL),(976,'testsuser','2012-05-25 12:44:37','Login succeeded: 0',NULL),(977,'testsuser','2012-05-25 12:44:42','Login succeeded: 0',NULL),(978,'testguser','2012-05-25 12:44:42','Timesheet Approved by Supervisor payid(4)',214878935),(979,'testsuser','2012-05-25 12:44:42','Approve function called - Super',214878935),(980,'testsuser','2012-05-25 12:44:46','Login succeeded: 0',NULL),(981,'testsuser','2012-05-25 12:44:51','Login succeeded: 0',NULL),(982,'testauser','2012-05-25 12:46:54','Login succeeded: 0',NULL),(983,'testauser','2012-05-25 12:46:58','Login succeeded: 0',NULL),(984,'testauser','2012-05-25 12:47:01','Login succeeded: 0',NULL),(985,'testauser','2012-05-25 12:47:03','Login succeeded: 0',NULL),(986,'testauser','2012-05-25 12:47:14','Login succeeded: 0',NULL),(987,'testauser','2012-05-25 12:47:17','Login succeeded: 0',NULL),(988,'testauser','2012-05-25 12:47:20','Login succeeded: 0',NULL),(989,'testauser','2012-05-25 12:47:23','Login succeeded: 0',NULL),(990,'testauser','2012-05-25 12:47:26','Login succeeded: 0',NULL),(991,'testauser','2012-05-25 12:47:31','Login succeeded: 0',NULL),(992,'testguser','2012-05-25 12:47:31','User work study hours changed to 232.56',NULL),(993,'testauser','2012-05-25 12:47:35','Login succeeded: 0',NULL),(994,'testauser','2012-05-25 12:47:37','Login succeeded: 0',NULL),(995,'testauser','2012-05-25 12:47:41','Login succeeded: 0',NULL),(996,'testguser','2012-05-25 12:48:16','Login succeeded: 0',NULL),(997,'testguser','2012-05-25 12:48:23','Login succeeded: 0',NULL),(998,'testguser','2012-05-25 12:48:26','Login succeeded: 0',NULL),(999,'testguser','2012-05-25 12:48:31','Login succeeded: 0',NULL),(1000,'testguser','2012-05-25 12:48:33','Login succeeded: 0',NULL),(1001,'testsuser','2012-05-25 12:48:42','Login succeeded: 0',NULL),(1002,'testsuser','2012-05-25 12:48:48','Login succeeded: 0',NULL),(1003,'testsuser','2012-05-25 12:48:50','Login succeeded: 0',NULL),(1004,'testsuser','2012-05-25 12:48:54','Login succeeded: 0',NULL),(1005,'testguser','2012-05-25 12:48:54','Timesheet Denied by Supervisor    payid(7)',5604064777),(1006,'testsuser','2012-05-25 12:48:54','Deny function called',5604064777),(1007,'testsuser','2012-05-25 12:48:56','Login succeeded: 0',NULL),(1008,'testauser','2012-05-25 12:49:03','Login succeeded: 0',NULL),(1009,'testauser','2012-05-25 12:49:15','Login succeeded: 0',NULL),(1010,'testauser','2012-05-25 12:49:34','Login succeeded: 0',NULL),(1011,'testauser','2012-05-25 12:49:36','Login succeeded: 0',NULL),(1012,'testauser','2012-05-25 12:58:37','Login succeeded: 0',NULL),(1013,'testauser','2012-05-25 12:58:59','Login succeeded: 0',NULL),(1014,'testauser','2012-05-25 12:59:03','Login succeeded: 0',NULL),(1015,'testauser','2012-05-25 12:59:06','Login succeeded: 0',NULL),(1016,'testauser','2012-05-25 13:00:44','Login succeeded: 0',NULL),(1017,'testauser','2012-05-25 13:00:58','Login succeeded: 0',NULL),(1018,'testauser','2012-05-25 13:01:04','Login succeeded: 0',NULL),(1019,'testauser','2012-05-25 13:01:55','Login succeeded: 0',NULL),(1020,'testauser','2012-05-25 13:02:05','Login succeeded: 0',NULL),(1021,'testauser','2012-05-25 13:02:27','Login succeeded: 0',NULL),(1022,'testauser','2012-05-25 13:03:07','Login succeeded: 0',NULL),(1023,'testauser','2012-05-25 13:03:16','Login succeeded: 0',NULL),(1024,'testauser','2012-05-25 13:03:28','Login succeeded: 0',NULL),(1025,'testauser','2012-05-25 13:03:31','Login succeeded: 0',NULL),(1026,'testauser','2012-05-25 13:03:35','Login succeeded: 0',NULL),(1027,'testauser','2012-05-25 13:04:48','Login succeeded: 0',NULL),(1028,'testauser','2012-05-25 13:04:57','Login succeeded: 0',NULL),(1029,'testauser','2012-05-25 13:05:01','Login succeeded: 0',NULL),(1030,'testauser','2012-05-25 13:05:11','Login succeeded: 0',NULL),(1031,'testauser','2012-05-25 13:05:16','Login succeeded: 0',NULL),(1032,'testauser','2012-05-25 13:05:25','Login succeeded: 0',NULL),(1033,'testauser','2012-05-25 13:05:29','Login succeeded: 0',NULL),(1034,'testauser','2012-05-25 13:07:56','Login succeeded: 0',NULL),(1035,'testauser','2012-05-25 13:08:27','Login succeeded: 0',NULL),(1036,'testauser','2012-05-25 13:08:31','Login succeeded: 0',NULL),(1037,'testauser','2012-05-25 13:08:56','Login succeeded: 0',NULL),(1038,'testauser','2012-05-25 13:08:59','Login succeeded: 0',NULL),(1039,'testauser','2012-05-25 13:10:06','Login succeeded: 0',NULL),(1040,'testauser','2012-05-25 13:10:12','Login succeeded: 0',NULL),(1041,'testauser','2012-05-25 13:10:17','Login succeeded: 0',NULL),(1042,'testauser','2012-05-25 13:10:21','Login succeeded: 0',NULL),(1043,'testsuser','2012-05-25 13:10:36','Login succeeded: 0',NULL),(1044,'testsuser','2012-05-25 13:12:09','Login succeeded: 0',NULL),(1045,'testsuser','2012-05-25 13:13:24','Login succeeded: 0',NULL),(1046,'testsuser','2012-05-25 13:13:47','Login succeeded: 0',NULL),(1047,'testsuser','2012-05-25 13:14:17','Login succeeded: 0',NULL),(1048,'testsuser','2012-05-25 13:14:42','Login succeeded: 0',NULL),(1049,'testsuser','2012-05-25 13:15:06','Login succeeded: 0',NULL),(1050,'testsuser','2012-05-25 13:16:37','Login succeeded: 0',NULL),(1051,'testsuser','2012-05-25 13:18:56','Login succeeded: 0',NULL),(1052,'testsuser','2012-05-25 13:19:24','Login succeeded: 0',NULL),(1053,'testsuser','2012-05-25 13:20:20','Login succeeded: 0',NULL),(1054,'testsuser','2012-05-25 13:20:55','Login succeeded: 0',NULL),(1055,'testsuser','2012-05-25 13:21:18','Login succeeded: 0',NULL),(1056,'testsuser','2012-05-25 13:22:34','Login succeeded: 0',NULL),(1057,'testsuser','2012-05-25 13:23:07','Login succeeded: 0',NULL),(1058,'testsuser','2012-05-25 13:23:45','Login succeeded: 0',NULL),(1059,'testsuser','2012-05-25 13:24:48','Login succeeded: 0',NULL),(1060,'testsuser','2012-05-25 13:25:40','Login succeeded: 0',NULL),(1061,'testsuser','2012-05-25 13:25:43','Login succeeded: 0',NULL),(1062,'testauser','2012-05-25 13:25:51','Login succeeded: 0',NULL),(1063,'testguser','2012-05-25 13:34:57','Login succeeded: 0',NULL),(1064,'testguser','2012-05-25 13:35:05','Login succeeded: 0',NULL),(1065,'testguser','2012-05-25 13:35:08','Login succeeded: 0',NULL),(1066,'testsuser','2012-05-25 13:35:16','Login succeeded: 0',NULL),(1067,'testsuser','2012-05-25 13:35:19','Login succeeded: 0',NULL),(1068,'testsuser','2012-05-25 13:35:22','Login succeeded: 0',NULL),(1069,'testsuser','2012-05-25 13:37:03','Login succeeded: 0',NULL),(1070,'testsuser','2012-05-25 13:37:14','Login succeeded: 0',NULL),(1071,'testsuser','2012-05-25 13:37:27','Login succeeded: 0',NULL),(1072,'testauser','2012-05-25 13:37:36','Login succeeded: 0',NULL),(1073,'testauser','2012-05-25 13:37:40','Login succeeded: 0',NULL),(1074,'testauser','2012-05-25 13:37:43','Login succeeded: 0',NULL);
/*!40000 ALTER TABLE `tbl_log` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = latin1 */ ;
/*!50003 SET character_set_results = latin1 */ ;
/*!50003 SET collation_connection  = latin1_swedish_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`timesheet`@`%`*/ /*!50003 TRIGGER `tbl_log_before_ins_tr_Timestamp` BEFORE INSERT ON `tbl_log`

  FOR EACH ROW

BEGIN

	SET @LogTimestamp = now();

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `tbl_payperiodinfo`
--

DROP TABLE IF EXISTS `tbl_payperiodinfo`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tbl_payperiodinfo` (
  `Pay_ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `user` varchar(30) NOT NULL,
  `paystart` varchar(8) NOT NULL DEFAULT '',
  `rate` varchar(6) DEFAULT '7.00',
  `commentbox` varchar(450) DEFAULT NULL,
  `11hin1` varchar(2) DEFAULT NULL,
  `11min1` varchar(2) DEFAULT NULL,
  `11hout1` varchar(2) DEFAULT NULL,
  `11mout1` varchar(2) DEFAULT NULL,
  `11hin2` varchar(2) DEFAULT NULL,
  `11min2` varchar(2) DEFAULT NULL,
  `11hout2` varchar(2) DEFAULT NULL,
  `11mout2` varchar(2) DEFAULT NULL,
  `11hin3` varchar(2) DEFAULT NULL,
  `11min3` varchar(2) DEFAULT NULL,
  `11hout3` varchar(2) DEFAULT NULL,
  `11mout3` varchar(2) DEFAULT NULL,
  `11sick` varchar(3) DEFAULT NULL,
  `11vac` varchar(3) DEFAULT NULL,
  `11code` varchar(3) DEFAULT NULL,
  `12hin1` varchar(2) DEFAULT NULL,
  `12min1` varchar(2) DEFAULT NULL,
  `12hout1` varchar(2) DEFAULT NULL,
  `12mout1` varchar(2) DEFAULT NULL,
  `12hin2` varchar(2) DEFAULT NULL,
  `12min2` varchar(2) DEFAULT NULL,
  `12hout2` varchar(2) DEFAULT NULL,
  `12mout2` varchar(2) DEFAULT NULL,
  `12hin3` varchar(2) DEFAULT NULL,
  `12min3` varchar(2) DEFAULT NULL,
  `12hout3` varchar(2) DEFAULT NULL,
  `12mout3` varchar(2) DEFAULT NULL,
  `12sick` varchar(3) DEFAULT NULL,
  `12vac` varchar(3) DEFAULT NULL,
  `12code` varchar(3) DEFAULT NULL,
  `13hin1` varchar(2) DEFAULT NULL,
  `13min1` varchar(2) DEFAULT NULL,
  `13hout1` varchar(2) DEFAULT NULL,
  `13mout1` varchar(2) DEFAULT NULL,
  `13hin2` varchar(2) DEFAULT NULL,
  `13min2` varchar(2) DEFAULT NULL,
  `13hout2` varchar(2) DEFAULT NULL,
  `13mout2` varchar(2) DEFAULT NULL,
  `13hin3` varchar(2) DEFAULT NULL,
  `13min3` varchar(2) DEFAULT NULL,
  `13hout3` varchar(2) DEFAULT NULL,
  `13mout3` varchar(2) DEFAULT NULL,
  `13sick` varchar(3) DEFAULT NULL,
  `13vac` varchar(3) DEFAULT NULL,
  `13code` varchar(3) DEFAULT NULL,
  `14hin1` varchar(2) DEFAULT NULL,
  `14min1` varchar(2) DEFAULT NULL,
  `14hout1` varchar(2) DEFAULT NULL,
  `14mout1` varchar(2) DEFAULT NULL,
  `14hin2` varchar(2) DEFAULT NULL,
  `14min2` varchar(2) DEFAULT NULL,
  `14hout2` varchar(2) DEFAULT NULL,
  `14mout2` varchar(2) DEFAULT NULL,
  `14hin3` varchar(2) DEFAULT NULL,
  `14min3` varchar(2) DEFAULT NULL,
  `14hout3` varchar(2) DEFAULT NULL,
  `14mout3` varchar(2) DEFAULT NULL,
  `14sick` varchar(3) DEFAULT NULL,
  `14vac` varchar(3) DEFAULT NULL,
  `14code` varchar(3) DEFAULT NULL,
  `15hin1` varchar(2) DEFAULT NULL,
  `15min1` varchar(2) DEFAULT NULL,
  `15hout1` varchar(2) DEFAULT NULL,
  `15mout1` varchar(2) DEFAULT NULL,
  `15hin2` varchar(2) DEFAULT NULL,
  `15min2` varchar(2) DEFAULT NULL,
  `15hout2` varchar(2) DEFAULT NULL,
  `15mout2` varchar(2) DEFAULT NULL,
  `15hin3` varchar(2) DEFAULT NULL,
  `15min3` varchar(2) DEFAULT NULL,
  `15hout3` varchar(2) DEFAULT NULL,
  `15mout3` varchar(2) DEFAULT NULL,
  `15sick` varchar(3) DEFAULT NULL,
  `15vac` varchar(3) DEFAULT NULL,
  `15code` varchar(3) DEFAULT NULL,
  `16hin1` varchar(2) DEFAULT NULL,
  `16min1` varchar(2) DEFAULT NULL,
  `16hout1` varchar(2) DEFAULT NULL,
  `16mout1` varchar(2) DEFAULT NULL,
  `16hin2` varchar(2) DEFAULT NULL,
  `16min2` varchar(2) DEFAULT NULL,
  `16hout2` varchar(2) DEFAULT NULL,
  `16mout2` varchar(2) DEFAULT NULL,
  `16hin3` varchar(2) DEFAULT NULL,
  `16min3` varchar(2) DEFAULT NULL,
  `16hout3` varchar(2) DEFAULT NULL,
  `16mout3` varchar(2) DEFAULT NULL,
  `16sick` varchar(3) DEFAULT NULL,
  `16vac` varchar(3) DEFAULT NULL,
  `16code` varchar(3) DEFAULT NULL,
  `17hin1` varchar(2) DEFAULT NULL,
  `17min1` varchar(2) DEFAULT NULL,
  `17hout1` varchar(2) DEFAULT NULL,
  `17mout1` varchar(2) DEFAULT NULL,
  `17hin2` varchar(2) DEFAULT NULL,
  `17min2` varchar(2) DEFAULT NULL,
  `17hout2` varchar(2) DEFAULT NULL,
  `17mout2` varchar(2) DEFAULT NULL,
  `17hin3` varchar(2) DEFAULT NULL,
  `17min3` varchar(2) DEFAULT NULL,
  `17hout3` varchar(2) DEFAULT NULL,
  `17mout3` varchar(2) DEFAULT NULL,
  `17sick` varchar(3) DEFAULT NULL,
  `17vac` varchar(3) DEFAULT NULL,
  `17code` varchar(3) DEFAULT NULL,
  `21hin1` varchar(2) DEFAULT NULL,
  `21min1` varchar(2) DEFAULT NULL,
  `21hout1` varchar(2) DEFAULT NULL,
  `21mout1` varchar(2) DEFAULT NULL,
  `21hin2` varchar(2) DEFAULT NULL,
  `21min2` varchar(2) DEFAULT NULL,
  `21hout2` varchar(2) DEFAULT NULL,
  `21mout2` varchar(2) DEFAULT NULL,
  `21hin3` varchar(2) DEFAULT NULL,
  `21min3` varchar(2) DEFAULT NULL,
  `21hout3` varchar(2) DEFAULT NULL,
  `21mout3` varchar(2) DEFAULT NULL,
  `21sick` varchar(3) DEFAULT NULL,
  `21vac` varchar(3) DEFAULT NULL,
  `21code` varchar(3) DEFAULT NULL,
  `22hin1` varchar(2) DEFAULT NULL,
  `22min1` varchar(2) DEFAULT NULL,
  `22hout1` varchar(2) DEFAULT NULL,
  `22mout1` varchar(2) DEFAULT NULL,
  `22hin2` varchar(2) DEFAULT NULL,
  `22min2` varchar(2) DEFAULT NULL,
  `22hout2` varchar(2) DEFAULT NULL,
  `22mout2` varchar(2) DEFAULT NULL,
  `22hin3` varchar(2) DEFAULT NULL,
  `22min3` varchar(2) DEFAULT NULL,
  `22hout3` varchar(2) DEFAULT NULL,
  `22mout3` varchar(2) DEFAULT NULL,
  `22sick` varchar(3) DEFAULT NULL,
  `22vac` varchar(3) DEFAULT NULL,
  `22code` varchar(3) DEFAULT NULL,
  `23hin1` varchar(2) DEFAULT NULL,
  `23min1` varchar(2) DEFAULT NULL,
  `23hout1` varchar(2) DEFAULT NULL,
  `23mout1` varchar(2) DEFAULT NULL,
  `23hin2` varchar(2) DEFAULT NULL,
  `23min2` varchar(2) DEFAULT NULL,
  `23hout2` varchar(2) DEFAULT NULL,
  `23mout2` varchar(2) DEFAULT NULL,
  `23hin3` varchar(2) DEFAULT NULL,
  `23min3` varchar(2) DEFAULT NULL,
  `23hout3` varchar(2) DEFAULT NULL,
  `23mout3` varchar(2) DEFAULT NULL,
  `23sick` varchar(3) DEFAULT NULL,
  `23vac` varchar(3) DEFAULT NULL,
  `23code` varchar(3) DEFAULT NULL,
  `24hin1` varchar(2) DEFAULT NULL,
  `24min1` varchar(2) DEFAULT NULL,
  `24hout1` varchar(2) DEFAULT NULL,
  `24mout1` varchar(2) DEFAULT NULL,
  `24hin2` varchar(2) DEFAULT NULL,
  `24min2` varchar(2) DEFAULT NULL,
  `24hout2` varchar(2) DEFAULT NULL,
  `24mout2` varchar(2) DEFAULT NULL,
  `24hin3` varchar(2) DEFAULT NULL,
  `24min3` varchar(2) DEFAULT NULL,
  `24hout3` varchar(2) DEFAULT NULL,
  `24mout3` varchar(2) DEFAULT NULL,
  `24sick` varchar(3) DEFAULT NULL,
  `24vac` varchar(3) DEFAULT NULL,
  `24code` varchar(3) DEFAULT NULL,
  `25hin1` varchar(2) DEFAULT NULL,
  `25min1` varchar(2) DEFAULT NULL,
  `25hout1` varchar(2) DEFAULT NULL,
  `25mout1` varchar(2) DEFAULT NULL,
  `25hin2` varchar(2) DEFAULT NULL,
  `25min2` varchar(2) DEFAULT NULL,
  `25hout2` varchar(2) DEFAULT NULL,
  `25mout2` varchar(2) DEFAULT NULL,
  `25hin3` varchar(2) DEFAULT NULL,
  `25min3` varchar(2) DEFAULT NULL,
  `25hout3` varchar(2) DEFAULT NULL,
  `25mout3` varchar(2) DEFAULT NULL,
  `25sick` varchar(3) DEFAULT NULL,
  `25vac` varchar(3) DEFAULT NULL,
  `25code` varchar(3) DEFAULT NULL,
  `26hin1` varchar(2) DEFAULT NULL,
  `26min1` varchar(2) DEFAULT NULL,
  `26hout1` varchar(2) DEFAULT NULL,
  `26mout1` varchar(2) DEFAULT NULL,
  `26hin2` varchar(2) DEFAULT NULL,
  `26min2` varchar(2) DEFAULT NULL,
  `26hout2` varchar(2) DEFAULT NULL,
  `26mout2` varchar(2) DEFAULT NULL,
  `26hin3` varchar(2) DEFAULT NULL,
  `26min3` varchar(2) DEFAULT NULL,
  `26hout3` varchar(2) DEFAULT NULL,
  `26mout3` varchar(2) DEFAULT NULL,
  `26sick` varchar(3) DEFAULT NULL,
  `26vac` varchar(3) DEFAULT NULL,
  `26code` varchar(3) DEFAULT NULL,
  `27hin1` varchar(2) DEFAULT NULL,
  `27min1` varchar(2) DEFAULT NULL,
  `27hout1` varchar(2) DEFAULT NULL,
  `27mout1` varchar(2) DEFAULT NULL,
  `27hin2` varchar(2) DEFAULT NULL,
  `27min2` varchar(2) DEFAULT NULL,
  `27hout2` varchar(2) DEFAULT NULL,
  `27mout2` varchar(2) DEFAULT NULL,
  `27hin3` varchar(2) DEFAULT NULL,
  `27min3` varchar(2) DEFAULT NULL,
  `27hout3` varchar(2) DEFAULT NULL,
  `27mout3` varchar(2) DEFAULT NULL,
  `27sick` varchar(3) DEFAULT NULL,
  `27vac` varchar(3) DEFAULT NULL,
  `27code` varchar(3) DEFAULT NULL,
  `TimesheetNumber` bigint(20) DEFAULT NULL,
  `SubmitTimestamp` datetime DEFAULT NULL,
  `ApproveTimestamp` datetime DEFAULT NULL,
  `EnteredTimestamp` datetime DEFAULT NULL,
  PRIMARY KEY (`Pay_ID`),
  UNIQUE KEY `TimesheetNumber` (`TimesheetNumber`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tbl_payperiodinfo`
--

LOCK TABLES `tbl_payperiodinfo` WRITE;
/*!40000 ALTER TABLE `tbl_payperiodinfo` DISABLE KEYS */;
INSERT INTO `tbl_payperiodinfo` VALUES (1,'testguser','05/06/12','8.05','','','','','','','','','','','','','','','','','8','40','12','00','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','12','00','1','00','12','00','1','00','','','','','','','','','','','','','','','','','','','','','','','2','12','5','23','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','',7680290739,NULL,NULL,NULL),(4,'testguser','04/08/12','8.05','This is a test!','','','','','','','','','','','','','','','','12','15','2','45','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','10','23','11','11','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','',214878935,'2012-05-25 08:40:46','2012-05-25 08:44:42',NULL),(5,'testguser','05/20/12','2.15','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','7','18','1','24','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','',7295113017,NULL,NULL,NULL),(6,'testguser','03/25/12','2.15','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','1','12','2','12','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','',9441271982,NULL,NULL,NULL),(7,'testguser','04/22/12','2.15','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','','',5604064777,NULL,NULL,NULL);
/*!40000 ALTER TABLE `tbl_payperiodinfo` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = latin1 */ ;
/*!50003 SET character_set_results = latin1 */ ;
/*!50003 SET collation_connection  = latin1_swedish_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`timesheet`@`%`*/ /*!50003 TRIGGER `tbl_payperiodinfo_after_upd_tr` AFTER UPDATE ON `tbl_payperiodinfo`

  FOR EACH ROW

BEGIN

	

	declare username varchar(30);

    

    set username = New.user;

	

    

    IF New.SubmitTimestamp IS NOT NULL AND Old.SubmitTimestamp IS NULL Then

    	

		IF NEW.TimesheetNumber > 0 AND Old.TimesheetNumber > 0 THEN

        	insert into tbl_log (USER,ACTION,TIMESHEETNUM) 

	    	values (username,CONCAT('Timesheet Resubmitted from #', Old.TimesheetNumber, ' payid(', New.Pay_ID, ')'),New.TimesheetNumber);

        ELSE

            insert into tbl_log (USER,ACTION,TIMESHEETNUM) 

	    	values (username,CONCAT('Timesheet Submitted payid(', New.Pay_ID, ')'), New.TimesheetNumber);

    	END IF;

    

    End If;

    

    

    IF New.SubmitTimestamp IS NULL AND Old.SubmitTimestamp IS NOT NULL THEN

    	

        IF Old.ApproveTimestamp IS NULL THEN

        	insert into tbl_log (USER,ACTION,TIMESHEETNUM) 

		    values (username,CONCAT('Timesheet Denied by Supervisor    payid(', New.Pay_ID, ')'), Old.TimesheetNumber);

        ELSE

        

	        insert into tbl_log (USER,ACTION,TIMESHEETNUM) 

		    values (username,CONCAT('Timesheet Denied by Administrator payid(', New.Pay_ID, ')'), Old.TimesheetNumber);

        END IF;

        

    END IF;

    

    

    IF New.ApproveTimestamp > 0 AND Old.ApproveTimestamp IS NULL THEN

	    insert into tbl_log (USER,ACTION,TIMESHEETNUM) 

	    values (username,CONCAT('Timesheet Approved by Supervisor payid(', New.Pay_ID, ')'), New.TimesheetNumber);

	END If;

        

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `tbl_periodnum`
--

DROP TABLE IF EXISTS `tbl_periodnum`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tbl_periodnum` (
  `paystart` varchar(8) NOT NULL DEFAULT '',
  `period` int(10) unsigned NOT NULL,
  PRIMARY KEY (`paystart`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='InnoDB free: 11264 kB';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tbl_periodnum`
--

LOCK TABLES `tbl_periodnum` WRITE;
/*!40000 ALTER TABLE `tbl_periodnum` DISABLE KEYS */;
INSERT INTO `tbl_periodnum` VALUES ('03/25/12',21),('04/08/12',22),('04/22/12',23),('05/06/12',24),('05/20/12',25),('06/03/12',26);
/*!40000 ALTER TABLE `tbl_periodnum` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tbl_userinfo`
--

DROP TABLE IF EXISTS `tbl_userinfo`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tbl_userinfo` (
  `user` varchar(30) NOT NULL DEFAULT '',
  `name` varchar(45) DEFAULT NULL,
  `id` varchar(9) DEFAULT NULL,
  `record` varchar(2) DEFAULT NULL,
  `status` char(1) NOT NULL DEFAULT 'D' COMMENT 'P=Part Time; \r\nF=Full Time; \r\nD=Disabled(Default value)',
  `Supervisor` varchar(30) DEFAULT NULL,
  `IsUser` tinyint(1) NOT NULL DEFAULT '0',
  `IsSupervisor` tinyint(1) NOT NULL DEFAULT '0',
  `IsAdmin` tinyint(1) NOT NULL DEFAULT '0',
  `HrsLeft` float(9,2) NOT NULL DEFAULT '9999.00',
  `HrsLastUpdate` datetime DEFAULT NULL,
  `email` int(11) NOT NULL DEFAULT '2',
  `rate` varchar(6) NOT NULL DEFAULT '8.05',
  `emailaddress` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`user`),
  KEY `tbl_userinfo_fk` (`name`),
  CONSTRAINT `tbl_userinfo_fk` FOREIGN KEY (`user`) REFERENCES `tbl_users` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tbl_userinfo`
--

LOCK TABLES `tbl_userinfo` WRITE;
/*!40000 ALTER TABLE `tbl_userinfo` DISABLE KEYS */;
INSERT INTO `tbl_userinfo` VALUES ('testauser','Test A User','12345678','1','F','morris.521',0,0,1,9999.00,NULL,2,'8.05',''),('testguser','Test G User','555555555','1','P','testsuser',1,0,0,232.56,'2012-05-25 08:47:31',2,'2.15','testg@gmail.com'),('testsuser','Test S User','987654321','3','F','morris.521',0,1,0,9999.00,NULL,2,'8.05','tests@gmail.com'),('testvuser','Test V User','123456789','4','P','testsuser',1,0,0,9999.00,NULL,2,'8.05','testv@gmail.com'),('testy','Testy McTest Sr','11111111','5','F',NULL,0,1,0,9999.00,NULL,2,'8.05','');
/*!40000 ALTER TABLE `tbl_userinfo` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = latin1 */ ;
/*!50003 SET character_set_results = latin1 */ ;
/*!50003 SET collation_connection  = latin1_swedish_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`timesheet`@`%`*/ /*!50003 TRIGGER `tbl_userinfo_before_upd_tr` BEFORE UPDATE ON `tbl_userinfo`

  FOR EACH ROW

BEGIN

	

    declare hoursupdated DateTime;

    set hoursupdated = now();

    

    

    If NOT Old.HrsLeft <=> NEW.HrsLeft THEN

    	set New.HrsLastUpdate = hoursupdated;

    END IF;

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = latin1 */ ;
/*!50003 SET character_set_results = latin1 */ ;
/*!50003 SET collation_connection  = latin1_swedish_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`timesheet`@`%`*/ /*!50003 TRIGGER `tbl_userinfo_after_upd_tr` AFTER UPDATE ON `tbl_userinfo`

  FOR EACH ROW

BEGIN

	

    declare username varchar(30);

    set username = New.user;

    

    

    If Old.status != New.status THEN

    	insert into tbl_log (USER,ACTION) 

    	values (username,CONCAT('User status changed from ', Old.status, ' to ', New.status));

    END IF;

    

    

    If Old.IsSupervisor = 0 AND New.IsSupervisor = 1 THEN

    	insert into tbl_log (USER,ACTION) 

    	values (username,CONCAT('User granted supervisor privileges'));

    END IF;

    

    

    If Old.IsAdmin = 0 AND New.IsAdmin = 1 THEN

    	insert into tbl_log (USER,ACTION) 

    	values (username,CONCAT('User granted admin staff privileges'));

    END IF;

    

    

    If Old.Supervisor != New.Supervisor THEN

    	insert into tbl_log (USER,ACTION) 

    	values (username,CONCAT('User supervisor changed to ', New.Supervisor));

    END IF;

    

    

    If Old.HrsLeft != NEW.HrsLeft OR (Old.HrsLeft IS NULL AND New.HrsLeft IS NOT NULL) THEN

    	insert into tbl_log (USER,ACTION) 

    	values (username,CONCAT('User work study hours changed to ', New.HrsLeft));       

    END IF;

    

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `tbl_users`
--

DROP TABLE IF EXISTS `tbl_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tbl_users` (
  `name` varchar(30) NOT NULL DEFAULT '',
  `password` varchar(64) NOT NULL DEFAULT '',
  PRIMARY KEY (`name`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='InnoDB free: 11264 kB';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tbl_users`
--

LOCK TABLES `tbl_users` WRITE;
/*!40000 ALTER TABLE `tbl_users` DISABLE KEYS */;
INSERT INTO `tbl_users` VALUES ('testauser','5e18e887dd1f29a5c66061d7f85800acc266addd41fa870f6d408dd9ee673312'),('testguser','5e18e887dd1f29a5c66061d7f85800acc266addd41fa870f6d408dd9ee673312'),('testsuser','5e18e887dd1f29a5c66061d7f85800acc266addd41fa870f6d408dd9ee673312'),('testvuser','5e18e887dd1f29a5c66061d7f85800acc266addd41fa870f6d408dd9ee673312'),('testy','6693efcd0503059fc0561450033ac9fe712aff09e31e460f4f321f4324585188');
/*!40000 ALTER TABLE `tbl_users` ENABLE KEYS */;
UNLOCK TABLES;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = latin1 */ ;
/*!50003 SET character_set_results = latin1 */ ;
/*!50003 SET collation_connection  = latin1_swedish_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`timesheet`@`%`*/ /*!50003 TRIGGER `tbl_users_after_ins_tr` AFTER INSERT ON `tbl_users`

  FOR EACH ROW

BEGIN

	declare username varchar(30);

    set username = LEFT(user(),position('@' in user())-1);

	insert into tbl_log (USER,ACTION) 

    values (username,CONCAT('New user added: ', New.NAME));

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = latin1 */ ;
/*!50003 SET character_set_results = latin1 */ ;
/*!50003 SET collation_connection  = latin1_swedish_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`timesheet`@`%`*/ /*!50003 TRIGGER `tbl_users_after_upd_tr` AFTER UPDATE ON `tbl_users`

  FOR EACH ROW

BEGIN

    

    declare username varchar(30);

    set username = LEFT(user(),position('@' in user())-1);

	insert into tbl_log (USER,ACTION) 

	values (username,CONCAT('User updated: ', New.NAME));

    	

    

    If Old.PASSWORD IS NULL AND New.PASSWORD IS NOT NULL THEN

    	insert into tbl_log (USER,ACTION) 

    	values (username,CONCAT('User password set: ', New.NAME));

    

    ELSEIF Old.PASSWORD IS NOT NULL AND New.PASSWORD IS NULL THEN

		insert into tbl_log (USER,ACTION) 

    	values (username,CONCAT('User password removed: ', New.NAME));

	

    ELSEIF Old.PASSWORD != New.PASSWORD THEN

   		insert into tbl_log (USER,ACTION) 

    	values (username,CONCAT('User password changed: ', New.NAME));

	END IF;

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = latin1 */ ;
/*!50003 SET character_set_results = latin1 */ ;
/*!50003 SET collation_connection  = latin1_swedish_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'STRICT_TRANS_TABLES,NO_AUTO_CREATE_USER,NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`timesheet`@`%`*/ /*!50003 TRIGGER `tbl_users_after_del_tr` AFTER DELETE ON `tbl_users`

  FOR EACH ROW

BEGIN

	declare username varchar(30);

    set username = LEFT(user(),position('@' in user())-1);

	insert into tbl_log (USER,ACTION) 

    values (username,CONCAT('User deleted: ', OLD.NAME));

END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Temporary table structure for view `vwallsupervisors`
--

DROP TABLE IF EXISTS `vwallsupervisors`;
/*!50001 DROP VIEW IF EXISTS `vwallsupervisors`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `vwallsupervisors` (
  `user` varchar(30),
  `name` varchar(45),
  `IsSupervisor` tinyint(1),
  `status` char(1)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `vwallusersallperiodnums`
--

DROP TABLE IF EXISTS `vwallusersallperiodnums`;
/*!50001 DROP VIEW IF EXISTS `vwallusersallperiodnums`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `vwallusersallperiodnums` (
  `user` varchar(30),
  `name` varchar(45),
  `id` varchar(9),
  `record` varchar(2),
  `status` char(1),
  `Supervisor` varchar(30),
  `IsUser` tinyint(1),
  `IsSupervisor` tinyint(1),
  `IsAdmin` tinyint(1),
  `HrsLeft` float(9,2),
  `HrsLastUpdate` datetime,
  `CurrentRate` varchar(6),
  `paystart` varchar(8),
  `period` int(10) unsigned
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `vwcurrentpayperiod`
--

DROP TABLE IF EXISTS `vwcurrentpayperiod`;
/*!50001 DROP VIEW IF EXISTS `vwcurrentpayperiod`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `vwcurrentpayperiod` (
  `paystart` varchar(8),
  `period` int(10) unsigned
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `vwemail`
--

DROP TABLE IF EXISTS `vwemail`;
/*!50001 DROP VIEW IF EXISTS `vwemail`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `vwemail` (
  `email` int(11),
  `user` varchar(30),
  `emailaddress` varchar(45)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `vwemployeesforsuper`
--

DROP TABLE IF EXISTS `vwemployeesforsuper`;
/*!50001 DROP VIEW IF EXISTS `vwemployeesforsuper`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `vwemployeesforsuper` (
  `user` varchar(30),
  `name` varchar(45),
  `status` char(1),
  `Supervisor` varchar(30)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `vwlog`
--

DROP TABLE IF EXISTS `vwlog`;
/*!50001 DROP VIEW IF EXISTS `vwlog`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `vwlog` (
  `user` varchar(30),
  `logtimestamp` timestamp,
  `description` varchar(50),
  `timesheetnum` bigint(20)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `vwpendingaccounts`
--

DROP TABLE IF EXISTS `vwpendingaccounts`;
/*!50001 DROP VIEW IF EXISTS `vwpendingaccounts`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `vwpendingaccounts` (
  `accountid` int(11),
  `name` varchar(45),
  `user` varchar(30),
  `desiredpassword` varchar(64),
  `empnum` varchar(9),
  `role` varchar(45),
  `reset` varchar(1),
  `pending` int(11)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `vwsummarybypaystartbysupervisor`
--

DROP TABLE IF EXISTS `vwsummarybypaystartbysupervisor`;
/*!50001 DROP VIEW IF EXISTS `vwsummarybypaystartbysupervisor`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `vwsummarybypaystartbysupervisor` (
  `supervisoruser` varchar(30),
  `studentuser` varchar(30),
  `supervisorname` varchar(45),
  `studentsname` varchar(45),
  `HrsLeft` float(9,2),
  `HrsLastUpdate` datetime,
  `Pay_ID` bigint(20),
  `SubmitTimestamp` datetime,
  `ApproveTimestamp` datetime,
  `EnteredTimestamp` datetime,
  `paystart` varchar(8)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `vwtimesheetbyuserbypaystart`
--

DROP TABLE IF EXISTS `vwtimesheetbyuserbypaystart`;
/*!50001 DROP VIEW IF EXISTS `vwtimesheetbyuserbypaystart`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `vwtimesheetbyuserbypaystart` (
  `user` varchar(30),
  `name` varchar(45),
  `id` varchar(9),
  `record` varchar(2),
  `status` char(1),
  `Supervisor` varchar(30),
  `IsUser` tinyint(1),
  `IsSupervisor` tinyint(1),
  `IsAdmin` tinyint(1),
  `HrsLeft` float(9,2),
  `HrsLastUpdate` datetime,
  `CurrentRate` varchar(6),
  `Pay_ID` bigint(20),
  `paystart` varchar(8),
  `period` int(10) unsigned,
  `rate` varchar(6),
  `commentbox` varchar(450),
  `11hin1` varchar(2),
  `11min1` varchar(2),
  `11hout1` varchar(2),
  `11mout1` varchar(2),
  `11hin2` varchar(2),
  `11min2` varchar(2),
  `11hout2` varchar(2),
  `11mout2` varchar(2),
  `11hin3` varchar(2),
  `11min3` varchar(2),
  `11hout3` varchar(2),
  `11mout3` varchar(2),
  `11sick` varchar(3),
  `11vac` varchar(3),
  `11code` varchar(3),
  `12hin1` varchar(2),
  `12min1` varchar(2),
  `12hout1` varchar(2),
  `12mout1` varchar(2),
  `12hin2` varchar(2),
  `12min2` varchar(2),
  `12hout2` varchar(2),
  `12mout2` varchar(2),
  `12hin3` varchar(2),
  `12min3` varchar(2),
  `12hout3` varchar(2),
  `12mout3` varchar(2),
  `12sick` varchar(3),
  `12vac` varchar(3),
  `12code` varchar(3),
  `13hin1` varchar(2),
  `13min1` varchar(2),
  `13hout1` varchar(2),
  `13mout1` varchar(2),
  `13hin2` varchar(2),
  `13min2` varchar(2),
  `13hout2` varchar(2),
  `13mout2` varchar(2),
  `13hin3` varchar(2),
  `13min3` varchar(2),
  `13hout3` varchar(2),
  `13mout3` varchar(2),
  `13sick` varchar(3),
  `13vac` varchar(3),
  `13code` varchar(3),
  `14hin1` varchar(2),
  `14min1` varchar(2),
  `14hout1` varchar(2),
  `14mout1` varchar(2),
  `14hin2` varchar(2),
  `14min2` varchar(2),
  `14hout2` varchar(2),
  `14mout2` varchar(2),
  `14hin3` varchar(2),
  `14min3` varchar(2),
  `14hout3` varchar(2),
  `14mout3` varchar(2),
  `14sick` varchar(3),
  `14vac` varchar(3),
  `14code` varchar(3),
  `15hin1` varchar(2),
  `15min1` varchar(2),
  `15hout1` varchar(2),
  `15mout1` varchar(2),
  `15hin2` varchar(2),
  `15min2` varchar(2),
  `15hout2` varchar(2),
  `15mout2` varchar(2),
  `15hin3` varchar(2),
  `15min3` varchar(2),
  `15hout3` varchar(2),
  `15mout3` varchar(2),
  `15sick` varchar(3),
  `15vac` varchar(3),
  `15code` varchar(3),
  `16hin1` varchar(2),
  `16min1` varchar(2),
  `16hout1` varchar(2),
  `16mout1` varchar(2),
  `16hin2` varchar(2),
  `16min2` varchar(2),
  `16hout2` varchar(2),
  `16mout2` varchar(2),
  `16hin3` varchar(2),
  `16min3` varchar(2),
  `16hout3` varchar(2),
  `16mout3` varchar(2),
  `16sick` varchar(3),
  `16vac` varchar(3),
  `16code` varchar(3),
  `17hin1` varchar(2),
  `17min1` varchar(2),
  `17hout1` varchar(2),
  `17mout1` varchar(2),
  `17hin2` varchar(2),
  `17min2` varchar(2),
  `17hout2` varchar(2),
  `17mout2` varchar(2),
  `17hin3` varchar(2),
  `17min3` varchar(2),
  `17hout3` varchar(2),
  `17mout3` varchar(2),
  `17sick` varchar(3),
  `17vac` varchar(3),
  `17code` varchar(3),
  `21hin1` varchar(2),
  `21min1` varchar(2),
  `21hout1` varchar(2),
  `21mout1` varchar(2),
  `21hin2` varchar(2),
  `21min2` varchar(2),
  `21hout2` varchar(2),
  `21mout2` varchar(2),
  `21hin3` varchar(2),
  `21min3` varchar(2),
  `21hout3` varchar(2),
  `21mout3` varchar(2),
  `21sick` varchar(3),
  `21vac` varchar(3),
  `21code` varchar(3),
  `22hin1` varchar(2),
  `22min1` varchar(2),
  `22hout1` varchar(2),
  `22mout1` varchar(2),
  `22hin2` varchar(2),
  `22min2` varchar(2),
  `22hout2` varchar(2),
  `22mout2` varchar(2),
  `22hin3` varchar(2),
  `22min3` varchar(2),
  `22hout3` varchar(2),
  `22mout3` varchar(2),
  `22sick` varchar(3),
  `22vac` varchar(3),
  `22code` varchar(3),
  `23hin1` varchar(2),
  `23min1` varchar(2),
  `23hout1` varchar(2),
  `23mout1` varchar(2),
  `23hin2` varchar(2),
  `23min2` varchar(2),
  `23hout2` varchar(2),
  `23mout2` varchar(2),
  `23hin3` varchar(2),
  `23min3` varchar(2),
  `23hout3` varchar(2),
  `23mout3` varchar(2),
  `23sick` varchar(3),
  `23vac` varchar(3),
  `23code` varchar(3),
  `24hin1` varchar(2),
  `24min1` varchar(2),
  `24hout1` varchar(2),
  `24mout1` varchar(2),
  `24hin2` varchar(2),
  `24min2` varchar(2),
  `24hout2` varchar(2),
  `24mout2` varchar(2),
  `24hin3` varchar(2),
  `24min3` varchar(2),
  `24hout3` varchar(2),
  `24mout3` varchar(2),
  `24sick` varchar(3),
  `24vac` varchar(3),
  `24code` varchar(3),
  `25hin1` varchar(2),
  `25min1` varchar(2),
  `25hout1` varchar(2),
  `25mout1` varchar(2),
  `25hin2` varchar(2),
  `25min2` varchar(2),
  `25hout2` varchar(2),
  `25mout2` varchar(2),
  `25hin3` varchar(2),
  `25min3` varchar(2),
  `25hout3` varchar(2),
  `25mout3` varchar(2),
  `25sick` varchar(3),
  `25vac` varchar(3),
  `25code` varchar(3),
  `26hin1` varchar(2),
  `26min1` varchar(2),
  `26hout1` varchar(2),
  `26mout1` varchar(2),
  `26hin2` varchar(2),
  `26min2` varchar(2),
  `26hout2` varchar(2),
  `26mout2` varchar(2),
  `26hin3` varchar(2),
  `26min3` varchar(2),
  `26hout3` varchar(2),
  `26mout3` varchar(2),
  `26sick` varchar(3),
  `26vac` varchar(3),
  `26code` varchar(3),
  `27hin1` varchar(2),
  `27min1` varchar(2),
  `27hout1` varchar(2),
  `27mout1` varchar(2),
  `27hin2` varchar(2),
  `27min2` varchar(2),
  `27hout2` varchar(2),
  `27mout2` varchar(2),
  `27hin3` varchar(2),
  `27min3` varchar(2),
  `27hout3` varchar(2),
  `27mout3` varchar(2),
  `27sick` varchar(3),
  `27vac` varchar(3),
  `27code` varchar(3),
  `TimesheetNumber` bigint(20),
  `SubmitTimestamp` datetime,
  `ApproveTimestamp` datetime,
  `EnteredTimestamp` datetime,
  `ApprovedBy` varchar(25)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `vwtimesheetpayperiods`
--

DROP TABLE IF EXISTS `vwtimesheetpayperiods`;
/*!50001 DROP VIEW IF EXISTS `vwtimesheetpayperiods`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `vwtimesheetpayperiods` (
  `paystart` varchar(8),
  `period` int(10) unsigned
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `vwtimesheetpayperiodsforsuper`
--

DROP TABLE IF EXISTS `vwtimesheetpayperiodsforsuper`;
/*!50001 DROP VIEW IF EXISTS `vwtimesheetpayperiodsforsuper`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `vwtimesheetpayperiodsforsuper` (
  `paystart` varchar(8),
  `period` int(10) unsigned
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `vwtimesheetstatus`
--

DROP TABLE IF EXISTS `vwtimesheetstatus`;
/*!50001 DROP VIEW IF EXISTS `vwtimesheetstatus`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `vwtimesheetstatus` (
  `SubmitTimestamp` datetime,
  `ApproveTimestamp` datetime,
  `Pay_ID` bigint(20)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `vwuserinfo`
--

DROP TABLE IF EXISTS `vwuserinfo`;
/*!50001 DROP VIEW IF EXISTS `vwuserinfo`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `vwuserinfo` (
  `user` varchar(30),
  `name` varchar(45),
  `id` varchar(9),
  `record` varchar(2),
  `status` char(1),
  `Supervisor` varchar(30),
  `IsUser` tinyint(1),
  `IsSupervisor` tinyint(1),
  `IsAdmin` tinyint(1),
  `HrsLeft` float(9,2),
  `HrsLastUpdate` datetime,
  `email` int(11),
  `rate` varchar(6),
  `emailaddress` varchar(45)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `vwuserpermissions`
--

DROP TABLE IF EXISTS `vwuserpermissions`;
/*!50001 DROP VIEW IF EXISTS `vwuserpermissions`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `vwuserpermissions` (
  `user` varchar(30),
  `IsUser` tinyint(1),
  `IsSupervisor` tinyint(1),
  `IsAdmin` tinyint(1),
  `status` char(1),
  `name` varchar(45)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `vwusersactive`
--

DROP TABLE IF EXISTS `vwusersactive`;
/*!50001 DROP VIEW IF EXISTS `vwusersactive`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `vwusersactive` (
  `user` varchar(30),
  `name` varchar(45),
  `HrsLeft` float(9,2),
  `HrsLastUpdate` datetime,
  `Supervisor` varchar(30),
  `isuser` tinyint(1),
  `status` char(1),
  `rate` varchar(6)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `vwusersbypayperiods`
--

DROP TABLE IF EXISTS `vwusersbypayperiods`;
/*!50001 DROP VIEW IF EXISTS `vwusersbypayperiods`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `vwusersbypayperiods` (
  `user` varchar(30),
  `name` varchar(45),
  `paystart` varchar(8),
  `period` int(10) unsigned,
  `status` char(1),
  `isuser` tinyint(1),
  `supervisor` varchar(30)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `vwusersnotactive`
--

DROP TABLE IF EXISTS `vwusersnotactive`;
/*!50001 DROP VIEW IF EXISTS `vwusersnotactive`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `vwusersnotactive` (
  `user` varchar(30),
  `name` varchar(45),
  `supervisor` varchar(30),
  `count` tinyint(4)
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;

--
-- Final view structure for view `vwallsupervisors`
--

/*!50001 DROP TABLE IF EXISTS `vwallsupervisors`*/;
/*!50001 DROP VIEW IF EXISTS `vwallsupervisors`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`timesheet`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `vwallsupervisors` AS select `tbl_userinfo`.`user` AS `user`,`tbl_userinfo`.`name` AS `name`,`tbl_userinfo`.`IsSupervisor` AS `IsSupervisor`,`tbl_userinfo`.`status` AS `status` from `tbl_userinfo` where ((`tbl_userinfo`.`status` <> _latin1'D') and (`tbl_userinfo`.`IsSupervisor` = 1)) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `vwallusersallperiodnums`
--

/*!50001 DROP TABLE IF EXISTS `vwallusersallperiodnums`*/;
/*!50001 DROP VIEW IF EXISTS `vwallusersallperiodnums`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`timesheet`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `vwallusersallperiodnums` AS select `tbl_userinfo`.`user` AS `user`,`tbl_userinfo`.`name` AS `name`,`tbl_userinfo`.`id` AS `id`,`tbl_userinfo`.`record` AS `record`,`tbl_userinfo`.`status` AS `status`,`tbl_userinfo`.`Supervisor` AS `Supervisor`,`tbl_userinfo`.`IsUser` AS `IsUser`,`tbl_userinfo`.`IsSupervisor` AS `IsSupervisor`,`tbl_userinfo`.`IsAdmin` AS `IsAdmin`,`tbl_userinfo`.`HrsLeft` AS `HrsLeft`,`tbl_userinfo`.`HrsLastUpdate` AS `HrsLastUpdate`,`tbl_userinfo`.`rate` AS `CurrentRate`,`tbl_periodnum`.`paystart` AS `paystart`,`tbl_periodnum`.`period` AS `period` from (`tbl_userinfo` join `tbl_periodnum`) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `vwcurrentpayperiod`
--

/*!50001 DROP TABLE IF EXISTS `vwcurrentpayperiod`*/;
/*!50001 DROP VIEW IF EXISTS `vwcurrentpayperiod`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`timesheet`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `vwcurrentpayperiod` AS select `tbl_periodnum`.`paystart` AS `paystart`,`tbl_periodnum`.`period` AS `period` from `tbl_periodnum` where (str_to_date(`tbl_periodnum`.`paystart`,_utf8'%m/%d/%y') <= curdate()) order by str_to_date(`tbl_periodnum`.`paystart`,_utf8'%m/%d/%y') desc limit 0,1 */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `vwemail`
--

/*!50001 DROP TABLE IF EXISTS `vwemail`*/;
/*!50001 DROP VIEW IF EXISTS `vwemail`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = latin1 */;
/*!50001 SET character_set_results     = latin1 */;
/*!50001 SET collation_connection      = latin1_swedish_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `vwemail` AS select `tbl_userinfo`.`email` AS `email`,`tbl_userinfo`.`user` AS `user`,`tbl_userinfo`.`emailaddress` AS `emailaddress` from `tbl_userinfo` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `vwemployeesforsuper`
--

/*!50001 DROP TABLE IF EXISTS `vwemployeesforsuper`*/;
/*!50001 DROP VIEW IF EXISTS `vwemployeesforsuper`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = latin1 */;
/*!50001 SET character_set_results     = latin1 */;
/*!50001 SET collation_connection      = latin1_swedish_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `vwemployeesforsuper` AS select `tbl_userinfo`.`user` AS `user`,`tbl_userinfo`.`name` AS `name`,`tbl_userinfo`.`status` AS `status`,`tbl_userinfo`.`Supervisor` AS `Supervisor` from `tbl_userinfo` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `vwlog`
--

/*!50001 DROP TABLE IF EXISTS `vwlog`*/;
/*!50001 DROP VIEW IF EXISTS `vwlog`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`timesheet`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `vwlog` AS select `tbl_log`.`user` AS `user`,`tbl_log`.`LogTimestamp` AS `logtimestamp`,`tbl_log`.`Action` AS `description`,`tbl_log`.`TimesheetNum` AS `timesheetnum` from `tbl_log` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `vwpendingaccounts`
--

/*!50001 DROP TABLE IF EXISTS `vwpendingaccounts`*/;
/*!50001 DROP VIEW IF EXISTS `vwpendingaccounts`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = latin1 */;
/*!50001 SET character_set_results     = latin1 */;
/*!50001 SET collation_connection      = latin1_swedish_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `vwpendingaccounts` AS select `tbl_account`.`accountid` AS `accountid`,`tbl_account`.`name` AS `name`,`tbl_account`.`user` AS `user`,`tbl_account`.`desiredpassword` AS `desiredpassword`,`tbl_account`.`empnum` AS `empnum`,`tbl_account`.`role` AS `role`,`tbl_account`.`reset` AS `reset`,`tbl_account`.`pending` AS `pending` from `tbl_account` where (`tbl_account`.`pending` = 1) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `vwsummarybypaystartbysupervisor`
--

/*!50001 DROP TABLE IF EXISTS `vwsummarybypaystartbysupervisor`*/;
/*!50001 DROP VIEW IF EXISTS `vwsummarybypaystartbysupervisor`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`timesheet`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `vwsummarybypaystartbysupervisor` AS select `supervisor`.`user` AS `supervisoruser`,`students`.`user` AS `studentuser`,`supervisor`.`name` AS `supervisorname`,`students`.`name` AS `studentsname`,`students`.`HrsLeft` AS `HrsLeft`,`students`.`HrsLastUpdate` AS `HrsLastUpdate`,`tbl_payperiodinfo`.`Pay_ID` AS `Pay_ID`,`tbl_payperiodinfo`.`SubmitTimestamp` AS `SubmitTimestamp`,`tbl_payperiodinfo`.`ApproveTimestamp` AS `ApproveTimestamp`,`tbl_payperiodinfo`.`EnteredTimestamp` AS `EnteredTimestamp`,`tbl_payperiodinfo`.`paystart` AS `paystart` from ((`tbl_userinfo` `students` left join `tbl_userinfo` `supervisor` on((`supervisor`.`user` = `students`.`Supervisor`))) join `tbl_payperiodinfo` on((`students`.`user` = `tbl_payperiodinfo`.`user`))) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `vwtimesheetbyuserbypaystart`
--

/*!50001 DROP TABLE IF EXISTS `vwtimesheetbyuserbypaystart`*/;
/*!50001 DROP VIEW IF EXISTS `vwtimesheetbyuserbypaystart`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`timesheet`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `vwtimesheetbyuserbypaystart` AS select `vwallusersallperiodnums`.`user` AS `user`,`vwallusersallperiodnums`.`name` AS `name`,`vwallusersallperiodnums`.`id` AS `id`,`vwallusersallperiodnums`.`record` AS `record`,`vwallusersallperiodnums`.`status` AS `status`,`vwallusersallperiodnums`.`Supervisor` AS `Supervisor`,`vwallusersallperiodnums`.`IsUser` AS `IsUser`,`vwallusersallperiodnums`.`IsSupervisor` AS `IsSupervisor`,`vwallusersallperiodnums`.`IsAdmin` AS `IsAdmin`,`vwallusersallperiodnums`.`HrsLeft` AS `HrsLeft`,`vwallusersallperiodnums`.`HrsLastUpdate` AS `HrsLastUpdate`,`vwallusersallperiodnums`.`CurrentRate` AS `CurrentRate`,`tbl_payperiodinfo`.`Pay_ID` AS `Pay_ID`,`vwallusersallperiodnums`.`paystart` AS `paystart`,`vwallusersallperiodnums`.`period` AS `period`,`tbl_payperiodinfo`.`rate` AS `rate`,`tbl_payperiodinfo`.`commentbox` AS `commentbox`,`tbl_payperiodinfo`.`11hin1` AS `11hin1`,`tbl_payperiodinfo`.`11min1` AS `11min1`,`tbl_payperiodinfo`.`11hout1` AS `11hout1`,`tbl_payperiodinfo`.`11mout1` AS `11mout1`,`tbl_payperiodinfo`.`11hin2` AS `11hin2`,`tbl_payperiodinfo`.`11min2` AS `11min2`,`tbl_payperiodinfo`.`11hout2` AS `11hout2`,`tbl_payperiodinfo`.`11mout2` AS `11mout2`,`tbl_payperiodinfo`.`11hin3` AS `11hin3`,`tbl_payperiodinfo`.`11min3` AS `11min3`,`tbl_payperiodinfo`.`11hout3` AS `11hout3`,`tbl_payperiodinfo`.`11mout3` AS `11mout3`,`tbl_payperiodinfo`.`11sick` AS `11sick`,`tbl_payperiodinfo`.`11vac` AS `11vac`,`tbl_payperiodinfo`.`11code` AS `11code`,`tbl_payperiodinfo`.`12hin1` AS `12hin1`,`tbl_payperiodinfo`.`12min1` AS `12min1`,`tbl_payperiodinfo`.`12hout1` AS `12hout1`,`tbl_payperiodinfo`.`12mout1` AS `12mout1`,`tbl_payperiodinfo`.`12hin2` AS `12hin2`,`tbl_payperiodinfo`.`12min2` AS `12min2`,`tbl_payperiodinfo`.`12hout2` AS `12hout2`,`tbl_payperiodinfo`.`12mout2` AS `12mout2`,`tbl_payperiodinfo`.`12hin3` AS `12hin3`,`tbl_payperiodinfo`.`12min3` AS `12min3`,`tbl_payperiodinfo`.`12hout3` AS `12hout3`,`tbl_payperiodinfo`.`12mout3` AS `12mout3`,`tbl_payperiodinfo`.`12sick` AS `12sick`,`tbl_payperiodinfo`.`12vac` AS `12vac`,`tbl_payperiodinfo`.`12code` AS `12code`,`tbl_payperiodinfo`.`13hin1` AS `13hin1`,`tbl_payperiodinfo`.`13min1` AS `13min1`,`tbl_payperiodinfo`.`13hout1` AS `13hout1`,`tbl_payperiodinfo`.`13mout1` AS `13mout1`,`tbl_payperiodinfo`.`13hin2` AS `13hin2`,`tbl_payperiodinfo`.`13min2` AS `13min2`,`tbl_payperiodinfo`.`13hout2` AS `13hout2`,`tbl_payperiodinfo`.`13mout2` AS `13mout2`,`tbl_payperiodinfo`.`13hin3` AS `13hin3`,`tbl_payperiodinfo`.`13min3` AS `13min3`,`tbl_payperiodinfo`.`13hout3` AS `13hout3`,`tbl_payperiodinfo`.`13mout3` AS `13mout3`,`tbl_payperiodinfo`.`13sick` AS `13sick`,`tbl_payperiodinfo`.`13vac` AS `13vac`,`tbl_payperiodinfo`.`13code` AS `13code`,`tbl_payperiodinfo`.`14hin1` AS `14hin1`,`tbl_payperiodinfo`.`14min1` AS `14min1`,`tbl_payperiodinfo`.`14hout1` AS `14hout1`,`tbl_payperiodinfo`.`14mout1` AS `14mout1`,`tbl_payperiodinfo`.`14hin2` AS `14hin2`,`tbl_payperiodinfo`.`14min2` AS `14min2`,`tbl_payperiodinfo`.`14hout2` AS `14hout2`,`tbl_payperiodinfo`.`14mout2` AS `14mout2`,`tbl_payperiodinfo`.`14hin3` AS `14hin3`,`tbl_payperiodinfo`.`14min3` AS `14min3`,`tbl_payperiodinfo`.`14hout3` AS `14hout3`,`tbl_payperiodinfo`.`14mout3` AS `14mout3`,`tbl_payperiodinfo`.`14sick` AS `14sick`,`tbl_payperiodinfo`.`14vac` AS `14vac`,`tbl_payperiodinfo`.`14code` AS `14code`,`tbl_payperiodinfo`.`15hin1` AS `15hin1`,`tbl_payperiodinfo`.`15min1` AS `15min1`,`tbl_payperiodinfo`.`15hout1` AS `15hout1`,`tbl_payperiodinfo`.`15mout1` AS `15mout1`,`tbl_payperiodinfo`.`15hin2` AS `15hin2`,`tbl_payperiodinfo`.`15min2` AS `15min2`,`tbl_payperiodinfo`.`15hout2` AS `15hout2`,`tbl_payperiodinfo`.`15mout2` AS `15mout2`,`tbl_payperiodinfo`.`15hin3` AS `15hin3`,`tbl_payperiodinfo`.`15min3` AS `15min3`,`tbl_payperiodinfo`.`15hout3` AS `15hout3`,`tbl_payperiodinfo`.`15mout3` AS `15mout3`,`tbl_payperiodinfo`.`15sick` AS `15sick`,`tbl_payperiodinfo`.`15vac` AS `15vac`,`tbl_payperiodinfo`.`15code` AS `15code`,`tbl_payperiodinfo`.`16hin1` AS `16hin1`,`tbl_payperiodinfo`.`16min1` AS `16min1`,`tbl_payperiodinfo`.`16hout1` AS `16hout1`,`tbl_payperiodinfo`.`16mout1` AS `16mout1`,`tbl_payperiodinfo`.`16hin2` AS `16hin2`,`tbl_payperiodinfo`.`16min2` AS `16min2`,`tbl_payperiodinfo`.`16hout2` AS `16hout2`,`tbl_payperiodinfo`.`16mout2` AS `16mout2`,`tbl_payperiodinfo`.`16hin3` AS `16hin3`,`tbl_payperiodinfo`.`16min3` AS `16min3`,`tbl_payperiodinfo`.`16hout3` AS `16hout3`,`tbl_payperiodinfo`.`16mout3` AS `16mout3`,`tbl_payperiodinfo`.`16sick` AS `16sick`,`tbl_payperiodinfo`.`16vac` AS `16vac`,`tbl_payperiodinfo`.`16code` AS `16code`,`tbl_payperiodinfo`.`17hin1` AS `17hin1`,`tbl_payperiodinfo`.`17min1` AS `17min1`,`tbl_payperiodinfo`.`17hout1` AS `17hout1`,`tbl_payperiodinfo`.`17mout1` AS `17mout1`,`tbl_payperiodinfo`.`17hin2` AS `17hin2`,`tbl_payperiodinfo`.`17min2` AS `17min2`,`tbl_payperiodinfo`.`17hout2` AS `17hout2`,`tbl_payperiodinfo`.`17mout2` AS `17mout2`,`tbl_payperiodinfo`.`17hin3` AS `17hin3`,`tbl_payperiodinfo`.`17min3` AS `17min3`,`tbl_payperiodinfo`.`17hout3` AS `17hout3`,`tbl_payperiodinfo`.`17mout3` AS `17mout3`,`tbl_payperiodinfo`.`17sick` AS `17sick`,`tbl_payperiodinfo`.`17vac` AS `17vac`,`tbl_payperiodinfo`.`17code` AS `17code`,`tbl_payperiodinfo`.`21hin1` AS `21hin1`,`tbl_payperiodinfo`.`21min1` AS `21min1`,`tbl_payperiodinfo`.`21hout1` AS `21hout1`,`tbl_payperiodinfo`.`21mout1` AS `21mout1`,`tbl_payperiodinfo`.`21hin2` AS `21hin2`,`tbl_payperiodinfo`.`21min2` AS `21min2`,`tbl_payperiodinfo`.`21hout2` AS `21hout2`,`tbl_payperiodinfo`.`21mout2` AS `21mout2`,`tbl_payperiodinfo`.`21hin3` AS `21hin3`,`tbl_payperiodinfo`.`21min3` AS `21min3`,`tbl_payperiodinfo`.`21hout3` AS `21hout3`,`tbl_payperiodinfo`.`21mout3` AS `21mout3`,`tbl_payperiodinfo`.`21sick` AS `21sick`,`tbl_payperiodinfo`.`21vac` AS `21vac`,`tbl_payperiodinfo`.`21code` AS `21code`,`tbl_payperiodinfo`.`22hin1` AS `22hin1`,`tbl_payperiodinfo`.`22min1` AS `22min1`,`tbl_payperiodinfo`.`22hout1` AS `22hout1`,`tbl_payperiodinfo`.`22mout1` AS `22mout1`,`tbl_payperiodinfo`.`22hin2` AS `22hin2`,`tbl_payperiodinfo`.`22min2` AS `22min2`,`tbl_payperiodinfo`.`22hout2` AS `22hout2`,`tbl_payperiodinfo`.`22mout2` AS `22mout2`,`tbl_payperiodinfo`.`22hin3` AS `22hin3`,`tbl_payperiodinfo`.`22min3` AS `22min3`,`tbl_payperiodinfo`.`22hout3` AS `22hout3`,`tbl_payperiodinfo`.`22mout3` AS `22mout3`,`tbl_payperiodinfo`.`22sick` AS `22sick`,`tbl_payperiodinfo`.`22vac` AS `22vac`,`tbl_payperiodinfo`.`22code` AS `22code`,`tbl_payperiodinfo`.`23hin1` AS `23hin1`,`tbl_payperiodinfo`.`23min1` AS `23min1`,`tbl_payperiodinfo`.`23hout1` AS `23hout1`,`tbl_payperiodinfo`.`23mout1` AS `23mout1`,`tbl_payperiodinfo`.`23hin2` AS `23hin2`,`tbl_payperiodinfo`.`23min2` AS `23min2`,`tbl_payperiodinfo`.`23hout2` AS `23hout2`,`tbl_payperiodinfo`.`23mout2` AS `23mout2`,`tbl_payperiodinfo`.`23hin3` AS `23hin3`,`tbl_payperiodinfo`.`23min3` AS `23min3`,`tbl_payperiodinfo`.`23hout3` AS `23hout3`,`tbl_payperiodinfo`.`23mout3` AS `23mout3`,`tbl_payperiodinfo`.`23sick` AS `23sick`,`tbl_payperiodinfo`.`23vac` AS `23vac`,`tbl_payperiodinfo`.`23code` AS `23code`,`tbl_payperiodinfo`.`24hin1` AS `24hin1`,`tbl_payperiodinfo`.`24min1` AS `24min1`,`tbl_payperiodinfo`.`24hout1` AS `24hout1`,`tbl_payperiodinfo`.`24mout1` AS `24mout1`,`tbl_payperiodinfo`.`24hin2` AS `24hin2`,`tbl_payperiodinfo`.`24min2` AS `24min2`,`tbl_payperiodinfo`.`24hout2` AS `24hout2`,`tbl_payperiodinfo`.`24mout2` AS `24mout2`,`tbl_payperiodinfo`.`24hin3` AS `24hin3`,`tbl_payperiodinfo`.`24min3` AS `24min3`,`tbl_payperiodinfo`.`24hout3` AS `24hout3`,`tbl_payperiodinfo`.`24mout3` AS `24mout3`,`tbl_payperiodinfo`.`24sick` AS `24sick`,`tbl_payperiodinfo`.`24vac` AS `24vac`,`tbl_payperiodinfo`.`24code` AS `24code`,`tbl_payperiodinfo`.`25hin1` AS `25hin1`,`tbl_payperiodinfo`.`25min1` AS `25min1`,`tbl_payperiodinfo`.`25hout1` AS `25hout1`,`tbl_payperiodinfo`.`25mout1` AS `25mout1`,`tbl_payperiodinfo`.`25hin2` AS `25hin2`,`tbl_payperiodinfo`.`25min2` AS `25min2`,`tbl_payperiodinfo`.`25hout2` AS `25hout2`,`tbl_payperiodinfo`.`25mout2` AS `25mout2`,`tbl_payperiodinfo`.`25hin3` AS `25hin3`,`tbl_payperiodinfo`.`25min3` AS `25min3`,`tbl_payperiodinfo`.`25hout3` AS `25hout3`,`tbl_payperiodinfo`.`25mout3` AS `25mout3`,`tbl_payperiodinfo`.`25sick` AS `25sick`,`tbl_payperiodinfo`.`25vac` AS `25vac`,`tbl_payperiodinfo`.`25code` AS `25code`,`tbl_payperiodinfo`.`26hin1` AS `26hin1`,`tbl_payperiodinfo`.`26min1` AS `26min1`,`tbl_payperiodinfo`.`26hout1` AS `26hout1`,`tbl_payperiodinfo`.`26mout1` AS `26mout1`,`tbl_payperiodinfo`.`26hin2` AS `26hin2`,`tbl_payperiodinfo`.`26min2` AS `26min2`,`tbl_payperiodinfo`.`26hout2` AS `26hout2`,`tbl_payperiodinfo`.`26mout2` AS `26mout2`,`tbl_payperiodinfo`.`26hin3` AS `26hin3`,`tbl_payperiodinfo`.`26min3` AS `26min3`,`tbl_payperiodinfo`.`26hout3` AS `26hout3`,`tbl_payperiodinfo`.`26mout3` AS `26mout3`,`tbl_payperiodinfo`.`26sick` AS `26sick`,`tbl_payperiodinfo`.`26vac` AS `26vac`,`tbl_payperiodinfo`.`26code` AS `26code`,`tbl_payperiodinfo`.`27hin1` AS `27hin1`,`tbl_payperiodinfo`.`27min1` AS `27min1`,`tbl_payperiodinfo`.`27hout1` AS `27hout1`,`tbl_payperiodinfo`.`27mout1` AS `27mout1`,`tbl_payperiodinfo`.`27hin2` AS `27hin2`,`tbl_payperiodinfo`.`27min2` AS `27min2`,`tbl_payperiodinfo`.`27hout2` AS `27hout2`,`tbl_payperiodinfo`.`27mout2` AS `27mout2`,`tbl_payperiodinfo`.`27hin3` AS `27hin3`,`tbl_payperiodinfo`.`27min3` AS `27min3`,`tbl_payperiodinfo`.`27hout3` AS `27hout3`,`tbl_payperiodinfo`.`27mout3` AS `27mout3`,`tbl_payperiodinfo`.`27sick` AS `27sick`,`tbl_payperiodinfo`.`27vac` AS `27vac`,`tbl_payperiodinfo`.`27code` AS `27code`,`tbl_payperiodinfo`.`TimesheetNumber` AS `TimesheetNumber`,`tbl_payperiodinfo`.`SubmitTimestamp` AS `SubmitTimestamp`,`tbl_payperiodinfo`.`ApproveTimestamp` AS `ApproveTimestamp`,`tbl_payperiodinfo`.`EnteredTimestamp` AS `EnteredTimestamp`,`ApprovedbySuperLookup`(`tbl_payperiodinfo`.`TimesheetNumber`) AS `ApprovedBy` from (`vwallusersallperiodnums` left join `tbl_payperiodinfo` on(((`vwallusersallperiodnums`.`user` = `tbl_payperiodinfo`.`user`) and (`tbl_payperiodinfo`.`paystart` = `vwallusersallperiodnums`.`paystart`)))) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `vwtimesheetpayperiods`
--

/*!50001 DROP TABLE IF EXISTS `vwtimesheetpayperiods`*/;
/*!50001 DROP VIEW IF EXISTS `vwtimesheetpayperiods`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`timesheet`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `vwtimesheetpayperiods` AS select `tbl_periodnum`.`paystart` AS `paystart`,`tbl_periodnum`.`period` AS `period` from `tbl_periodnum` where (str_to_date(`tbl_periodnum`.`paystart`,_utf8'%m/%d/%y') <= (curdate() + interval 28 day)) order by str_to_date(`tbl_periodnum`.`paystart`,_utf8'%m/%d/%y') desc limit 0,6 */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `vwtimesheetpayperiodsforsuper`
--

/*!50001 DROP TABLE IF EXISTS `vwtimesheetpayperiodsforsuper`*/;
/*!50001 DROP VIEW IF EXISTS `vwtimesheetpayperiodsforsuper`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`timesheet`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `vwtimesheetpayperiodsforsuper` AS select `tbl_periodnum`.`paystart` AS `paystart`,`tbl_periodnum`.`period` AS `period` from `tbl_periodnum` where (str_to_date(`tbl_periodnum`.`paystart`,_utf8'%m/%d/%y') <= (curdate() + interval 26 day)) order by str_to_date(`tbl_periodnum`.`paystart`,_utf8'%m/%d/%y') desc limit 0,6 */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `vwtimesheetstatus`
--

/*!50001 DROP TABLE IF EXISTS `vwtimesheetstatus`*/;
/*!50001 DROP VIEW IF EXISTS `vwtimesheetstatus`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = latin1 */;
/*!50001 SET character_set_results     = latin1 */;
/*!50001 SET collation_connection      = latin1_swedish_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `vwtimesheetstatus` AS select `tbl_payperiodinfo`.`SubmitTimestamp` AS `SubmitTimestamp`,`tbl_payperiodinfo`.`ApproveTimestamp` AS `ApproveTimestamp`,`tbl_payperiodinfo`.`Pay_ID` AS `Pay_ID` from `tbl_payperiodinfo` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `vwuserinfo`
--

/*!50001 DROP TABLE IF EXISTS `vwuserinfo`*/;
/*!50001 DROP VIEW IF EXISTS `vwuserinfo`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = latin1 */;
/*!50001 SET character_set_results     = latin1 */;
/*!50001 SET collation_connection      = latin1_swedish_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `vwuserinfo` AS select `tbl_userinfo`.`user` AS `user`,`tbl_userinfo`.`name` AS `name`,`tbl_userinfo`.`id` AS `id`,`tbl_userinfo`.`record` AS `record`,`tbl_userinfo`.`status` AS `status`,`tbl_userinfo`.`Supervisor` AS `Supervisor`,`tbl_userinfo`.`IsUser` AS `IsUser`,`tbl_userinfo`.`IsSupervisor` AS `IsSupervisor`,`tbl_userinfo`.`IsAdmin` AS `IsAdmin`,`tbl_userinfo`.`HrsLeft` AS `HrsLeft`,`tbl_userinfo`.`HrsLastUpdate` AS `HrsLastUpdate`,`tbl_userinfo`.`email` AS `email`,`tbl_userinfo`.`rate` AS `rate`,`tbl_userinfo`.`emailaddress` AS `emailaddress` from `tbl_userinfo` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `vwuserpermissions`
--

/*!50001 DROP TABLE IF EXISTS `vwuserpermissions`*/;
/*!50001 DROP VIEW IF EXISTS `vwuserpermissions`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = latin1 */;
/*!50001 SET character_set_results     = latin1 */;
/*!50001 SET collation_connection      = latin1_swedish_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`timesheet`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `vwuserpermissions` AS select `tbl_userinfo`.`user` AS `user`,`tbl_userinfo`.`IsUser` AS `IsUser`,`tbl_userinfo`.`IsSupervisor` AS `IsSupervisor`,`tbl_userinfo`.`IsAdmin` AS `IsAdmin`,`tbl_userinfo`.`status` AS `status`,`tbl_userinfo`.`name` AS `name` from `tbl_userinfo` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `vwusersactive`
--

/*!50001 DROP TABLE IF EXISTS `vwusersactive`*/;
/*!50001 DROP VIEW IF EXISTS `vwusersactive`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`timesheet`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `vwusersactive` AS select `tbl_userinfo`.`user` AS `user`,`tbl_userinfo`.`name` AS `name`,`tbl_userinfo`.`HrsLeft` AS `HrsLeft`,`tbl_userinfo`.`HrsLastUpdate` AS `HrsLastUpdate`,`tbl_userinfo`.`Supervisor` AS `Supervisor`,`tbl_userinfo`.`IsUser` AS `isuser`,`tbl_userinfo`.`status` AS `status`,`tbl_userinfo`.`rate` AS `rate` from `tbl_userinfo` where ((`tbl_userinfo`.`status` <> _latin1'D') and (`tbl_userinfo`.`IsUser` = 1)) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `vwusersbypayperiods`
--

/*!50001 DROP TABLE IF EXISTS `vwusersbypayperiods`*/;
/*!50001 DROP VIEW IF EXISTS `vwusersbypayperiods`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`timesheet`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `vwusersbypayperiods` AS select `tbl_userinfo`.`user` AS `user`,`tbl_userinfo`.`name` AS `name`,`tbl_periodnum`.`paystart` AS `paystart`,`tbl_periodnum`.`period` AS `period`,`tbl_userinfo`.`status` AS `status`,`tbl_userinfo`.`IsUser` AS `isuser`,`tbl_userinfo`.`Supervisor` AS `supervisor` from (`tbl_userinfo` join `tbl_periodnum`) where (`tbl_periodnum`.`paystart` in (select `tbl_periodnum`.`paystart` AS `paystart` from `tbl_periodnum` where (str_to_date(`tbl_periodnum`.`paystart`,_utf8'%m/%d/%y') between (curdate() - interval 42 day) and curdate())) and (`tbl_userinfo`.`status` <> _latin1'D') and (`tbl_userinfo`.`IsUser` = _latin1'1')) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `vwusersnotactive`
--

/*!50001 DROP TABLE IF EXISTS `vwusersnotactive`*/;
/*!50001 DROP VIEW IF EXISTS `vwusersnotactive`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8 */;
/*!50001 SET character_set_results     = utf8 */;
/*!50001 SET collation_connection      = utf8_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`timesheet`@`%` SQL SECURITY DEFINER */
/*!50001 VIEW `vwusersnotactive` AS select `allperiods`.`user` AS `user`,`allperiods`.`name` AS `name`,`allperiods`.`supervisor` AS `supervisor`,`UserActiveForPeriod`(`allperiods`.`user`) AS `count` from (`vwusersbypayperiods` `allperiods` left join `tbl_payperiodinfo` on(((`allperiods`.`user` = `tbl_payperiodinfo`.`user`) and (`allperiods`.`paystart` = `tbl_payperiodinfo`.`paystart`)))) where isnull(`tbl_payperiodinfo`.`Pay_ID`) group by `allperiods`.`user`,`allperiods`.`name` having (`count` > 0) order by `UserActiveForPeriod`(`allperiods`.`user`) desc */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2012-05-25  9:46:15
