<?php
//------------------------------------------------------------------------------------------
// Look up the active users from the timesheet database and notify them by email about the end of the pay period
//------------------------------------------------------------------------------------------

/*
Authored by Joshua Morris
Last Updated: 24 May 2012
Version 3.5.0
 */ 
 
require_once (__DIR__."/../include/timesheetfunctions.php");
require_once (__DIR__."/../include/configuration.php");

$db_username='timesheet_report';

// Open connection to MySQL
$connected = connectToDatabase($db_username);

// returns 0 - success, 1 - mysql connection failed, 2 - db connection failed
if($connected == 0)
{
	// Get all users who are not set to disabled
	$query = sprintf("SELECT * FROM vwusersactive");
	$result = mysql_query($query);
	
	if(!$result)
	{
		echo "Gathering users to notify failed.";
	}//end!result
	else
	{
		$users = array();
		$count = 0;
		// get results and store users to be notified
		while($row = mysql_fetch_assoc($result))
		{
			$users[] = $row['user'];// store user
			$count++;
		}//end fetch row
		
		// notify each user
		while($count > 0)
		{
			// since array is zero indexed, minus 1 (i.e. count = 1 then one value stored at employeename_store[0]
			$count = $count - 1;
			
			echo "$users[$count]\n";
                        
                        // Get user's email address
                        $query = sprintf("SELECT * FROM vwuserinfo where user='%s'",$users[$count]);

                        $result = mysql_query($query);
                        if(!$result)
                        {
                                echo "Cannot retrieve user's email.";
                        }else{
                            $row = mysql_fetch_assoc($result);
                            $email = $row['emailaddress'];
                            
                            if(!empty($email))
                            {

                                //mail notifications 
                                $mailed = false;
                                $mailed = mail($email, "Bi-Weekly Timesheet Reminder", "This is a friendly reminder that this is the end of the bi-weekly pay period. This means timesheets need to be submitted and approved. To do so login to the appropriate section at https://domain.edu/timesheet/. We request that timesheets be submitted by end of the day Sunday and approved by noon Monday. To be removed from the automatic reminders, please let us know.\n\nSincerely,\nIT Staff", "From: $systemfromaddress");
                                // check if mail succeeded
                                if(!$mailed)
                                {
                                        echo "Mail notification failed.";                            
                                }	
                            }else{
                                echo "No email $users[$count]."; 
                            }//endelse empty                            	
                        }//endelse result				
		}//end count>0		
	}//end else !result
}//end connected
?>
