<?php

/*
Copyright (c) 2012 Joshua Morris
Last Updated: 24 May 2012

*/

require_once "include/timesheetfunctions.php";
require_once "include/configuration.php";

// Begin printing document 
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<?php printPageHeader (); ?>
<title>Timesheet | Update User Info</title>
<!-- Version 3.5.0 -->
</head>

<body>
<!-- header container -->
<div id="container">
	<?php print("<div id=\"h1\" class=\"noprint\"><a href=\"$logourl\"><img src=\"include\logo.gif\" alt=\"$logoalt\"></a> <div id=\"h2\">Update User Information</div></div>"); ?>
		<!-- form container -->
		<div id="content_container">
<?php

// ------ Require Authentication to Show Timesheet, Else Redirect to Login Page ------------------------------------
$log_name = "t514ne";
$log_password = "t234pe";
$isvalidlogin = false;
$db_username='user';

// get user id & password, cut to length for security
$user = @substr($_POST[$log_name],0,30);
$user_pass = @substr($_POST[$log_password],0,64);

// ------ TEST IF USER INFORMATION IS VALID -----------------------------------------------------------------------

$isvalidlogin = checkValidLogin($db_username, $user, $user_pass);

if(!$isvalidlogin)
{
	// login is not valid print redirect
	trigger_error("Nonvalid Login",E_USER_ERROR);
	
	// check if account locked
	if($login_store == 3)
	{
		print("<br>Too many failed login attempts, please verify your login credentials, wait 30 mintues and try again.<br><br>");
	}	
}
else
{
        // ------ If Login Valid, Continue on to Display Timesheet ----------------------------------------------------------
		
        //----------------------------------------------------------------
        // Update if Save Pressed
        //----------------------------------------------------------------

        if(isset($_POST['save']))
        {
                //----- Clean Input Before Query ---------------------------------------------

                // name no longer than 45 characters
                $_POST[$namebox] = @substr($_POST[$namebox],0,45);
                // employeeid no longer than 9 characters
                $_POST[$employeeid] = @substr($_POST[$employeeid],0,9);
                // record no longer than 2 characters
                $_POST[$record] = @substr($_POST[$record],0,2);
                // clean user and add to query
                $user = @substr($_POST[$log_name],0,30);
                // clean email address and add to query
                $emailaddress = @substr($_POST['emailaddress'],0,45);

                // call UpdateUserInfo function with new values
                $query = sprintf("SELECT UpdateUserInfo('%s', '%s', '%s','%s','%s')", mysql_real_escape_string($_POST[$namebox]), mysql_real_escape_string($_POST[$employeeid]), mysql_real_escape_string($_POST[$record]), mysql_real_escape_string($user), mysql_real_escape_string($emailaddress));

                // execute
                $result = mysql_query($query);

                // if query failed
                if(!$result)
                {
                        echo "<br><h2>User information save failed. Record not saved.</h2><br>";
                }
        }//end if save
		
        //----------------------------------------------------------------
        // Get the Selected Timesheet Info user
        //----------------------------------------------------------------

        // variables
        $name_store = "";
        $id_store = "";
        $record_store = "";
        $emailaddress = "";
        
        // get user id, cut down to known length for security, no more than 30 characters
        $user = @substr($_POST[$log_name],0,30);

        // query the view for timesheet select based on login & paydate
        $query = sprintf("SELECT * FROM vwuserinfo WHERE user='%s'", mysql_real_escape_string($user));

        // execute
        $result = mysql_query($query);

        // if query failed
        if(!$result)
        {
                trigger_error("No connection",E_USER_ERROR);
        }
        else
        {

                // get results
                $row = mysql_fetch_assoc($result);

                // store Name, ID, Record to display
                $name_store = $row['name'];
                $id_store = $row['id'];
                $record_store = $row['record'];
        
                // store user's email address
                $emailaddress = $row['emailaddress'];

        }//endelse !result


    $permission = checkValidPermissions($user, 'user');
    
    if($permission)
    //account not disabled & user has permission 
    {


        //----- Initialize Arrays ---------------------------------
	
	// array to hold info for input box error highlighting, elements should be "" unless changed to #FF000 by error code
	$inputstyle = array();

        // ------- Return to Timesheet & Logout button -----------------
	print("<br>\n
	<table width=\"100%\">\n
	<tr>\n
	<td align=\"left\">
		<form name=\"userinfo\" action=\"timesheet.php\" method=\"POST\">
		<input type=\"submit\" name=\"update\" value=\"Return to Timesheet\" class=\"noprint\">
		<input type=\"hidden\" name=\"$log_name\" value=\"$_POST[$log_name]\">
		<input type=\"hidden\" name=\"$log_password\" value=\"$_POST[$log_password]\">
		<input type=\"hidden\" name=\"encrypted\" value=\"\">
		</form>
	</td>\n
	<td align=\"right\">
		<a href=\"index.php\"><input type=\"button\" value=\"Logout\" name=\"logout\" class=\"noprint\" onClick=\"window.location='index.php'\"></a>
	</td>\n
	</tr></table>\n\n");
	
// ------- Place Hidden Field to track last payid value -----------------

	print("<input type=\"hidden\" name=\"$payidlast\" value=\"$_POST[$payidlast]\">");
	
// -------- Begin printing form with Post ----------------------
	print("<br><form name=\"timesheet\" action=\"timesheetuserinfo.php\" method=\"POST\" >");
	
	print("<input type=\"hidden\" name=\"$log_name\" value=\"$_POST[$log_name]\">");
	print("<input type=\"hidden\" name=\"$log_password\" value=\"$_POST[$log_password]\">");
	print("<input type=\"hidden\" name=\"encrypted\" value=\"\">");
	
	
	
// ------- Display Name, Employee ID, Record # Information -----------------
	
	// store post to give to print function below
	$userinfoforpost = array();
	$userinfoforpost[$namebox] = $name_store;
	$userinfoforpost[$employeeid] =  $id_store;
	$userinfoforpost[$record] = $record_store;
	
	displayNameIdRecord(null, $namebox, $employeeid, $record, $userinfoforpost);
        
        print("<p>Email Address: <input maxLength=\"45\" size=\"45\" name=\"emailaddress\" value=\"$emailaddress\"></p>");
	

//----- Print Submit buttons -----

	print("<p class=\"noprint\">Click \"Save\" below update user information. 
	<input type=\"submit\" value=\"Save\" name=\"save\" class=\"noprint\"></p>
	</form>");
}//end account not disabled
}//end require auth else
?>

		</div>
	</div>
</body>
</html>

